<?php
/**
 * @version		$Id: default_login.php 20196 2011-01-09 02:40:25Z ian $
 * @package		Joomla.Site
 * @subpackage	com_users
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @since		1.5
 */

defined('_JEXEC') or die;
JHtml::_('behavior.keepalive');

require_once(JPATH_LIBRARIES.'/gantry/gantry.php');
$gantry->init();
gantry_import('core.utilities.gantryjformfieldaccessor');

?>
<div class="rt-joomla <?php echo $this->pageclass_sfx?>">
	<div class="user">
	<div class="module-content">
		<div class="module-tm"><div class="module-tl"><div class="module-tr"></div></div></div>
		<div class="module-l"><div class="module-r">

			<?php if ($this->params->get('show_page_heading')) : ?>
			<div class="rt-headline"><div class="module-title"><div class="module-title2">
			<h1 class="title">
				<?php echo $this->escape($this->params->get('page_heading')); ?>
			</h1>
			</div></div></div>
			<div class="clear"></div>	
			<?php endif; ?>

			<div class="module-inner"><div class="module-inner2">
			<?php if ($this->params->get('logindescription_show') == 1 || $this->params->get('login_image') != '') : ?>
			<div class="rt-description">
			<?php endif ; ?>

				<?php if($this->params->get('logindescription_show') == 1) : ?>
					<?php echo $this->params->get('login_description'); ?>
				<?php endif; ?>

				<?php if (($this->params->get('login_image')!='')) :?>
					<img src="<?php echo $this->escape($this->params->get('login_image')); ?>" class="login-image" alt="<?php echo JTEXT::_('COM_USER_LOGIN_IMAGE_ALT')?>"/>
				<?php endif; ?>

			<?php if ($this->params->get('logindescription_show') == 1 || $this->params->get('login_image') != '') : ?>
			</div>
			<?php endif ; ?>

			<form action="<?php echo JRoute::_('index.php?option=com_users&task=user.login'); ?>" method="post" id="com-form-login">
				<fieldset>
					<legend><?php echo JText::_('LOGIN') ?></legend>
					<?php
		                foreach ($this->form->getFieldset('credentials') as $field):
		                    $fa = new GantryJFormFieldAccessor($field);
		                    if ($fa->getType() == "text" || $fa->getType() == "password") $fa->addClass('inputbox');
		            ?>
						<?php if (!$field->hidden): ?>
							<div class="login-fields"><?php echo $field->label; ?>
							<?php echo $field->input; ?></div>
						<?php endif; ?>
					<?php endforeach; ?>
					<?php if(JPluginHelper::isEnabled('system', 'remember')) : ?>
					<div>
						<input type="checkbox" id="remember" name="remember" class="inputbox" value="yes" alt="Remember Me" />
						<label for="remember"><?php echo JText::_('Remember me') ?></label>
					</div>
					<?php endif; ?>					
					<div class="readon"><button type="submit" class="button"><?php echo JText::_('JLOGIN'); ?></button></div>
					<input type="hidden" name="return" value="<?php echo base64_encode($this->params->get('login_redirect_url',$this->form->getValue('return'))); ?>" />
					<?php echo JHtml::_('form.token'); ?>
				</fieldset>
					<ul>
						<li>
							<a href="<?php echo JRoute::_('index.php?option=com_users&view=reset'); ?>">
					<?php echo JText::_('COM_USERS_LOGIN_RESET'); ?></a>
						</li>
						<li>
							<a href="<?php echo JRoute::_('index.php?option=com_users&view=remind'); ?>">
					<?php echo JText::_('COM_USERS_LOGIN_REMIND'); ?></a>
						</li>
						<?php $usersConfig = JComponentHelper::getParams('com_users');
				if ($usersConfig->get('allowUserRegistration')) : ?>
						<li>
							<?php echo JText::_('COM_USERS_LOGIN_REGISTER'); ?>
						<a href="<?php echo JRoute::_('index.php?option=com_users&view=registration'); ?>">
							<?php echo JText::_('COM_USERS_REGISTER_DEFAULT_LABEL'); ?></a>
						</li>
						<?php endif; ?>
					</ul>				
			</form>

				</div></div>
			</div></div>
			<div class="module-bm"><div class="module-bl"><div class="module-br"></div></div></div>
		</div>
	</div>
</div>
