/**
 * @package   Crystalline Template - RocketTheme
 * @version   1.2 June 19, 2012
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2012 RocketTheme, LLC
 * @license   http://www.rockettheme.com/legal/license.php RocketTheme Proprietary Use License
 */

var PresetsSaver = {
	init: function() {
		var saver = $$('.preset-saver');
		PresetsSaver.POverlay = new Layer();


		PresetsSaver.bounds = {
			'show': PresetsSaver.build.bind(PresetsSaver)
		};

		saver.each(function(save) {
			save.addEvent('click', function(e) {
				new Event(e).stop();

				PresetsSaver.POverlay.addEvent('show', PresetsSaver.bounds.show);
				PresetsSaver.POverlay.show();
			});
		});

		PresetsSaver.Template = Crystalline.templateName;
		if (!PresetsSaver.Template.length) PresetsSaver.Template = false;
	},

	build: function() {
		var wrapper = new Element('div', {'id': 'presets-namer', 'class': 'gantry-layer-wrapper'}).inject(document.body);

		var prefix = (Browser.Engine.webkit) ? '-webkit' : '-moz';
		wrapper.setStyle(prefix + '-border-radius', 10 + 'px');

		var title = new Element('h2').set('text', GantryLang['preset_title']).inject(wrapper);
		var innerWrapper = new Element('div', {'class': 'preset-namer-inner'}).inject(wrapper);

		PresetsSaver.wrapper = wrapper;
		PresetsSaver.innerWrapper = innerWrapper;

		var desc = new Element('p').set('text', GantryLang['preset_select']).inject(innerWrapper);
		//var close = new Element('div', {'class': 'gantry-layer-close'}).set('html', '<span>(x)</span>').inject(wrapper);

		var namer = new Element('div', {'class': 'preset-namer valid-preset-presets'}).inject(innerWrapper);
		var head = new Element('h3', {'class': 'preset-namer-title'}).set('html', GantryLang['preset_naming'] + ' "<span>presets</span>"').inject(namer);

		prefix = (Browser.Engine.webkit) ? '-webkit' : '-moz';
		namer.setStyle(prefix + '-border-radius', 10 + 'px');

		var valuename = new Element('div').set('html', '<label><span>'+GantryLang['preset_name']+'</span><input type="text" class="text-long input-name" id="presets_namer_name" /></label>').inject(namer);
		var keyname = new Element('div').set('html', '<label><span>'+GantryLang['key_name']+'</span><input type="text" class="text-long input-key example" tabindex="-1" id="presets_namer_key" /></label>').inject(namer);

		var inputValue = valuename.getElement('input'), inputKey = keyname.getElement('input');

		PresetsSaver.valExample = "ex, Preset 1";
		PresetsSaver.keyExample = "(optional) ex, preset1";
		var valExample = PresetsSaver.valExample, keyExample = PresetsSaver.keyExample;

		inputValue.addClass('example').value = valExample;
		inputKey.value = keyExample;

		inputValue.addEvents({
			'focus': function() {if (this.value == valExample) this.value = '';this.removeClass('example');},
			'blur': function() {if (this.value == '') this.addClass('example').value = valExample;PresetsSaver.checkInputs();},
			'keyup': function() {
				this.value = this.value.replace(/[^a-z0-9\s]/gi, '');
				if (this.value.length) inputKey.value = this.value.toLowerCase().clean().replace(/\s/g, "");
				PresetsSaver.checkInputs();
			}
		});

		inputKey.addEvents({
			'focus': function() {if (this.value == keyExample) this.value = '';this.removeClass('example');},
			'blur': function() {
				if (this.value == '' && (inputValue.value != '' && inputValue.value != valExample)) {
					this.value = inputValue.value.toLowerCase().clean().replace(/\s/g, "");
				}
				else if (this.value == '') {
					this.value = keyExample;
				}
				this.addClass('example');
				PresetsSaver.checkInputs();
			},
			'keyup': function(e) {
				this.value = this.value.replace(/[^a-z0-9\s]/gi, '');
				this.value = this.value.toLowerCase().clean().replace(/\s/g, "");
				PresetsSaver.checkInputs();
			}
		});

		var bottom = new Element('div', {'class': 'preset-bottom'}).inject(wrapper);
		PresetsSaver.savePreset = new Element('button', {disabled: 'disabled'}).set('text', GantryLang['save']).inject(bottom);
		PresetsSaver.cancel = new Element('button').set('text', GantryLang['cancel']).inject(bottom);

		PresetsSaver.cancel.addEvent('click', function(e) {
			PresetsSaver.POverlay.removeEvent('show', PresetsSaver.bounds.show);
			wrapper.empty().dispose();
			PresetsSaver.POverlay.hide();
		});

		PresetsSaver.savePreset.addEvent('click', PresetsSaver.save);

		PresetsSaver.center(wrapper);
	},

	checkInputs: function() {
		var checks = [], inputs = PresetsSaver.wrapper.getElements('input');
		inputs.each(function(input, i) {
			if (input.value != '' && input.value != PresetsSaver[(!i % 2) ? 'valExample' : 'keyExample']) checks[i] = true;
			else checks[i] = false;
		});

		var check = checks.contains(false);

		if (check || !inputs.length) PresetsSaver.savePreset.setProperty('disabled', 'disabled');
		else PresetsSaver.savePreset.removeProperty('disabled');

		return check;
	},

	save: function() {
		if (!PresetsSaver.checkInputs) return;
		var inputs = [];
		PresetsSaver.wrapper.getElements('.preset-namer').each(function(box) {
			inputs.push(box.getElements('input'));
		});

		PresetsSaver.data = PresetsSaver.getPresets(inputs);
		var data = PresetsSaver.data;

		new Request.HTML({
			url: Crystalline.ajaxUrl,
			onSuccess: PresetsSaver.handleResponse
		}).post({
			'model': 'preset-saver',
			'action': 'add',
			'presets-data': JSON.encode(data)
		});
	},

	handleResponse: function(nodes, html, response) {
		var wrapper = PresetsSaver.wrapper, inner = PresetsSaver.innerWrapper;

		var icon, title, msg;

		response = response.trim().clean();

		if (response == "success") {
			$H(PresetsSaver.data).each(function(value, key) {
				$H(value).each(function(inner_value, inner_key) {
					var name = inner_value['name'];
					//PresetDropdown.newItem(key, inner_key, name);
					new Element('option', {value: key}).set('text', name).inject(document.id('presets'));
					var ul = document.id('popup-presets').getElement('ul');
					var li = new Element('li').set('text', name).inject(ul);
					var el = $$('.selectbox-wrapper')[0];

					var objs = window.selectboxes.getObjects(el);
					var realChildren = objs.real.getChildren();

					window.selectboxes.updateSizes(el);

					li.addEvents({
						'mouseenter': function() {
							objs.list.removeClass('hover');
							this.addClass('hover');
						},
						'mouseleave': function() {
							this.removeClass('hover');
						},
						'click': function() {
							objs.list.removeClass('active');
							this.addClass('active');
							this.fireEvent('select', [objs, (ul.getChildren().length - 1)]);
						},
						select: window.selectboxes.select.bind(window.selectboxes)
					});


					delete inner_value['name'];
					Presets.set(name, inner_value || {});
				});
			});

			var success = new Element('div', {'class': 'preset-success'}).inject(inner, 'after');
			inner.empty().dispose();
			icon = new Element('div', {'class': 'success-icon'}).inject(success);
			title = new Element('div').set('html', '<h3>'+ GantryLang['success_save'] +'</h3>').inject(success);
			msg = new Element('div').set('html', GantryLang['success_msg']).inject(success);
			PresetsSaver.savePreset.setStyle('display', 'none');
			PresetsSaver.cancel.set('html', GantryLang['close']);

		} else {
			inner.setStyle('display', 'none');
			var error = new Element('div', {'class': 'preset-error'}).inject(inner, 'after');
			icon = new Element('div', {'class': 'error-icon'}).inject(error);
			title = new Element('div').set('html', '<h3>' + GantryLang['fail_save'] + '</h3>').inject(error);
			msg = new Element('div').set('html', GantryLang['fail_msg']).inject(error);

			var retry = PresetsSaver.savePreset.clone();
			PresetsSaver.savePreset.setStyle('display', 'none');
			retry.inject(PresetsSaver.savePreset, 'before').set('html', GantryLang['retry']).addEvent('click', function() {
				error.empty().dispose();
				inner.setStyle('display', 'block');
				PresetsSaver.savePreset.setStyle('display', '');
				retry.dispose();
			});
		}

	},

	center: function(el) {
		var winSize = window.getSize(), winScroll = window.getScroll();
		var elSize = el.getSize();

		var positions = {
			'left': (winSize.x / 2) + winScroll.x - elSize.x / 2,
			'top': (winSize.y / 2) + winScroll.y - elSize.y / 2
		};

		el.setStyles(positions);
	},

	getPresets: function(inputs) {
		var presets = new Hash({'presets': Hash.combine(Crystalline.savedCSS, new Hash(Crystalline.newCSS))});
		var i = 1, j = 0;
		var storing = {};
		presets.each(function(value, key) {
			if (!PresetsSaver.wrapper.getElement('.valid-preset-' + key)) return;
		    var hash = presets.get(key);
			storing[key] = {};
			storing[key][inputs[j][1].value] = {};
			storing[key][inputs[j][1].value]['name'] = inputs[j][0].value;

			i = 1;
		    $H(hash).each(function(presetvalue, presetkey) {
				storing[key][inputs[j][1].value][presetkey] = presetvalue || '';
		    });

			j++;
		});

		return storing;
	}
};

var Layer = new Class({
	Implements: [Options, Events],
	options: {
		duration: 200,
		opacity: 0.8
	},

	initialize: function(options) {
		var self = this;

		this.setOptions(options);

		this.id = new Element('div', {id: 'gantry-layer'}).inject(document.body);
		this.fx = new Fx.Tween(this.id, {
			'duration': this.options.duration,
			'wait': false,
			'onStart': function(){
				if (!this.from[0].value) this.id.setStyle('visibility', 'visible');
			},
			'onComplete': function() {
				if (!this.to[0].value) {
					self.open = false;
					this.id.setStyle('visibility', 'hidden');
				} else {
					self.open = true;
					self.fireEvent('show');
				}
			}
		}).set('opacity', 0);
		this.open = false;

	},

	show: function() {
		this.calcSizes();
		this.fx.start('opacity', this.options.opacity);
	},

	hide: function() {
		this.fireEvent('hide');
		this.fx.start('opacity', 0);
	},

	toggle: function() {
		this[this.open ? 'hide' : 'show']();
	},

	calcSizes: function() {
		this.id.setStyles({
			'width': window.getScrollSize().x,
			'height': window.getScrollSize().y
		});
	}
});

window.addEvent('domready', PresetsSaver.init);
