<?php
/**
 * @package   Crystalline Template - RocketTheme
 * @version   1.2 June 19, 2012
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2012 RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Rockettheme Crystalline Template uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */
defined('JPATH_BASE') or die();

$gantry_config_mapping = array(
    'belatedPNG' => 'belatedPNG',
	'ie6Warning' => 'ie6Warning'
);

$gantry_presets = array (
    'presets' => array (
	
	
		'crystalline' => array (
			'name' => 'Crystalline',
			'header-background' => '#004e63',
			'header-text' => '#ffffff',
			'header-link' => '#ebe5c3',
			'main-background' => '#f1e8d6',
			'main-text' => '#55473e',
			'main-link' => '#000000',
			'feature-background' => '#dedede',
			'feature-text' => '#444444',
			'feature-link' => '#004e63',
			'body-background' => '#ffffff',
			'body-text' => '#666666',
			'body-link' => '#004e63',
			'bottom-background' => '#a61027',
			'bottom-text' => '#ffffff',
			'bottom-link' => '#ebe5c3',
			'header-shadows' => 'dark',
			'main-shadows' => 'light',
			'feature-shadows' => 'light',
			'body-shadows' => 'light',
			'bottom-shadows' => 'dark',
			'header-graphic' => 'header-1',
			'header-overlay' => 'lines-4',
			'main-overlay' => 'circles',
			'body-overlay' => 'none',
			'bottom-overlay' => 'lines-4',
			'feature-overlay' => 'none'
	    ),
		'military' => array (
			'name' => 'Military',
			'header-background' => '#30331d',
			'header-text' => '#e3d0a6',
			'header-link' => '#e6e1d5',
			'main-background' => '#3a2f11',
			'main-text' => '#e3d2ac',
			'main-link' => '#852c03',
			'feature-background' => '#692200',
			'feature-text' => '#e3d2ac',
			'feature-link' => '#e6e1d5',
			'body-background' => '#e6e1d5',
			'body-text' => '#30331c',
			'body-link' => '#852c03',
			'bottom-background' => '#30331d',
			'bottom-text' => '#e3d2ac',
			'bottom-link' => '#e6e1d5',
			'header-shadows' => 'dark',
			'main-shadows' => 'light',
			'feature-shadows' => 'dark',
			'body-shadows' => 'light',
			'bottom-shadows' => 'dark',
			'header-graphic' => 'header-5',
			'header-overlay' => 'grunge-1',
			'main-overlay' => 'burlap',
			'feature-overlay' => 'none',
			'body-overlay' => 'none',
			'bottom-overlay' => 'grunge-1'
	    ),
		'woody' => array (
			'name' => 'Woody',
			'header-background' => '#bd5720',
			'header-text' => '#dbd0c8',
			'header-link' => '#ffffff',
			'main-background' => '#1d1d1d',
			'main-text' => '#dbd0c8',
			'main-link' => '#ffffff',
			'feature-background' => '#333333',
			'feature-text' => '#dbd0c8',
			'feature-link' => '#ffffff',
			'body-background' => '#ded5ca',
			'body-text' => '#454545',
			'body-link' => '#ba5807',
			'bottom-background' => '#141414',
			'bottom-text' => '#666565',
			'bottom-link' => '#bababa',
			'header-shadows' => 'dark',
			'main-shadows' => 'dark',
			'feature-shadows' => 'dark',
			'body-shadows' => 'light',
			'bottom-shadows' => 'dark',
			'header-overlay' => 'wood-3',
			'main-overlay' => 'none',
			'feature-overlay' => 'none',
			'body-overlay' => 'none',
			'bottom-overlay' => 'wood-3',
			'header-graphic' => 'none'
	    ),
		'moderna' => array (
			'name' => 'Moderna',
			'header-background' => '#2c68a3',
			'header-text' => '#dedede',
			'header-link' => '#cce6ff',
			'main-background' => '#ffffff',
			'main-text' => '#474747',
			'main-link' => '#2c68a3',
			'feature-background' => '#e4e8ed',
			'feature-text' => '#474747',
			'feature-link' => '#2c68a3',
			'body-background' => '#ffffff',
			'body-text' => '#474747',
			'body-link' => '#2c68a3',
			'bottom-background' => '#e0e0e0',
			'bottom-text' => '#474747',
			'bottom-link' => '#2c68a3',
			'header-shadows' => 'light',
			'main-shadows' => 'light',
			'feature-shadows' => 'light',
			'body-shadows' => 'light',
			'bottom-shadows' => 'light',
			'header-overlay' => 'none',
			'main-overlay' => 'none',
			'header-graphic' => 'header-6',
			'bottom-overlay' => 'none',
			'body-overlay' => 'none',
			'feature-overlay' => 'none'
	    ),
		'hotpepper' => array (
			'name' => 'Hot Pepper',
			'header-background' => '#ab1a03',
			'header-text' => '#e6e6e6',
			'header-link' => '#f7b50c',
			'main-background' => '#2b2b2b',
			'main-text' => '#949494',
			'main-link' => '#f7b50c',
			'feature-background' => '#303030',
			'feature-text' => '#949494',
			'feature-link' => '#f7b50c',
			'body-background' => '#454545',
			'body-text' => '#a8a8a8',
			'body-link' => '#f7b50c',
			'bottom-background' => '#303030',
			'bottom-text' => '#949494',
			'bottom-link' => '#f7b50c',
			'header-shadows' => 'dark',
			'main-shadows' => 'dark',
			'feature-shadows' => 'dark',
			'body-shadows' => 'dark',
			'bottom-shadows' => 'dark',
			'header-overlay' => 'grunge-2',
			'main-overlay' => 'none',
			'feature-overlay' => 'none',
			'body-overlay' => 'none',
			'bottom-overlay' => 'grunge-2',
			'header-graphic' => 'header-2'
	    ),
		'mildpepper' => array (
			'name' => 'Mild Pepper',
			'header-background' => '#383838',
			'header-text' => '#ffffff',
			'header-link' => '#f7b50c',
			'main-background' => '#ffffff',
			'main-text' => '#707070',
			'main-link' => '#c23211',
			'feature-background' => '#c23211',
			'feature-text' => '#ffffff',
			'feature-link' => '#f7b50c',
			'body-background' => '#ffffff',
			'body-text' => '#707070',
			'body-link' => '#c23211',
			'bottom-background' => '#383838',
			'bottom-text' => '#a3a3a3',
			'bottom-link' => '#f7b50c',
			'header-shadows' => 'dark',
			'main-shadows' => 'dark',
			'feature-shadows' => 'light',
			'body-shadows' => 'light',
			'bottom-shadows' => 'light',
			'header-overlay' => 'digital',
			'main-overlay' => 'none',
			'feature-overlay' => 'digital',
			'body-overlay' => 'none',
			'bottom-overlay' => 'digital',
			'header-graphic' => 'header-2'
	    ),
		'elegance' => array (
			'name' => 'Elegance',
			'header-background' => '#6d7a3b',
			'header-text' => '#ffffff',
			'header-link' => '#a1e1f0',
			'main-background' => '#cfd4b5',
			'main-text' => '#707070',
			'main-link' => '#c23211',
			'feature-background' => '#486773',
			'feature-text' => '#ffffff',
			'feature-link' => '#a1e1f0',
			'body-background' => '#ffffff',
			'body-text' => '#4d4d4d',
			'body-link' => '#b9321c',
			'bottom-background' => '#6d7a3b',
			'bottom-text' => '#ffffff',
			'bottom-link' => '#a1e1f0',
			'header-shadows' => 'dark',
			'main-shadows' => 'dark',
			'feature-shadows' => 'dark',
			'body-shadows' => 'light',
			'bottom-shadows' => 'light',
			'header-overlay' => 'elegant-3',
			'main-overlay' => 'paper',
			'feature-overlay' => 'none',
			'body-overlay' => 'paper',
			'bottom-overlay' => 'elegant-3',
			'header-graphic' => 'header-7'
	    ),

		'richvintage' => array (
			'name' => 'Rich Vintage',
			'header-background' => '#3a1228',
			'header-text' => '#e0c1d2',
			'header-link' => '#ffffff',
			'main-background' => '#393726',
			'main-text' => '#e3e0ca',
			'main-link' => '#ffffff',
			'feature-background' => '#73732b',
			'feature-text' => '#e3e3bc',
			'feature-link' => '#ffffff',
			'body-background' => '#e3d9c8',
			'body-text' => '#4a391b',
			'body-link' => '#3e7e9c',
			'bottom-background' => '#3a1228',
			'bottom-text' => '#cf91b3',
			'bottom-link' => '#f5d3e5',
			'header-shadows' => 'light',
			'main-shadows' => 'dark',
			'feature-shadows' => 'dark',
			'body-shadows' => 'light',
			'bottom-shadows' => 'dark',
			'header-overlay' => 'elegant-4',
			'main-overlay' => 'lines-1',
			'feature-overlay' => 'none',
			'body-overlay' => 'none',
			'bottom-overlay' => 'elegant-4',
			'header-graphic' => 'header-3'
	    ),
		'brightday' => array (
			'name' => 'Bright Day',
			'header-background' => '#42c0f4',
			'header-text' => '#f5faff',
			'header-link' => '#d5fa32',
			'main-background' => '#005b9b',
			'main-text' => '#ffffff',
			'main-link' => '#d5fa32',
			'feature-background' => '#82ba28',
			'feature-text' => '#ffffff',
			'feature-link' => '#dffa66',
			'body-background' => '#dae7f2',
			'body-text' => '#141645',
			'body-link' => '#005b9b',
			'bottom-background' => '#005b9b',
			'bottom-text' => '#dae7f2',
			'bottom-link' => '#42c0f4',
			'header-shadows' => 'dark',
			'main-shadows' => 'light',
			'feature-shadows' => 'dark',
			'body-shadows' => 'light',
			'bottom-shadows' => 'light',
			'header-graphic' => 'header-9',
			'header-overlay' => 'spirals-1',
			'main-overlay' => 'none',
			'body-overlay' => 'none',
			'bottom-overlay' => 'none',
			'feature-overlay' => 'lines-3'
	    ),
		'velvetine' => array (
			'name' => 'Velvetine',
			'header-background' => '#1f1f1f',
			'header-text' => '#bababa',
			'header-link' => '#ffffff',
			'main-background' => '#4f4f4f',
			'main-text' => '#bababa',
			'main-link' => '#ffffff',
			'feature-background' => '#441f5f',
			'feature-text' => '#bdbdbd',
			'feature-link' => '#ffffff',
			'body-background' => '#ffffff',
			'body-text' => '#474747',
			'body-link' => '#694285',
			'bottom-background' => '#262626',
			'bottom-text' => '#7d7d7d',
			'bottom-link' => '#b5b3b3',
			'header-shadows' => 'light',
			'main-shadows' => 'dark',
			'feature-shadows' => 'dark',
			'body-shadows' => 'light',
			'bottom-shadows' => 'dark',
			'header-overlay' => 'burlap',
			'main-overlay' => 'burlap',
			'header-graphic' => 'header-3',
			'bottom-overlay' => 'burlap',
			'body-overlay' => 'none',
			'feature-overlay' => 'plusses-2'
	    ),
		'butterfly' => array (
			'name' => 'Butterfly',
			'main-background' => '#210506',
			'header-background' => '#866d3f',
			'header-text' => '#ccbea5',
			'header-link' => '#ffffff',
			'feature-background' => '#d9501e',
			'feature-text' => '#f2c9bb',
			'feature-link' => '#ffffff',
			'body-background' => '#ebe3d5',
			'body-text' => '#210506',
			'body-link' => '#d9501e',
			'bottom-background' => '#210506',
			'bottom-text' => '#a68a8b',
			'bottom-link' => '#cfb8b8',
			'header-overlay' => 'lines-2',
			'main-text' => '#c7adae',
			'main-link' => '#ffffff',
			'main-overlay' => 'lines-3',
			'feature-overlay' => 'none',
			'body-overlay' => 'none',
			'bottom-overlay' => 'none',
			'header-graphic' => 'none',
			'header-shadows' => 'dark',
			'main-shadows' => 'light',
			'feature-shadows' => 'dark',
			'body-shadows' => 'light',
			'bottom-shadows' => 'dark'
	    ),
		'entrapped' => array (
			'name' => 'Entrapped',
			'main-background' => '#cadbdb',
			'header-background' => '#668284',
			'header-text' => '#faffff',
			'header-link' => '#e6feff',
			'feature-background' => '#7b3b3b',
			'feature-text' => '#d4b6b6',
			'feature-link' => '#ffffff',
			'body-background' => '#ffffff',
			'body-text' => '#4a4242',
			'body-link' => '#7b3b3b',
			'bottom-background' => '#668284',
			'bottom-text' => '#abc6c7',
			'bottom-link' => '#e9f2f2',
			'header-overlay' => 'lines-5',
			'main-text' => '#566d6e',
			'main-link' => '#7b3b3b',
			'main-overlay' => 'none',
			'feature-overlay' => 'none',
			'body-overlay' => 'none',
			'bottom-overlay' => 'none',
			'header-graphic' => 'none',
			'header-shadows' => 'light',
			'main-shadows' => 'light',
			'feature-shadows' => 'dark',
			'body-shadows' => 'light',
			'bottom-shadows' => 'dark'
	    )
    )
);

$gantry_browser_params = array(
    'ie6' => array(
        'header-shadows' => 'none',
		'feature-shadows' => 'none',
		'main-shadows' => 'none',
		'body-shadows' => 'none',
		'bottom-shadows' => 'none'
    )
);

$gantry_belatedPNG = array('.png', '#rt-logo', '.readon', '.readon .span', '.readon .button', '#rt-navigation2', '#rocket', '#gantry-logo', '#rokajaxsearch .roksearch-wrapper', ' .readon span', '.menu-type-suckerfishmenu  li.sfHover .item', '.menu-type-suckerfishmenu  li#current .item', '.menu-type-suckerfishmenu  li ul');

$gantry_ie6Warning = "<h3>IE6 DETECTED: Currently Running in Compatibility Mode</h3><h4>This site is compatible with IE6, however your experience will be enhanced with a newer browser</h4><p>Internet Explorer 6 was released in August of 2001, and the latest version of IE6 was released in August of 2004.  By continuing to run Internet Explorer 6 you are open to any and all security vulnerabilities discovered since that date.  In March of 2009, Microsoft released version 8 of Internet Explorer that, in addition to providing greater security, is faster and more standards compliant than both version 6 and 7 that came before it.</p> <br /><a class='external'  href='http://www.microsoft.com/windows/internet-explorer/?ocid=ie8_s_cfa09975-7416-49a5-9e3a-c7a290a656e2'>Download Internet Explorer 8 NOW!</a>";