-- --------------------------------------------------------

--
-- Table structure for table `#__assets`
--

DROP TABLE IF EXISTS `#__assets`;
CREATE TABLE IF NOT EXISTS `#__assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
);

--
-- Dumping data for table `#__assets`
--

INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(1, 0, 1, 159, 0, 'root.1', 'Root Asset', '{"core.login.site":{"6":1,"2":1},"core.login.admin":{"6":1},"core.login.offline":{"6":1},"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(2, 1, 1, 2, 1, 'com_admin', 'com_admin', '{}'),
(3, 1, 3, 6, 1, 'com_banners', 'com_banners', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(4, 1, 7, 8, 1, 'com_cache', 'com_cache', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(5, 1, 9, 10, 1, 'com_checkin', 'com_checkin', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(6, 1, 11, 12, 1, 'com_config', 'com_config', '{}'),
(7, 1, 13, 18, 1, 'com_contact', 'com_contact', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(8, 1, 19, 98, 1, 'com_content', 'com_content', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
(9, 1, 99, 100, 1, 'com_cpanel', 'com_cpanel', '{}'),
(10, 1, 101, 102, 1, 'com_installer', 'com_installer', '{"core.admin":[],"core.manage":{"7":0},"core.delete":{"7":0},"core.edit.state":{"7":0}}'),
(11, 1, 103, 104, 1, 'com_languages', 'com_languages', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(12, 1, 105, 106, 1, 'com_login', 'com_login', '{}'),
(13, 1, 107, 108, 1, 'com_mailto', 'com_mailto', '{}'),
(14, 1, 109, 110, 1, 'com_massmail', 'com_massmail', '{}'),
(15, 1, 111, 112, 1, 'com_media', 'com_media', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":{"5":1}}'),
(16, 1, 113, 114, 1, 'com_menus', 'com_menus', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(17, 1, 115, 116, 1, 'com_messages', 'com_messages', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(18, 1, 117, 118, 1, 'com_modules', 'com_modules', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(19, 1, 119, 122, 1, 'com_newsfeeds', 'com_newsfeeds', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(20, 1, 123, 124, 1, 'com_plugins', 'com_plugins', '{"core.admin":{"7":1},"core.manage":[],"core.edit":[],"core.edit.state":[]}'),
(21, 1, 125, 126, 1, 'com_redirect', 'com_redirect', '{"core.admin":{"7":1},"core.manage":[]}'),
(22, 1, 127, 128, 1, 'com_search', 'com_search', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(23, 1, 129, 130, 1, 'com_templates', 'com_templates', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(24, 1, 131, 134, 1, 'com_users', 'com_users', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(25, 1, 135, 140, 1, 'com_weblinks', 'com_weblinks', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
(26, 1, 141, 142, 1, 'com_wrapper', 'com_wrapper', '{}'),
(27, 8, 20, 21, 2, 'com_content.category.2', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(28, 3, 4, 5, 2, 'com_banners.category.3', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(29, 7, 14, 15, 2, 'com_contact.category.4', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(30, 19, 120, 121, 2, 'com_newsfeeds.category.5', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(31, 25, 136, 137, 2, 'com_weblinks.category.6', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(32, 24, 132, 133, 1, 'com_users.notes.category.7', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(33, 1, 143, 144, 1, 'com_finder', 'com_finder', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(34, 1, 145, 146, 1, 'com_joomlaupdate', 'com_joomlaupdate', '{"core.admin":[],"core.manage":[],"core.delete":[],"core.edit.state":[]}'),
(92, 1, 147, 148, 1, 'com_content.article.43', 'Example Pages and Menu Links', ''),
(95, 131, 37, 38, 3, 'com_content.article.46', 'Template Features', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(96, 131, 39, 40, 3, 'com_content.article.47', 'Gantry Framework', ''),
(97, 131, 41, 42, 3, 'com_content.article.48', 'Color Chooser', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(98, 131, 43, 44, 3, 'com_content.article.49', 'Module Variations', ''),
(99, 131, 45, 46, 3, 'com_content.article.50', 'Module Positions', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(100, 131, 47, 48, 3, 'com_content.article.51', 'Typography Overview', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(101, 131, 49, 50, 3, 'com_content.article.52', 'HTML Typography', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(102, 131, 51, 52, 3, 'com_content.article.53', 'RokCandy Typography', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(103, 131, 53, 54, 3, 'com_content.article.54', 'Integrated Extensions', ''),
(104, 131, 55, 56, 3, 'com_content.article.55', 'Tutorials and Guides', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(105, 131, 57, 58, 3, 'com_content.article.56', 'Installation Instructions', ''),
(106, 131, 59, 60, 3, 'com_content.article.57', 'RocketLauncher Setup', ''),
(107, 131, 61, 62, 3, 'com_content.article.58', 'Style Control', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(108, 131, 63, 64, 3, 'com_content.article.59', 'Menu Options', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(109, 131, 65, 66, 3, 'com_content.article.60', 'Logo Editing', ''),
(110, 131, 67, 68, 3, 'com_content.article.61', 'Using Typography', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(111, 131, 71, 72, 3, 'com_content.article.62', 'Other Featured Characteristics', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(112, 131, 73, 74, 3, 'com_content.article.63', 'Other Featured Stuff Continued', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(113, 131, 75, 76, 3, 'com_content.article.64', 'Other Featured Stuff Continued...', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(114, 131, 77, 78, 3, 'com_content.article.65', 'Template Extras', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(116, 130, 23, 24, 3, 'com_content.article.67', 'Introduction', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(117, 130, 33, 34, 3, 'com_content.article.68', 'Variations', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(120, 130, 31, 32, 3, 'com_content.article.71', 'Extensions', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(121, 130, 29, 30, 3, 'com_content.article.72', 'Framework', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(122, 130, 27, 28, 3, 'com_content.article.73', 'Documentation', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(123, 130, 25, 26, 3, 'com_content.article.74', 'Color Chooser', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(124, 131, 69, 70, 3, 'com_content.article.75', 'Preset Styles', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(125, 1, 149, 150, 1, 'com_rokcandy.category.45', 'Basic', ''),
(126, 1, 151, 152, 1, 'com_rokcandy.category.46', 'Typography', ''),
(127, 1, 153, 154, 1, 'com_rokcandy.category.47', 'Uncategorised', ''),
(128, 1, 155, 156, 1, 'com_rokcandy', 'rokcandy', '{}'),
(129, 1, 157, 158, 1, 'com_gantry', 'gantry', '{}'),
(130, 8, 22, 35, 2, 'com_content.category.48', 'RokTabs', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(131, 8, 36, 79, 2, 'com_content.category.49', 'Demo Content', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(132, 8, 80, 97, 2, 'com_content.category.50', 'Sample Content', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(133, 132, 81, 82, 3, 'com_content.article.76', 'Sample Content 1', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(134, 132, 83, 84, 3, 'com_content.article.77', 'Sample Content 2', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(135, 132, 85, 86, 3, 'com_content.article.78', 'Sample Content 3', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(136, 132, 87, 88, 3, 'com_content.article.79', 'Sample Content 4', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(137, 132, 89, 90, 3, 'com_content.article.80', 'Sample Content 5', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(138, 132, 91, 92, 3, 'com_content.article.81', 'Sample Content 6', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(139, 132, 93, 94, 3, 'com_content.article.82', 'Sample Content 7', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(140, 132, 95, 96, 3, 'com_content.article.83', 'Sample Content 8', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(141, 7, 16, 17, 2, 'com_contact.category.51', 'Contact', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(142, 25, 138, 139, 2, 'com_weblinks.category.52', 'RocketTheme', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}');

-- --------------------------------------------------------

--
-- Table structure for table `#__associations`
--

DROP TABLE IF EXISTS `#__associations`;
CREATE TABLE IF NOT EXISTS `#__associations` (
  `id` varchar(50) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
);

--
-- Dumping data for table `#__associations`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__banners`
--

DROP TABLE IF EXISTS `#__banners`;
CREATE TABLE IF NOT EXISTS `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
);

--
-- Dumping data for table `#__banners`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__banner_clients`
--

DROP TABLE IF EXISTS `#__banner_clients`;
CREATE TABLE IF NOT EXISTS `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` text NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`)
);

--
-- Dumping data for table `#__banner_clients`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__banner_tracks`
--

DROP TABLE IF EXISTS `#__banner_tracks`;
CREATE TABLE IF NOT EXISTS `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
);

--
-- Dumping data for table `#__banner_tracks`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__categories`
--

DROP TABLE IF EXISTS `#__categories`;
CREATE TABLE IF NOT EXISTS `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
);

--
-- Dumping data for table `#__categories`
--

INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`) VALUES
(1, 0, 0, 0, 17, 0, '', 'system', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '', 775, '2009-10-18 16:07:09', 0, '0000-00-00 00:00:00', 0, '*'),
(45, 125, 1, 1, 2, 1, 'basic', 'com_rokcandy', 'Basic', 'basic', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 775, '2012-06-12 12:41:09', 0, '0000-00-00 00:00:00', 0, ''),
(46, 126, 1, 3, 4, 1, 'typography', 'com_rokcandy', 'Typography', 'typography', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 775, '2012-06-12 12:41:09', 0, '0000-00-00 00:00:00', 0, ''),
(47, 127, 1, 5, 6, 1, 'uncategorised', 'com_rokcandy', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 775, '2012-06-12 12:41:09', 0, '0000-00-00 00:00:00', 0, ''),
(48, 130, 1, 7, 8, 1, 'roktabs', 'com_content', 'RokTabs', 'roktabs', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 775, '2012-06-12 13:13:36', 0, '0000-00-00 00:00:00', 0, '*'),
(49, 131, 1, 9, 10, 1, 'demo-content', 'com_content', 'Demo Content', 'demo-content', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 775, '2012-06-12 13:15:45', 0, '0000-00-00 00:00:00', 0, '*'),
(50, 132, 1, 11, 12, 1, 'sample-content', 'com_content', 'Sample Content', 'sample-content', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 775, '2012-06-12 13:28:44', 0, '0000-00-00 00:00:00', 0, '*'),
(51, 141, 1, 13, 14, 1, 'contact', 'com_contact', 'Contact', 'contact', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 775, '2012-06-12 13:32:23', 0, '0000-00-00 00:00:00', 0, '*'),
(52, 142, 1, 15, 16, 1, 'rockettheme', 'com_weblinks', 'RocketTheme', 'rockettheme', '', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh. Vivamus non arcu. Lorem ipsum dolor sit amet, consectetur adipiscing elit.', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 775, '2012-06-12 13:33:51', 0, '0000-00-00 00:00:00', 0, '*');

-- --------------------------------------------------------

--
-- Table structure for table `#__contact_details`
--

DROP TABLE IF EXISTS `#__contact_details`;
CREATE TABLE IF NOT EXISTS `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `con_position` varchar(255) DEFAULT NULL,
  `address` text,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` mediumtext,
  `image` varchar(255) DEFAULT NULL,
  `imagepos` varchar(20) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL,
  `sortname2` varchar(255) NOT NULL,
  `sortname3` varchar(255) NOT NULL,
  `language` char(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
);

--
-- Dumping data for table `#__contact_details`
--

INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `imagepos`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`) VALUES
(1, 'Administrator', 'administrator', 'Position', 'Address', 'City', 'State', 'Country', 'ZIP Code', 'Telephone', 'Fax', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh. Vivamus non arcu. Lorem ipsum dolor sit amet, consectetur adipiscing elit.', '', NULL, 'noreply@demo.rockettheme.com', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":null,"linkb_name":"","linkb":null,"linkc_name":"","linkc":null,"linkd_name":"","linkd":null,"linke_name":"","linke":"","contact_layout":"","show_email_form":"0","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 62, 51, 1, 'Mobile', 'http://Website', '', '', '', '*', '2012-06-12 13:33:36', 775, '', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `#__content`
--

DROP TABLE IF EXISTS `#__content`;
CREATE TABLE IF NOT EXISTS `#__content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `title_alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'Deprecated in Joomla! 3.0',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `sectionid` int(10) unsigned NOT NULL DEFAULT '0',
  `mask` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `parentid` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
);

--
-- Dumping data for table `#__content`
--

INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(43, 92, 'Example Pages and Menu Links', 'example-pages-and-menu-links', '', '<p>This page is an example of content that is <em>Uncategorized</em>; that is, it does not belong to any Section or Category. You will see there is a new Menu in the left column. It shows links to the same content presented in 4 different page layouts.</p><ul><li>Section Blog</li><li>Section Table</li><li> Blog Category</li><li>Category Table</li></ul><p>Follow the links in the <strong>Example Pages</strong> Menu to see some of the options available to you to present all the different types of content included within the default installation of Joomla!.</p><p>This includes Components and individual Articles. These links or Menu Item Types (to give them their proper name) are all controlled from within the <strong><font face="courier new,courier">Menu Manager-&gt;[menuname]-&gt;Menu Items Manager</font></strong>. </p>', '', -2, 0, 0, 2, '2008-08-12 09:26:52', 775, '', '2012-06-12 12:40:23', 0, 0, '0000-00-00 00:00:00', '2006-10-11 10:00:00', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_section":"","link_section":"","show_category":"","link_category":"","show_vote":"","show_author":"","show_create_date":"","show_modify_date":"","show_pdf_icon":"","show_print_icon":"","show_email_icon":"","language":"","keyref":"","readmore":"","show_parent_category":"","link_parent_category":"","link_author":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 0, 1, 'Uncategorized, Uncategorized, Example Pages and Menu Links', '', 1, 43, '', 0, '*', ''),
(46, 95, 'Template Features', 'template-features', '', '<h4>Top Features</h4>\r\n\r\n<p class="dropcap"><span class="dropcap">1</span><strong><a href="index.php?option=com_content&amp;view=article&amp;id=48&amp;Itemid=155">Color Chooser:</a></strong> An inbuilt Color Chooser is Crystalline''s most notable feature, simply activate the chooser from the frontend of the template and customize the site''s styling, from simple text colors to graphic selection. You can save the customized styles from the frontend into the administrator with the Gantry Framework.</p>\r\n\r\n<p class="dropcap"><span class="dropcap">2</span><strong><a href="index.php?option=com_content&amp;view=article&amp;id=47&amp;Itemid=154">Gantry Framework v2.0:</a></strong> A new framework / structure, that provides a more modern, efficient and cross-platform foundation for our templates. Features range from the intuitive and dynamic administrative interface, to the 960 grid system, full RTL support, inbuilt GZip compression and much more.</p>\r\n\r\n<p class="dropcap"><span class="dropcap">3</span><strong><a href="index.php?option=com_content&amp;view=article&amp;id=59&amp;Itemid=166">Advanced Menu:</a></strong> Crystalline offers a powerful assortment of menus to choose from. Select from either: the Fusion Menu, a javascript / Mootools enhanced CSS dropdown menu system, SEO compatible and user friendly; and the versatile and flexible Splitmenu, a static sublevel based menu system (sublevels in the side column).</p>\r\n\r\n\r\n<h4>Core Template Features</h4>\r\n\r\n<p>Below is a list of the core template features which pertain to this release.</p>\r\n\r\n<ul class="bullet-9">\r\n  <li>\r\n    <strong><a href="index.php?option=com_content&amp;view=article&amp;id=47&amp;Itemid=154">RTL Support</a></strong><br />\r\n    RTL support from Gantry in its grid system, as well as RTL support in the Fusion menu, in conjunction with the template itself such as the breadcrumbs, content typography and module styling.\r\n    <p style="margin-top: 5px;"><a href="images/stories/demo/general/rtl-preview-full.jpg" class="readon" rel="rokbox[715 1687]" title="RTL Preview :: Preview of the Demo Frontpage in RTL mode"><span>Preview RTL</span></a></p>\r\n  </li>\r\n  <li>\r\n    <strong><a href="index.php?option=com_content&amp;view=article&amp;id=49&amp;Itemid=156">14 Module Hilites</a></strong><br />\r\n    14 module hilites to provide variations, color and/or structural, in your site for your modular content, these are: <strong>bg1-5</strong>, <strong>title1-5</strong>, <strong>flush</strong>, <strong>flushtop</strong>, <strong>flushbottom</strong> &amp; <strong>basic</strong>.\r\n  </li>\r\n  <li>\r\n    <strong><a href="#">Javascript Styling: Radios and Checkboxes</a></strong><br />\r\n    Additional styling for form elements, such as radios and checkboxes, for visual integration.\r\n  </li>\r\n  <li>\r\n    <strong><a href="#">IE6 Warning Message</a></strong><br />\r\n    A dropdown panel will appear in IE6, alerting the visitor to update their browser. This can be disabled in the template parameters.\r\n  </li>\r\n  <li>\r\n    <strong><a href="index.php?option=com_content&amp;view=article&amp;id=51&amp;Itemid=158">Content Typography</a></strong><br />  \r\n    Customised typography, such as list styles and notices, are included with this release.\r\n  </li>\r\n  <li>\r\n    <strong><a href="index.php?option=com_content&amp;view=article&amp;id=50&amp;Itemid=157">68 Module Positions</a></strong><br />  \r\n    The template has 68 module positions which are collapsible.\r\n  </li>\r\n  <li>\r\n    <strong><a href="#">Browser Compatibility</a></strong><br />  \r\n    The theme is compatible with all the major and modern browsers: FF 3.5, Safari 4, Opera 10, IE7 &amp; IE8. <em>There is limited support for IE6 as it is restricted in numerous ways such as the forcing of the low detail level, LTR is automatically set regardless of RTL presence, Fusion is replaced by the Suckerfish menu, and various other elements are dropped or modified for basic compatibility.</em>\r\n  </li>\r\n</ul>\r\n\r\n<h4>RocketTheme Extensions</h4>\r\n\r\n<p>Below is a list of RocketTheme Extensions that have either been styled specifically for this template release, or are showcased in this demo. For more details regarding RocketTheme Extensions as a whole, or more detailed information on an individual extension, please visit <a href="http://www.rockettheme.com/extensions" target="_blank">http://www.rockettheme.com/extensions</a></p>\r\n\r\n<ul class="bullet-9">\r\n  <li>\r\n    <strong><a href="index.php?option=com_content&amp;view=article&amp;id=54&amp;Itemid=161">RokCandy Component</a></strong><br />\r\n    A component that provides BBcode style functionality for Joomla for swift and easy implementation of complex code.\r\n  </li>\r\n  <li>\r\n    <strong><a href="index.php?option=com_content&amp;view=article&amp;id=54&amp;Itemid=161">RokBox Plugin</a></strong><br />\r\n    Javascript popup / litebox utility, can be used for images, links, videos, websites, PDFs and much more.\r\n  </li>  \r\n  <li>\r\n    <strong><a href="index.php?option=com_content&amp;view=article&amp;id=54&amp;Itemid=161">RokAjaxSearch Module</a></strong><br />\r\n    Ajax powered module, allowing for interactive search of both local Joomla pages and the web with its Google integration.\r\n  </li>\r\n  <li>\r\n    <strong><a href="index.php?option=com_content&amp;view=article&amp;id=54&amp;Itemid=161">RokTabs Module</a></strong><br />\r\n    Tabbed content module, perfect for maximising content exposure without sacrificing on site real estate. Built-in Mootools effects.\r\n  </li>  \r\n  <li>\r\n    <strong><a href="index.php?option=com_content&amp;view=article&amp;id=54&amp;Itemid=161">RokNavMenu Module</a></strong><br />\r\n    RokNavMenu is a foundational extension which is at the core of the inbuilt menu systems and is a requirement for the template menus to operate.\r\n  </li>\r\n  <li>\r\n    <strong><a href="index.php?option=com_content&amp;view=article&amp;id=54&amp;Itemid=161">RokGzipper Plugin</a></strong><br />\r\n    A performance plugin that compresses your CSS and JS files via GZip which results in faster page loads.\r\n  </li>\r\n  <li>\r\n    <strong><a href="index.php?option=com_content&amp;view=article&amp;id=54&amp;Itemid=161">RokPad Editor</a></strong><br />\r\n    A code editor with syntax highlighting, ajax saving and much more. The perfect replacement for the Joomla <em>No Editor</em>.\r\n  </li>\r\n</ul>', '', 1, 0, 0, 49, '2010-02-21 14:06:32', 775, '', '2012-06-12 13:47:01', 62, 0, '0000-00-00 00:00:00', '2010-02-21 14:06:32', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 14, 0, 1, '', '', 1, 165, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(47, 96, 'Gantry Framework', 'gantry-framework', '', '<h2>Definition of Gantry</h2>\r\n<p>\r\n  <img class="png gantry-logo" alt="blank" src="images/stories/demo/general/gantry.png"/>\r\n  <strong>gan·try</strong> (gan′trē) <em>noun</em>\r\n</p>\r\n<ol>\r\n  <li><strong>(RocketTheme) A framework used for assembling, building and maintaining a RocketTheme template</strong></li>\r\n</ol>\r\n\r\n<h2>Overview of Gantry</h2>\r\n\r\n<p>Gantry is a sophisticated Joomla template framework with the sole intention of being the best platform to build a solid template with.  Gantry takes all the lessons learned during the development of many RocketTheme templates and distils that knowledge into a single super-flexible framework that is easy to configure, simple to extend, and powerful enough to handle anything we want to throw at it.</p>\r\n\r\n<h2>Key Features</h2>\r\n\r\n<p>The Gantry framework is packed with many great features that enable the rapid development of feature-rich designs with a minimum amount of effort.  We''ve also gone to great lengths to enhance the standard Joomla administration user interface to make configuring a Gantry-powered template easier than ever before. Check out a sampling of the features Gantry brings to the table:</p>\r\n\r\n<ul>\r\n  <li>960 Grid System (<a href="http://960.gs" target="_blank">http://960.gs</a>) for simple consistent layout</li>\r\n  <li>Cleaner more understandable index.php.  All the complicated bits are handled for you in the Gantry core.</li>\r\n  <li>Flexibility to configure up to 6 modules in row position.</li>\r\n  <li>65 base module positions in the Gantry core.  These can be easily extended to add more</li>\r\n  <li>36 possible combinations for the layout of the mainbody/sidebars alone!</li>\r\n  <li>Flexibility to configure different grid-size layouts based on number of published modules.  You are not forced to use the same grid layout for every page</li>\r\n  <li>12 built-in Gantry Features like Logo, Font-Sizer, To-Top Smooth Slider.  Easily create your own to add more functionality with little coding required.</li>\r\n  <li>Ability to force module display and ''blank'' module positions for advanced module placement ability.</li>\r\n  <li>Stunning new Admin interface providing better usability and control.</li>\r\n  <li>Unique Layout controls allow you to configure your layout without having to do math or ever create a ''broken'' layout.</li>\r\n  <li>Layout controls provide visual representation of your front-end layout for simple and intuitive customization.</li>\r\n  <li>Gantry is XML driven, adding another row of completely flexible module positions is as simple as editing one XML file.</li>\r\n  <li>New flexible parameter system allows loading preset theme attributes and modifying for a custom design. Also support session and cookie level overriding for development.</li>\r\n  <li>All new table-less HTML overrides based on the excellent GNU/GPLv2 overrides from YOOtheme</li>\r\n  <li>New standard typography and Joomla core elements styling</li>\r\n  <li>New advanced caching system makes using Gantry really fast!</li>\r\n  <li>All configuration state is stored in params.ini and cached for speed.</li>\r\n  <li>Optimized codebase with speed, size, and reuse core tenants of the framework design</li>\r\n  <li>RTL Support</li>\r\n  <li>Custom preset support</li>\r\n  <li>Set parameters on a per menu item basis</li>\r\n  <li>GZipper compression</li>\r\n</ul>\r\n\r\n<h2>Installing/Updating Gantry</h2>\r\n\r\n<p>The Gantry library is a separate from the templates that use it. It is installed separately as <strong>com_gantry</strong> (although will not appear under <em>Components</em> in the Joomla Administrator). Therefore, to update Gantry, you just need to reinstall through the Joomla interface rather than manually edit files in the template.</p>\r\n\r\n<p>Each template will have a bundle download option available to install both the template and the Gantry library at the same time, in conjunction with a standalone download.</p>\r\n\r\n<h2>Overview of the Administrator Interface</h2>\r\n\r\n<p>The administrative interface for Gantry is one of, if not the, most extensive and intuitive Joomla administrators in the community as a whole today. Gantry takes the template parameter ability of Joomla and takes it to the next level with a robust, diverse, functional and overall, substantial array of options to control, essentially, all aspects of the template.</p>\r\n\r\n<div class="note"><div class="typo-icon">The best way to discover all the options available, as well as what they do, is to visit the administrator itself at <strong>Extensions &rarr; Template Manager &rarr; rt_crystalline_j15</strong></div></div>\r\n\r\n<p>The options are subdivided into various categories:</p>\r\n\r\n<ul class="bullet-9">\r\n	<li><strong>Preset</strong> - <em>Select from an array of prebuilt presets</em></li>\r\n	<li><strong>Settings</strong> - <em>Configure preset specific settings such as Link Color</em></li>\r\n	<li><strong>Features</strong> - <em> Control the various Gantry features such as Date</em></li>\r\n	<li><strong>Menu</strong> - <em>Manage the menu parts of Gantry such as the javascript options of Fusion</em></li>\r\n	<li><strong>Layout</strong> - <em>Customize the layout options of Gantry such as the Feature-a/f row distribution</em></li>\r\n	<li><strong>Advanced</strong> - <em>Various other options are located here</em></li>\r\n</ul>', '', 1, 0, 0, 49, '2010-02-21 14:07:02', 775, '', '2012-06-12 13:15:57', 62, 0, '0000-00-00 00:00:00', '2010-02-21 14:07:02', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_section":"","link_section":"","show_category":"","link_category":"","show_vote":"","show_author":"","show_create_date":"","show_modify_date":"","show_pdf_icon":"","show_print_icon":"","show_email_icon":"","language":"","keyref":"","readmore":"","show_parent_category":"","link_parent_category":"","link_author":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 0, 2, '', '', 1, 78, '', 0, '*', ''),
(48, 97, 'Color Chooser', 'color-chooser', '', '<div class="alert"><div class="typo-icon">Disable the <strong>Color Chooser</strong> and <strong>Overlay Check</strong> options on <strong>Production Sites</strong>. They should only be activated for development purposes, and can be enabled/disabled at <strong>Extensions &rarr; Template Manager &rarr; rt_crystalline_j15 &rarr; Features</strong>.</div></div>\r\n\r\n<a href="images/stories/demo/general/color-chooser.jpg" title="Color Chooser :: Screenshot of the Color Chooser Popup with Bright Day assigned, and a Palette loaded." rel="rokbox[533 560]"><img src="images/stories/demo/general/color-chooser-thumb.jpg" alt="Color Chooser" class="rt-image" style="float: right;margin-left: 15px;"/></a>\r\n\r\n<p>Crystalline has the amazing new <strong>Color Chooser</strong> feature, an interactive panel were both users and administrators can quickly change all stylistic aspects of the theme in mere seconds.</p> \r\n\r\n<p>Select the Color Chooser button in the header area to activate the popup, you will see the following options:</p>\r\n\r\n<ul class="bullet-9">\r\n	<li><strong>Presets:</strong> Load a prebuilt preset from the dropdown menu</li>\r\n	<li><strong>Header:</strong> Control the background color, text color, link text color, shadow type, overlay style as well as the header graphic for the Header/Logo/Showcase/Top area.</li>\r\n	<li><strong>Main:</strong> Control the background color, text color, link text color, shadow type, as well as the overlay style for the Main area (adjacent to the main body).</li>\r\n	<li><strong>Feature:</strong> Control the background color, text color, link text color, shadow type, as well as the overlay style for the Feature/Utility area.</li>	\r\n	<li><strong>Body:</strong> Control the background color, text color, link text color, shadow type, as well as the overlay style for the Mainbody/Sidebar/MainTop/MainBottom/ContentTop/ContentBottom area.</li>	\r\n	<li><strong>Bottom:</strong> Control the background color, text color, link text color, shadow type, as well as the overlay style for the Bottom/Footer/Copyright area.</li>\r\n	<li><strong>Palette:</strong> Import a color swatch profile (ASE file), such as those available from <a href="http://kuler.adobe.com/" target="_blank">Adobe Kuler</a> or <a href="http://www.colourlovers.com/" target="_blank">Colourlovers</a>.</li>\r\n</ul>\r\n\r\n[readon2 url="index.php?option=com_content&amp;view=article&amp;id=58&amp;Itemid=165"]Style Control [Administrator Options] : Learn more[/readon2]\r\n\r\n<h3>Saving a New Style</h3>\r\n\r\n<div class="note"><div class="typo-icon">You need to be logged into the frontend of your site as a Super Admin for this to work.</div></div>\r\n\r\n<p>The Crystalline Color Chooser is unique, as it links the style controls of both the frontend popup and the backend Gantry panel, providing you with the ability to save a Preset from the Color Chooser without having to change options in the administrator and manually preview.</p>\r\n\r\n<ul class="bullet-9">\r\n	<li>Login into the frontend of your site as a Super Admin</li>\r\n	<li>Select the Color Chooser button to activate the popup</li>\r\n	<li>Configure the options to your liking</li>\r\n	<li>Select <strong>Save New</strong></li>\r\n	<li>On the new window that appears, enter the details of the new style - <strong>Preset Name</strong> &amp; <strong>Key Name</strong></li>\r\n	<li>Hit Save</li>\r\n</ul>\r\n\r\n<img src="images/stories/demo/general/color-chooser-save1.jpg" alt="Color Chooser" class="rt-image" />\r\n<span class="demo-sep">&nbsp;</span>\r\n<img src="images/stories/demo/general/color-chooser-save2.jpg" alt="Color Chooser" class="rt-image" />\r\n\r\n<p>The option will now appear as a new Preset in the administrator of Gantry at <strong>Extensions &rarr; Template Manager &rarr; rt_crystalline_j15 &rarr; Presets</strong>. Select the Preset and Save for it to be loaded as the theme default style.</p>\r\n\r\n<h3>Importing a Color Swatch Profile</h3>\r\n\r\n<p>The Color Chooser has the ability to import <strong>.ase</strong> files, such as those from <a href="http://kuler.adobe.com/" target="_blank">Adobe Kuler</a> or <a href="http://www.colourlovers.com/" target="_blank">Colourlovers</a>. Simply download, load and save.</p>\r\n\r\n<ul class="bullet-9">\r\n	<li>Download a color swatch profile (.ase file) - <em>Available from <a href="http://kuler.adobe.com/" target="_blank">Adobe Kuler</a> or <a href="http://www.colourlovers.com/" target="_blank">Colourlovers</a></em></li>\r\n	<li>Activate the Color Chooser in Crystalline</li>\r\n	<li>Select <strong>Load</strong> under the <strong>Palette</strong> section</li>\r\n	<li>Locate and select the downloaded color profile (.ase file)</li>\r\n	<li>The color profile will now be loaded into Crystalline</li>\r\n</ul>\r\n\r\n<img src="images/stories/demo/general/color-chooser-palette.jpg" alt="Color Chooser" class="rt-image" />\r\n\r\n\r\n<h3>Saving a Color Swatch Profile</h3>\r\n\r\n<p>The Color Chooser allows also to export <strong>.ase</strong> files. All the colors in the Color Chooser are draggable so that you can populate the palette with custom colors of your choice and, if needed, save it on your computer for future uses.\r\n\r\n<ul class="bullet-9">\r\n	<li>Drag & Drop colors from the sections list to the Palette white boxes.</li>\r\n	<li>Click "Save Palette"</li>\r\n	<li>Save on your computer at the desired location</li>\r\n	<li>The color profile is now saved and can be loaded again whenever needed</li>\r\n</ul>', '', 1, 0, 0, 49, '2010-02-21 14:07:13', 775, '', '2012-06-12 13:47:32', 62, 0, '0000-00-00 00:00:00', '2010-02-21 14:07:13', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 40, 0, 3, '', '', 1, 136, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(49, 98, 'Module Variations', 'module-variations', '', '<p>Module Variations allow for the individual styling of each module within a position, without it being global. Code wise, this is achieved by adding a class into the module code which loads from the <strong>Module Class Suffix</strong> field in the Module Manager. The theme CSS adjusts accordingly.</p>\r\n\r\n<p>Enter any available suffixes at <strong>Extensions &rarr; Module Manager &rarr; <em>Module</em> &rarr; Module Class Suffix</strong></p>\r\n\r\n<p>There are 14 suffixes: <strong>bg1-5</strong>, <strong>title1-5</strong>, <strong>flush</strong>, <strong>flushtop</strong>, <strong>flushbottom</strong> &amp; <strong>basic</strong>.</p>\r\n\r\n<p>The <strong>BG</strong> and <strong>Title</strong> suffixes load their coloring from the Color Chooser options of the template, if blue is the header color, <strong>bg1</strong> will be blue. bg1 loads the header color; b2 loads the feature color; b3 loads the main surround color; b4 loads the main body color; and b5 loads the footer color. These are available in all the main body areas: <strong>MainTop</strong>, <strong>MainBottom</strong>, <strong>ContentTop</strong>, <strong>ContentBottom</strong> and <strong>Sidebar</strong>. The suffixes will work in <strong>Top</strong>, <strong>Header</strong>, <strong>Bottom</strong> and <strong>Footer</strong>, but may not be as aesthetically pleasing, depending on your color combination.</p>\r\n\r\n<p><strong>Flush</strong> will disable all padding and margin to the module for a tighter fit, with <strong>FlushTop</strong> and <strong>FlushBottom</strong> disabling the margin/padding for the Top/Bottom parts of the module respectively. <strong>Basic</strong> removes all image based styling from the module.</p>', '', 1, 0, 0, 49, '2010-02-21 14:07:24', 775, '', '2012-06-12 13:15:57', 62, 0, '0000-00-00 00:00:00', '2010-02-21 14:07:24', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_section":"","link_section":"","show_category":"","link_category":"","show_vote":"","show_author":"","show_create_date":"","show_modify_date":"","show_pdf_icon":"","show_print_icon":"","show_email_icon":"","language":"","keyref":"","readmore":"","show_parent_category":"","link_parent_category":"","link_author":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 0, 4, '', '', 1, 191, '', 0, '*', ''),
(50, 99, 'Module Positions', 'module-positions', '', '<p>There are <em>68 collapsible module positions</em>. If no module is published to a position, it will not appear, collapsing the entire area.</p>\r\n\r\n<h4>Non-Standard Elements</h4>\r\n\r\n<p>There are non-standard elements that are injected into the template grid structure when enabled via the template parameter.</p>\r\n\r\n<p>For example: The logo element is injected into the header-a position. It is inserted in a stacked fashion, meaning, if there are modules published to the header-a position, they will appear in the same column as the logo, just one place below.</p>\r\n\r\n<p><em>You can change the positions of these elements at <strong>Extensions &rarr; Template Manager &rarr; rt_crystalline_j15</strong></em></p>\r\n\r\n[readon2 url="index.php?option=com_content&amp;view=article&amp;id=47&amp;Itemid=154"]Gantry Framework : Learn more[/readon2]\r\n\r\n<div class="notice"><div class="typo-icon">View all module positions live by appending <strong>?tp=1</strong> or <strong>&amp;tp=1</strong> to the end of your URL such as <strong><a href="#">http://yoursite.com/index.php?tp=1</a></strong>.</div></div>\r\n\r\n<p>The below diagram is of the <a href="index.php?option=com_content&amp;view=article&amp;id=49&amp;Itemid=156">Module Variations</a> page.</p>\r\n\r\n<img src="images/stories/demo/general/module-positions.jpg" alt="Module Positions" class="rt-image" />', '', 1, 0, 0, 49, '2010-02-21 14:07:34', 775, '', '2012-06-12 13:48:07', 62, 0, '0000-00-00 00:00:00', '2010-02-21 14:07:34', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, 5, '', '', 1, 39, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(51, 100, 'Typography Overview', 'typography-overview', '', '<p>Typography is a fundamental part of a template, providing you with the tools to characterise your content and bring it to life. There is a vast array of typography available with this template, as is with our previous releases, from list styles, notice blocks and a diverse number of other elements.</p>\r\n\r\n<p>There are 2 methods in which to implement the typography into your Joomla content:</p>\r\n\r\n<ol>\r\n  <li><a href="index.php?option=com_content&amp;view=article&amp;id=52&amp;Itemid=159">HTML Mode:</a> This is the <em>traditional</em> approach for implementing typography as used in the pre-2009 templates / demos, where you had to use HTML coding / syntax for the typography. This presents two main problems: the Joomla WYSIWYG editor is notorious for stripping out HTML so could easily remove your formatted article and no typography; secondly, using HTML for typography may present a problem for certain users who are unaccustomed to HTML and coding.<br /><br /></li>\r\n  \r\n  <li><a href="index.php?option=com_content&amp;view=article&amp;id=53&amp;Itemid=160">RokCandy Mode:</a> The RokCandy component from RocketTheme allows you to implement typography easily, without fear of the WYSIWYG editor ruining your formatting and allows you, and/or your clients to add them to your content with ease. This is through a method similar to BBcode (as seen in a forum). WYSIWYG friendly syntax can be used, or even custom configured that will transform a set snippet to the correct HTML when it is parsed by Joomla.</li>\r\n</ol>\r\n\r\n<h3><span>Why</span> use RokCandy?</h3>\r\n\r\n<p>RokCandy is the ideal solution for those with <strong>limited coding skills</strong> or those who implement our templates for their <strong>clients</strong>. It is free from the WYSIWYG editors horrific filtering habits and can be easily pre-configured for your personal needs or the needs of your client.\r\n</p>\r\n\r\n[readon2 url="index.php?option=com_content&amp;view=article&amp;id=53&amp;Itemid=160"]RokCandy Typography[/readon2]\r\n\r\n<h3><span>RokCandy</span> Example</h3>\r\n\r\n<p>The RokCandy Typography button is created by using the following syntax with RokCandy:</p>\r\n\r\n<pre>\r\n&#91;readon2 url="/typography/rokcandy-examples"&#93;RokCandy Typography&#91;/readon2&#93;\r\n\r\n</pre>\r\n\r\n<p>However, if we were to use HTML, the following code would be required:</p>\r\n\r\n<pre>\r\n&lt;p&gt;\r\n  &lt;a class=&quot;readon&quot; href=&quot;/typography/rokcandy-examples&quot;&gt;\r\n    &lt;span&gt;Read more...&lt;/span&gt;\r\n  &lt;/a&gt;\r\n&lt;/p&gt;\r\n</pre>\r\n\r\n<p>As you can see, the RokCandy version is a lot easier to use.</p>', '', 1, 0, 0, 49, '2010-02-21 14:07:44', 775, '', '2012-06-12 13:48:19', 62, 0, '0000-00-00 00:00:00', '2010-02-21 14:07:44', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 6, '', '', 1, 67, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(52, 101, 'HTML Typography', 'html-typography', '', '<p>\r\n  This tutorial page features all the typography available with the template, showcasing them in HTML form. If you wish to use the RokCandy format, which is WYSIWYG friendly, please go to <a href="index.php?option=com_content&amp;view=article&amp;id=53&amp;Itemid=160">the RokCandy Typography page</a>.\r\n  <br /><br />\r\n  This page shows all of the typography styles and settings in action. If you would like to read more detailed information on inserting the included typography into your content, check out the <a href="index.php?option=com_content&amp;view=article&amp;id=61&amp;Itemid=168">Typography Tutorial.</a>\r\n</p>\r\n\r\n<div class="component-header"><h2 class="componentheading">This is a ComponentHeading</h2></div>\r\n\r\n<p>Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed euismod magna a nibh.</p>\r\n\r\n<div class="contentheading">This is a Contentheading</div>\r\n\r\n<p>Proin ac nunc eu nunc condimentum accumsan. Phasellus odio justo, euismod vitae, egestas a, porttitor in, urna. Maecenas vitae mauris. Donec vestibulum, nunc eu varius pharetra, massa est sagittis odio, sit amet eleifend elit dolor id tortor. </p>\r\n\r\n<h1>This is a H1 Header</h1>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sit amet odio quis sapien molestie ultrices. Vivamus quis lectus. Praesent eu mi. Curabitur pharetra leo sed nisl. Nunc vel nisi. Aliquam nulla. Etiam at est. Pellentesque arcu diam, tempus nec, sodales eu, ullamcorper quis, risus. </p>\r\n\r\n<h2>This is a H2 Header</h2>\r\n\r\n<p>Proin ac nunc eu nunc condimentum accumsan. Phasellus odio justo, euismod vitae, egestas a, porttitor in, urna. Maecenas vitae mauris. Donec vestibulum, nunc eu varius pharetra, massa est sagittis odio, sit amet eleifend elit dolor id tortor. </p>\r\n\r\n<h3>This is a H3 Header</h3>\r\n\r\n<p>Mauris euismod. In ac massa vitae quam tincidunt dapibus. Ut at tortor nec mi mattis blandit. Maecenas venenatis lorem at nulla. Phasellus a libero. Sed odio odio, eleifend dignissim, feugiat vel, tempor nec, ligula. Suspendisse lacinia convallis nulla.</p>\r\n\r\n<h4>This is a H4 Header</h4>\r\n\r\n<p>Vestibulum posuere, lacus aliquet pulvinar faucibus, tortor urna luctus diam, vitae ultrices ante magna non tellus. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus. Sed venenatis. Donec nec dolor vitae mauris dapibus ullamcorper. Etiam iaculis mollis tortor. </p>\r\n\r\n<h5>This is a H5 Header</h5>\r\n\r\n<p>Pellentesque vel enim urna, sit amet blandit ipsum. Maecenas quis sem sit amet nunc pretium mattis. Sed dapibus semper est, sed pretium erat sodales sed. Aenean hendrerit fringilla sem, et tincidunt libero ornare at. Sed venenatis pretium mauris sed vehicula. </p>\r\n\r\n<h3><a name="blockquotes" href="#blockquotes">Blockquote Example</a></h3>\r\n\r\n<blockquote><p><strong>This is a blockquote, you will want to use the following formatting: &lt;blockquote&gt;&lt;p&gt;....&lt;/p&gt;&lt;/blockquote&gt;</strong>. Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed euismod magna a nibh.</p></blockquote>\r\n\r\n<h3><a name="dropcap" href="#dropcap">DropCap Styles</a></h3>\r\n\r\n<p class="dropcap"><span class="dropcap">P</span>Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed euismod magna a nibh.<br /><br />You will need to use the following formatting: <strong>&lt;p class=&quot;dropcap&quot;&gt;&lt;span class=&quot;<em style="font-weight: normal !important;">dropcap</em>&quot;&gt;<em style="font-weight: normal !important;">P</em>&lt;/span&gt;&lt;/p&gt;</strong></p>\r\n\r\n<p><strong>Number Examples</strong></p>\r\n<p class="dropcap"><span class="dropcap">1</span>You will need to use the following formatting: <strong>&lt;p class=&quot;dropcap&quot;&gt;&lt;span class=&quot;<em style="font-weight: normal !important;">dropcap</em>&quot;&gt;<em style="font-weight: normal !important;">1</em>&lt;/span&gt;&lt;/p&gt;</strong></p>\r\n<p class="dropcap"><span class="dropcap">2</span>You will need to use the following formatting: <strong>&lt;p class=&quot;dropcap&quot;&gt;&lt;span class=&quot;<em style="font-weight: normal !important;">dropcap</em>&quot;&gt;<em style="font-weight: normal !important;">2</em>&lt;/span&gt;&lt;/p&gt;</strong></p>\r\n<p class="dropcap"><span class="dropcap">3</span>You will need to use the following formatting: <strong>&lt;p class=&quot;dropcap&quot;&gt;&lt;span class=&quot;<em style="font-weight: normal !important;">dropcap</em>&quot;&gt;<em style="font-weight: normal !important;">3</em>&lt;/span&gt;&lt;/p&gt;</strong></p>\r\n\r\n<h3><a name="bullets" href="#bullets">List Styles - Bullets</a></h3>\r\n<p>Below is a list with <em style="font-weight: normal !important;">bullets</em>.  To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">class name</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong></p>\r\n\r\n<ul class="bullet-1">\r\n  <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">bullet-1</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong>.</li>\r\n  <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">bullet-1</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong>.</li>\r\n</ul>\r\n<br />\r\n<ul class="bullet-2">\r\n  <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">bullet-2</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong>.</li>\r\n  <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">bullet-2</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong>.</li>\r\n</ul>\r\n<br />\r\n<ul class="bullet-3">\r\n  <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">bullet-3</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong>.</li>\r\n  <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">bullet-3</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong>.</li>\r\n</ul>\r\n<br />\r\n<ul class="bullet-4">\r\n  <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">bullet-4</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong>.</li>\r\n  <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">bullet-4</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong>.</li>\r\n</ul>\r\n<br />\r\n<ul class="bullet-5">\r\n  <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">bullet-5</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong>.</li>\r\n  <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">bullet-5</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong>.</li>\r\n</ul>\r\n<br />\r\n<ul class="bullet-6">\r\n  <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">bullet-6</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong>.</li>\r\n  <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">bullet-6</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong>.</li>\r\n</ul>\r\n<br />\r\n<ul class="bullet-7">\r\n  <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">bullet-7</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong>.</li>\r\n  <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">bullet-7</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong>.</li>\r\n</ul>\r\n<br />\r\n<ul class="bullet-8">\r\n  <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">bullet-8</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong>.</li>\r\n  <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">bullet-8</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong>.</li>\r\n</ul>\r\n<br />\r\n<ul class="bullet-9">\r\n  <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">bullet-9</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong>.</li>\r\n  <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em style="font-weight: normal !important;">bullet-9</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt;</strong>.</li>\r\n</ul>\r\n\r\n<h3><a name="emphasis" href="#emphasis">Emphasis Styles</a></h3>\r\n\r\nThis is a emphasis tag that allows you to <em class="color">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;<em style="font-weight: normal !important;">color</em>&quot;&gt;...&lt;/em&gt;</strong><br /><br />\r\n\r\nThis is a emphasis tag that allows you to <em class="bold">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;<em style="font-weight: normal !important;">bold</em>&quot;&gt;...&lt;/em&gt;</strong><br /><br />\r\n\r\n\r\n<h3><a name="insets" href="#insets">Inset Styles</a></h3>\r\n\r\n<p>Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.<span class="inset-right"><span class="inset-right-title">Inset Right Title</span>You will need to use the following formatting: <strong>&lt;span class=&quot;inset-right&quot;&gt;&lt;span class=&quot;inset-right-title&quot;&gt;....&lt;/span&gt;<em style="font-weight: normal !important;"> ... some content ... </em>&lt;/strong&gt;</strong></span>Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed euismod magna a nibh.</p>\r\n\r\n<p>Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.<span class="inset-left"><span class="inset-left-title">Inset Left Title</span>You will need to use the following formatting: <strong>&lt;span class=&quot;inset-left&quot;&gt;&lt;span class=&quot;inset-left-title&quot;&gt;....&lt;/span&gt;<em style="font-weight: normal !important;"> ... some content ... </em>&lt;/span&gt;</strong></span>Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed euismod magna a nibh.</p><p>Sed euismod magna a nibh. Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>\r\n\r\n<h3><a name="notice" href="#notice">Notice Styles</a></h3>\r\n\r\n<div class="alert"><div class="typo-icon">This is a sample of the ''alert'' style.  Use this style to denote very important information to your users. To use this use the following html: <strong>&lt;div class="alert"&gt;&lt;div class=&quot;typo-icon&quot;&gt;....&lt;/div&gt;&lt;/div&gt;</strong></div></div>\r\n\r\n<div class="approved"><div class="typo-icon">This is a sample of the ''approved'' style.  Use this style to denote very important information to your users. To use this use the following html: <strong>&lt;div class="approved"&gt;&lt;div class=&quot;typo-icon&quot;&gt;....&lt;/div&gt;&lt;/div&gt;</strong></div></div>\r\n\r\n<div class="attention"><div class="typo-icon">This is a sample of the ''attention'' style.  Use this style to denote very important information to your users. To use this use the following html: <strong>&lt;div class="attention"&gt;&lt;div class=&quot;typo-icon&quot;&gt;....&lt;/div&gt;&lt;/div&gt;</strong></div></div>\r\n\r\n<div class="camera"><div class="typo-icon">This is a sample of the ''camera'' style.  Use this style to denote very important information to your users. To use this use the following html: <strong>&lt;div class="camera"&gt;&lt;div class=&quot;typo-icon&quot;&gt;....&lt;/div&gt;&lt;/div&gt;</strong></div></div>\r\n\r\n<div class="cart"><div class="typo-icon">This is a sample of the ''cart'' style.  Use this style to denote very important information to your users. To use this use the following html: <strong>&lt;div class="cart"&gt;&lt;div class=&quot;typo-icon&quot;&gt;....&lt;/div&gt;&lt;/div&gt;</strong></div></div>\r\n\r\n<div class="doc"><div class="typo-icon">This is a sample of the ''doc'' style.  Use this style to denote very important information to your users. To use this use the following html: <strong>&lt;div class="doc"&gt;&lt;div class=&quot;typo-icon&quot;&gt;....&lt;/div&gt;&lt;/div&gt;</strong></div></div>\r\n\r\n<div class="download"><div class="typo-icon">This is a sample of the ''download'' style.  Use this style to denote very important information to your users. To use this use the following html: <strong>&lt;div class="download"&gt;&lt;div class=&quot;typo-icon&quot;&gt;....&lt;/div&gt;&lt;/div&gt;</strong></div></div>\r\n\r\n<div class="media"><div class="typo-icon">This is a sample of the ''media'' style.  Use this style to denote very important information to your users. To use this use the following html: <strong>&lt;div class="media"&gt;&lt;div class=&quot;typo-icon&quot;&gt;....&lt;/div&gt;&lt;/div&gt;</strong></div></div>\r\n\r\n<div class="note"><div class="typo-icon">This is a sample of the ''note'' style.  Use this style to denote very important information to your users. To use this use the following html: <strong>&lt;div class="note"&gt;&lt;div class=&quot;typo-icon&quot;&gt;....&lt;/div&gt;&lt;/div&gt;</strong></div></div>\r\n\r\n<div class="notice"><div class="typo-icon">This is a sample of the ''notice'' style.  Use this style to denote very important information to your users. To use this use the following html: <strong>&lt;div class="notice"&gt;&lt;div class=&quot;typo-icon&quot;&gt;....&lt;/div&gt;&lt;/div&gt;</strong></div></div>\r\n\r\n<div class="quote"><div class="quote-l"><div class="quote-r">This is a sample of the ''quote'' style.  Use this style to denote very important information to your users. To use this use the following html: <strong>&lt;div class="quote"&gt;&lt;div class=&quot;quote-l&quot;&gt;&lt;div class=&quot;quote-r&quot;&gt;....&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;</strong></div></div></div>\r\n\r\n<h3><a name="pre-example" href="#pre-example">Pre Example</a></h3>\r\n\r\n<pre>\r\nThis is a sample <strong>&lt;pre&gt;...&lt;/pre&gt;</strong> tag:\r\n\r\ndiv.modulebox-black div.bx1 {\r\n  background: url(../images/black/box_bl.png) 0 100% no-repeat;\r\n}\r\n\r\ndiv.modulebox-black div.bx2 {\r\n  background: url(../images/black/box_tr.png) 100% 0 no-repeat;\r\n}\r\n\r\ndiv.modulebox-black div.bx3 {\r\n  background: url(../images/black/box_tl.png) 0 0 no-repeat;\r\n  padding: 0;\r\n  margin: 0;\r\n}\r\n</pre>', '', 1, 0, 0, 49, '2010-02-21 14:07:57', 775, '', '2012-06-12 13:48:49', 62, 0, '0000-00-00 00:00:00', '2010-02-21 14:07:57', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, 7, '', '', 1, 51, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(53, 102, 'RokCandy Typography', 'rokcandy-typography', '', '<p><strong>The RokCandy component is required for the syntax below to work.</strong></p>\r\n\r\n<p>All syntax below uses RokCandy, the content macro extension for Joomla. RokCandy converts simple, understandable and pre-defined syntax to complex HTML constructions.</p>\r\n\r\n<p>If you wish to view the typography page, showing how to setup the various typography elements with HTML, then please go to the <a href="index.php?option=com_content&amp;view=article&amp;id=52&amp;Itemid=159">HTML Typography page</a>.</p>\r\n\r\n<p>If you would like to read more detailed information on inserting the included typography into your content, check out the <a href="index.php?option=com_content&amp;view=article&amp;id=61&amp;Itemid=168">Typography Tutorial.</a></p>\r\n\r\n[componentheading]This is a ComponentHeading[/componentheading]\r\n\r\n<p>Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed euismod magna a nibh.</p>\r\n\r\n[contentheading]This is a ContentHeading[/contentheading]\r\n\r\n<p>Proin ac nunc eu nunc condimentum accumsan. Phasellus odio justo, euismod vitae, egestas a, porttitor in, urna. Maecenas vitae mauris. Donec vestibulum, nunc eu varius pharetra, massa est sagittis odio, sit amet eleifend elit dolor id tortor. </p>\r\n\r\n[h1]This is an H1 Header[/h1]\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sit amet odio quis sapien molestie ultrices. Vivamus quis lectus. Praesent eu mi. Curabitur pharetra leo sed nisl. Nunc vel nisi. Aliquam nulla. Etiam at est. Pellentesque arcu diam, tempus nec, sodales eu, ullamcorper quis, risus. </p>\r\n\r\n[h2]This is an H2 Header[/h2]\r\n\r\n<p>Proin ac nunc eu nunc condimentum accumsan. Phasellus odio justo, euismod vitae, egestas a, porttitor in, urna. Maecenas vitae mauris. Donec vestibulum, nunc eu varius pharetra, massa est sagittis odio, sit amet eleifend elit dolor id tortor. </p>\r\n\r\n[h3]This is an H3 Header[/h3]\r\n\r\n<p>Mauris euismod. In ac massa vitae quam tincidunt dapibus. Ut at tortor nec mi mattis blandit. Maecenas venenatis lorem at nulla. Phasellus a libero. Sed odio odio, eleifend dignissim, feugiat vel, tempor nec, ligula. Suspendisse lacinia convallis nulla. Vestibulum posuere, lacus aliquet pulvinar faucibus, tortor urna luctus diam, vitae ultrices ante magna non tellus.</p>\r\n\r\n[h4]This is an H4 Header[/h4]\r\n\r\n<p>Mauris euismod. In ac massa vitae quam tincidunt dapibus. Ut at tortor nec mi mattis blandit. Maecenas venenatis lorem at nulla. Phasellus a libero. Sed odio odio, eleifend dignissim, feugiat vel, tempor nec, ligula. Suspendisse lacinia convallis nulla. Vestibulum posuere, lacus aliquet pulvinar faucibus, tortor urna luctus diam, vitae ultrices ante magna non tellus.</p>\r\n\r\n[h5]This is an H5 Header[/h5]\r\n\r\n<p>Mauris euismod. In ac massa vitae quam tincidunt dapibus. Ut at tortor nec mi mattis blandit. Maecenas venenatis lorem at nulla. Phasellus a libero. Sed odio odio, eleifend dignissim, feugiat vel, tempor nec, ligula. Suspendisse lacinia convallis nulla. Vestibulum posuere, lacus aliquet pulvinar faucibus, tortor urna luctus diam, vitae ultrices ante magna non tellus.</p>\r\n\r\n[h3]<a name="blockquotes" href="#blockquotes">Blockquote Styles</a>[/h3]\r\n\r\n[blockquote]This is a blockquote, you will want to use the following formatting: <strong>&#91;blockquote&#93;....&#91;/blockquote&#93;</strong>Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed euismod magna a nibh.[/blockquote]\r\n\r\n[h3]<a name="dropcap" href="#dropcap">DropCap Styles</a>[/h3]\r\n\r\n[dropcap cap="P"]Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed euismod magna a nibh. Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed euismod magna a nibh.<br /><br />You will need to use the following formatting: <strong>&#91;dropcap cap="P"&#93;...some content...&#91;/dropcap&#93;</strong>[/dropcap]\r\n\r\n[dropcap cap="1"]You will need to use the following formatting: <strong>&#91;dropcap cap="1"&#93;...some content...&#91;/dropcap&#93;</strong>[/dropcap]\r\n[dropcap cap="2"]You will need to use the following formatting: <strong>&#91;dropcap cap="2"&#93;...some content...&#91;/dropcap&#93;</strong>[/dropcap]\r\n[dropcap cap="3"]You will need to use the following formatting: <strong>&#91;dropcap cap="3"&#93;...some content...&#91;/dropcap&#93;</strong>[/dropcap]\r\n\r\n[h3]<a name="bullets" href="#bullets">List Styles - Bullets</a>[/h3]\r\n<p>Below is a list with <em style="font-weight: normal !important;">bullets</em>.  To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">class name</em><strong>&#93;&#91;li&#93;....&#91;/li&#93;&#91;li....&#91;/li&#93;&#91;/list&#93;</strong></p>\r\n\r\n[list class="bullet-1"][li]To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">"bullet-1"</em><strong>&#93;&#91;li&#93;...&#91;/li&#93;&#91;li&#93;...&#91;/li&#93;&#91;/list&#93;</strong>.[/li][li]To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">"bullet-1"</em><strong>&#93;&#91;li&#93;...&#91;/li&#93;&#91;li&#93;...&#91;/li&#93;&#91;/list&#93;</strong>.[/li][/list]<br />\r\n[list class="bullet-2"][li]To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">"bullet-2"</em><strong>&#93;&#91;li&#93;...&#91;/li&#93;&#91;li&#93;...&#91;/li&#93;&#91;/list&#93;</strong>.[/li][li]To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">"bullet-2"</em><strong>&#93;&#91;li&#93;...&#91;/li&#93;&#91;li&#93;...&#91;/li&#93;&#91;/list&#93;</strong>.[/li][/list]<br />\r\n[list class="bullet-3"][li]To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">"bullet-3"</em><strong>&#93;&#91;li&#93;...&#91;/li&#93;&#91;li&#93;...&#91;/li&#93;&#91;/list&#93;</strong>.[/li][li]To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">"bullet-3"</em><strong>&#93;&#91;li&#93;...&#91;/li&#93;&#91;li&#93;...&#91;/li&#93;&#91;/list&#93;</strong>.[/li][/list]<br />\r\n[list class="bullet-4"][li]To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">"bullet-4"</em><strong>&#93;&#91;li&#93;...&#91;/li&#93;&#91;li&#93;...&#91;/li&#93;&#91;/list&#93;</strong>.[/li][li]To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">"bullet-4"</em><strong>&#93;&#91;li&#93;...&#91;/li&#93;&#91;li&#93;...&#91;/li&#93;&#91;/list&#93;</strong>.[/li][/list]<br />\r\n[list class="bullet-5"][li]To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">"bullet-5"</em><strong>&#93;&#91;li&#93;...&#91;/li&#93;&#91;li&#93;...&#91;/li&#93;&#91;/list&#93;</strong>.[/li][li]To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">"bullet-5"</em><strong>&#93;&#91;li&#93;...&#91;/li&#93;&#91;li&#93;...&#91;/li&#93;&#91;/list&#93;</strong>.[/li][/list]<br />\r\n[list class="bullet-6"][li]To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">"bullet-6"</em><strong>&#93;&#91;li&#93;...&#91;/li&#93;&#91;li&#93;...&#91;/li&#93;&#91;/list&#93;</strong>.[/li][li]To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">"bullet-6"</em><strong>&#93;&#91;li&#93;...&#91;/li&#93;&#91;li&#93;...&#91;/li&#93;&#91;/list&#93;</strong>.[/li][/list]<br />\r\n[list class="bullet-7"][li]To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">"bullet-7"</em><strong>&#93;&#91;li&#93;...&#91;/li&#93;&#91;li&#93;...&#91;/li&#93;&#91;/list&#93;</strong>.[/li][li]To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">"bullet-7"</em><strong>&#93;&#91;li&#93;...&#91;/li&#93;&#91;li&#93;...&#91;/li&#93;&#91;/list&#93;</strong>.[/li][/list]<br />\r\n[list class="bullet-8"][li]To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">"bullet-8"</em><strong>&#93;&#91;li&#93;...&#91;/li&#93;&#91;li&#93;...&#91;/li&#93;&#91;/list&#93;</strong>.[/li][li]To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">"bullet-8"</em><strong>&#93;&#91;li&#93;...&#91;/li&#93;&#91;li&#93;...&#91;/li&#93;&#91;/list&#93;</strong>.[/li][/list]<br />\r\n[list class="bullet-9"][li]To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">"bullet-9"</em><strong>&#93;&#91;li&#93;...&#91;/li&#93;&#91;li&#93;...&#91;/li&#93;&#91;/list&#93;</strong>.[/li][li]To use this style create a list in the following format: <strong>&#91;list class=</strong><em style="font-weight: normal !important;">"bullet-9"</em><strong>&#93;&#91;li&#93;...&#91;/li&#93;&#91;li&#93;...&#91;/li&#93;&#91;/list&#93;</strong>.[/li][/list]\r\n\r\n[h3]<a name="emphasis-styles" href="#emphasis-styles">Emphasis Styles</a>[/h3]\r\n\r\nThis is a span that allows you to [emphasis]highlight words or phrases[/emphasis]. Use the following format: <strong>&#91;emphasis&#93; ... some content ... &#91;/emphasis&#93;</strong><br /><br />\r\n\r\nThis is a span that allows you to [emphasisbold]highlight words or phrases[/emphasisbold]. Use the following format: <strong>&#91;emphasisbold&#93; ... some content .... &#91;/emphasisbold&#93;</strong><br /><br />\r\n\r\n[h3]<a name="insets" href="#insets">Inset Styles</a>[/h3]\r\n\r\n<p>Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.[inset side="right" title="Inset Right Title"]You will need to use the following formatting: <strong>&#91;inset side="right" title="Inset Right Title"&#93; ... some content ...&#91;/inset&#93;</strong>[/inset]Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed euismod magna a nibh.</p>\r\n\r\n<p>Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.[inset side="left" title="Inset Left Title"]You will need to use the following formatting: <strong>&#91;inset side="left" title="Inset Left Title"&#93; ... some content ...&#91;/inset&#93;</strong>[/inset]Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed euismod magna a nibh.</p><p>Sed euismod magna a nibh. Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>\r\n\r\n[h3]<a name="notice-styles" href="#notice-styles">Notice Styles</a>[/h3]\r\n\r\n[div class="alert" class2="typo-icon"]This is a sample of the ''alert'' style.  Use this style to denote very important information to your users. To use this use the following syntax: <strong>&#91;div&nbsp;class="alert" class2="typo-icon"&#93;</strong> ...some content.... <strong>&#91;/div&#93;</strong>[/div]\r\n\r\n[div class="approved" class2="typo-icon"]This is a sample of the ''approved'' style.  Use this style to denote very important information to your users. To use this use the following syntax: <strong>&#91;div&nbsp;class="approved" class2="typo-icon"&#93;</strong> ...some content.... <strong>&#91;/div&#93;</strong>[/div]\r\n\r\n[div class="attention" class2="typo-icon"]This is a sample of the ''attention'' style.  Use this style to denote very important information to your users. To use this use the following syntax: <strong>&#91;div&nbsp;class="attention" class2="typo-icon"&#93;</strong> ...some content.... <strong>&#91;/div&#93;</strong>[/div]\r\n\r\n[div class="camera" class2="typo-icon"]This is a sample of the ''camera'' style.  Use this style to denote very important information to your users. To use this use the following syntax: <strong>&#91;div&nbsp;class="camera" class2="typo-icon"&#93;</strong> ...some content.... <strong>&#91;/div&#93;</strong>[/div]\r\n\r\n[div class="cart" class2="typo-icon"]This is a sample of the ''cart'' style.  Use this style to denote very important information to your users. To use this use the following syntax: <strong>&#91;div&nbsp;class="cart" class2="typo-icon"&#93;</strong> ...some content.... <strong>&#91;/div&#93;</strong>[/div]\r\n\r\n[div class="doc" class2="typo-icon"]This is a sample of the ''doc'' style.  Use this style to denote very important information to your users. To use this use the following syntax: <strong>&#91;div&nbsp;class="doc" class2="typo-icon"&#93;</strong> ...some content.... <strong>&#91;/div&#93;</strong>[/div]\r\n\r\n[div class="download" class2="typo-icon"]This is a sample of the ''download'' style.  Use this style to denote very important information to your users. To use this use the following syntax: <strong>&#91;div&nbsp;class="download" class2="typo-icon"&#93;</strong> ...some content.... <strong>&#91;/div&#93;</strong>[/div]\r\n\r\n[div class="media" class2="typo-icon"]This is a sample of the ''media'' style.  Use this style to denote very important information to your users. To use this use the following syntax: <strong>&#91;div&nbsp;class="media" class2="typo-icon"&#93;</strong> ...some content.... <strong>&#91;/div&#93;</strong>[/div]\r\n\r\n[div class="note" class2="typo-icon"]This is a sample of the ''note'' style.  Use this style to denote very important information to your users. To use this use the following syntax: <strong>&#91;div&nbsp;class="note" class2="typo-icon"&#93;</strong> ...some content.... <strong>&#91;/div&#93;</strong>[/div]\r\n\r\n[div class="notice" class2="typo-icon"]This is a sample of the ''notice'' style.  Use this style to denote very important information to your users. To use this use the following syntax: <strong>&#91;div&nbsp;class="notice" class2="typo-icon"&#93;</strong> ...some content.... <strong>&#91;/div&#93;</strong>[/div]\r\n\r\n[div3 class="quote" class2="quote-l" class3="quote-r"]This is a sample of the ''quote'' style.  Use this style to denote very important information to your users. To use this use the following syntax: <strong>&#91;div3&nbsp;class=&quot;quote&quot; class2=&quot;quote-l&quot; class3=&quot;quote-r&quot;&#93;</strong> ...some content.... <strong>&#91;/div3&#93;</strong>[/div3]\r\n\r\n[h3]<a name="pre-example" href="#pre-example">Pre Example</a>[/h3]\r\n\r\n[pre]\r\nThis is a sample <strong>&#91;pre&#93; ... &#91;/pre&#93;</strong> tag:\r\n\r\ndiv.modulebox-black div.bx1 {\r\nbackground: url(../images/black/box_bl.png) 0 100% no-repeat;\r\n}\r\n\r\ndiv.modulebox-black div.bx2 {\r\nbackground: url(../images/black/box_tr.png) 100% 0 no-repeat;\r\n}\r\n\r\ndiv.modulebox-black div.bx3 {\r\nbackground: url(../images/black/box_tl.png) 0 0 no-repeat;\r\npadding: 0;\r\nmargin: 0;\r\n}\r\n[/pre]', '', 1, 0, 0, 49, '2010-02-21 14:08:07', 775, '', '2012-06-12 13:48:54', 62, 0, '0000-00-00 00:00:00', '2010-02-21 14:08:07', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, 8, '', '', 1, 30, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(54, 103, 'Integrated Extensions', 'integrated-extensions', '', '<p>This is a listing of all the extensions that accompany the template release.</p>\r\n\r\n<div class="rt-ext-important">\r\n    <img src="images/stories/demo/general/ext/roktabs.png" alt="image" class="rt-ext-img png"/>\r\n    <strong><a target="_blank" href="http://www.rockettheme.com/extensions-joomla/roktabs" rel="rokbox[fullscreen]">RokTabs Module</a></strong><br/>\r\n    <span class="rt-ext-desc">Tabbed content module, perfect for maximising content exposure without sacrificing on site real estate. Built-in Mootools effects.</span>\r\n    <span class="rt-ext-divider">&nbsp;</span>\r\n    <span class="rt-ext-links"><a href="http://demo.rockettheme.com/extensions/?extension=roktabs" target="_blank">Demo</a> - <a href="http://www.rockettheme.com/extensions-downloads/free/1011-roktabs" target="_blank">Download</a> - <a rel="rokbox[fullscreen]" href="http://www.rockettheme.com/extensions-joomla/roktabs">Documentation</a></span>\r\n</div><br />\r\n<div class="clear"></div>\r\n\r\n<div class="rt-ext-col1">\r\n  <div class="rt-ext-block">\r\n    <img src="images/stories/demo/general/ext/rokajaxsearch.png" alt="image" class="rt-ext-img png"/>    \r\n    <strong><a target="_blank" href="http://www.rockettheme.com/extensions-joomla/rokajaxsearch" rel="rokbox[fullscreen]">RokAjaxSearch Module</a></strong><br/>\r\n    <span class="rt-ext-desc">Ajax powered module, allowing for interactive search of both local Joomla pages and the web with its Google integration. </span>\r\n    <span class="rt-ext-divider">&nbsp;</span>\r\n    <span class="rt-ext-links"><a href="http://demo.rockettheme.com/extensions/?extension=rokajaxsearch" target="_blank">Demo</a> - <a href="http://www.rockettheme.com/extensions-downloads/free/1004-rokajaxsearch" target="_blank">Download</a> - <a rel="rokbox[fullscreen]" href="http://www.rockettheme.com/extensions-joomla/rokajaxsearch">Documentation</a></span>\r\n  </div>\r\n  <div class="rt-ext-block">\r\n    <img src="images/stories/demo/general/ext/roknavmenu.png" alt="image" class="rt-ext-img png"/>  \r\n    <strong><a target="_blank" href="http://www.rockettheme.com/extensions-joomla/roknavmenu" rel="rokbox[fullscreen]">RokNavMenu Module</a></strong><br/>\r\n    <span class="rt-ext-desc">RokNavMenu is a foundational extension which is at the core of the inbuilt menu systems and is a requirement for all themes.</span>\r\n    <span class="rt-ext-divider">&nbsp;</span>\r\n    <span class="rt-ext-links"><a href="http://demo.rockettheme.com/extensions/?extension=roknavmenu" target="_blank">Demo</a> - <a href="http://www.rockettheme.com/extensions-downloads/club/1048-roknavmenu" target="_blank">Download</a> - <a rel="rokbox[fullscreen]" href="http://www.rockettheme.com/extensions-joomla/roknavmenu">Documentation</a></span>\r\n  </div>  \r\n  <div class="rt-ext-block">\r\n    <img src="images/stories/demo/general/ext/rokbox.png" alt="image" class="rt-ext-img png"/>\r\n    <strong><a target="_blank" href="http://www.rockettheme.com/extensions-joomla/rokbox" rel="rokbox[fullscreen]">RokBox Plugin</a></strong><br/>\r\n    <span class="rt-ext-desc">Javascript popup / litebox utility, can be used for images, links, videos, websites, PDFs and much more. </span>\r\n    <span class="rt-ext-divider">&nbsp;</span>\r\n    <span class="rt-ext-links"><a href="http://demo.rockettheme.com/extensions/?extension=rokbox" target="_blank">Demo</a> - <a href="http://www.rockettheme.com/extensions-downloads/free/1005-rokbox" target="_blank">Download</a> - <a rel="rokbox[fullscreen]" href="http://www.rockettheme.com/extensions-joomla/rokbox">Documentation</a></span>\r\n  </div>\r\n</div>\r\n\r\n<div class="rt-ext-col2">\r\n  <div class="rt-ext-block">\r\n    <img src="images/stories/demo/general/ext/rokcandy.png" alt="image" class="rt-ext-img png"/>\r\n    <strong><a target="_blank" href="http://www.rockettheme.com/extensions-joomla/rokcandy" rel="rokbox[fullscreen]">RokCandy Component</a></strong><br/>\r\n    <span class="rt-ext-desc">A component that provides BBcode style functionality for Joomla for swift and easy implementation of complex code elements. </span>\r\n    <span class="rt-ext-divider">&nbsp;</span>\r\n    <span class="rt-ext-links"><a href="http://www.rockettheme.com/extensions-downloads/free/1007-rokcandy" target="_blank">Download</a> - <a rel="rokbox[fullscreen]" href="http://www.rockettheme.com/extensions-joomla/rokcandy">Documentation</a></span>\r\n  </div>\r\n  <div class="rt-ext-block">\r\n    <img src="images/stories/demo/general/ext/rokgzipper.png" alt="image" class="rt-ext-img png"/>\r\n    <strong><a target="_blank" href="http://www.rockettheme.com/extensions-joomla/rokgzipper" rel="rokbox[fullscreen]">RokGZipper Plugin</a></strong><br/>\r\n    <span class="rt-ext-desc">A performance plugin that compresses your CSS/JS files, resulting in faster page loads. Compatible RocketTheme themes only.</span>\r\n    <span class="rt-ext-divider">&nbsp;</span>\r\n    <span class="rt-ext-links"><a href="http://demo.rockettheme.com/" target="_blank">Demo</a> - <a href="http://www.rockettheme.com/extensions-downloads/free/1009-rokgzipper" target="_blank">Download</a> - <a rel="rokbox[fullscreen]" href="http://www.rockettheme.com/extensions-joomla/rokgzipper">Documentation</a></span>\r\n  </div>\r\n  <div class="rt-ext-block">\r\n    <img src="images/stories/demo/general/ext/rokpad.png" alt="image" class="rt-ext-img png"/>\r\n    <strong><a target="_blank" href="http://www.rockettheme.com/extensions-joomla/rokpad" rel="rokbox[fullscreen]">RokPad Editor</a></strong><br/>\r\n    <span class="rt-ext-desc">A code editor with syntax highlighting, ajax saving and much more. Better than Joomla''s <em>No Editor</em>.</span>\r\n    <span class="rt-ext-divider">&nbsp;</span>\r\n    <span class="rt-ext-links"><a href="http://www.rockettheme.com/extensions-downloads/club/1091-rokpad" target="_blank">Download</a> - <a rel="rokbox[fullscreen]" href="http://www.rockettheme.com/extensions-joomla/rokpad">Documentation</a></span>\r\n  </div>\r\n</div>\r\n<div class="clear"></div>', '', 1, 0, 0, 49, '2010-02-21 14:08:19', 775, '', '2012-06-12 13:15:57', 62, 0, '0000-00-00 00:00:00', '2010-02-21 14:08:19', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_section":"","link_section":"","show_category":"","link_category":"","show_vote":"","show_author":"","show_create_date":"","show_modify_date":"","show_pdf_icon":"","show_print_icon":"","show_email_icon":"","language":"","keyref":"","readmore":"","show_parent_category":"","link_parent_category":"","link_author":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 9, '', '', 1, 73, '', 0, '*', ''),
(55, 104, 'Tutorials and Guides', 'tutorials-and-guides', '', '<h4>Written Tutorials</h4>\r\n\r\n<div class="demo-tut-list">\r\n  <ul class="bullet-9">\r\n    <li><a href="index.php?option=com_content&amp;view=article&amp;id=56&amp;Itemid=163">Installation</a></li>\r\n    <li><a href="index.php?option=com_content&amp;view=article&amp;id=57&amp;Itemid=164">RocketLauncher</a></li>\r\n    <li><a href="index.php?option=com_content&amp;view=article&amp;id=58&amp;Itemid=165">Style Control</a></li>\r\n  </ul>\r\n</div>\r\n\r\n<div class="demo-tut-list">\r\n  <ul class="bullet-9">\r\n    <li><a href="index.php?option=com_content&amp;view=article&amp;id=59&amp;Itemid=166">Menu Options</a></li>\r\n    <li><a href="index.php?option=com_content&amp;view=article&amp;id=60&amp;Itemid=167">Logo Editing</a></li>\r\n    <li><a href="index.php?option=com_content&amp;view=article&amp;id=61&amp;Itemid=168">Using Typography</a></li>\r\n  </ul>\r\n</div>\r\n\r\n<div class="clear"></div>\r\n\r\n<h4>Video Tutorials</h4>\r\n\r\n<div class="demo-tut-list">\r\n  <ul class="bullet-9">\r\n    <li><a href="http://www.rockettheme.com/video/joomla15/template-installation-joomla15.mov" title="Video Tutorial :: Joomla Template Installation Video Tutorial" rel="rokbox[800 620]">Template Installation Video</a></li>\r\n    <li><a href="http://www.rockettheme.com/video/joomla15/menu-configuration-joomla15.mov" title="Video Tutorial :: Joomla Menu Setup Video Tutorial" rel="rokbox[504 336]">Menu Setup Video</a></li>\r\n    <li><a href="http://www.rockettheme.com/video/joomla15/using-typography-joomla15.mov" title="Video Tutorial :: Joomla Using Typography Video Tutorial" rel="rokbox[540 380]">Using Typography Video</a></li>\r\n  </ul>\r\n</div>\r\n<div class="demo-tut-list">\r\n  <ul class="bullet-9">\r\n    <li><a href="http://www.rockettheme.com/video/joomla15/installing-rocketlauncher-joomla15.mov" title="Video Tutorial :: Joomla RocketLauncher Installation Video Tutorial" rel="rokbox[503 356]">RocketLauncher Installation Video</a></li>\r\n    <li><a href="http://demo.rockettheme.com/mar10/video/logo.mov" title="Video Tutorial :: Crystalline Logo Editing Video Tutorial" rel="rokbox[540 360]">Crystalline Logo Editing Video</a></li>\r\n  </ul>\r\n</div>\r\n\r\n<div class="clear"></div>\r\n\r\n<h4>Forum Tutorials and Guides</h4>\r\n\r\n<div class="demo-tut-list">\r\n  <ul class="bullet-9">\r\n    <li><a href="http://www.rockettheme.com/forum/index.php?f=336&amp;t=91959&amp;rb_v=viewtopic" target="_blank">Demo Content Information</a></li>\r\n    <li><a href="http://www.rockettheme.com/forum/index.php?f=336&amp;t=91960&amp;rb_v=viewtopic" target="_blank">Menu Dropdown Widths</a></li>\r\n    <li><a href="http://www.rockettheme.com/forum/index.php?f=336&amp;t=91895&amp;rb_v=viewtopic" target="_blank">Dark Typography Styles</a></li>\r\n  </ul>\r\n</div>\r\n\r\n<div class="demo-tut-list">\r\n  <ul class="bullet-9">\r\n    <li><a href="http://www.rockettheme.com/forum/index.php?f=336&amp;t=91956&amp;rb_v=viewtopic" target="_blank">Editing Template Text</a></li>\r\n    <li><a href="http://www.rockettheme.com/forum/index.php?f=336&amp;t=91958&amp;rb_v=viewtopic" target="_blank">Editing RocketTheme Branding</a></li>\r\n    <li><a href="http://www.rockettheme.com/forum/index.php?f=336&amp;t=91957&amp;rb_v=viewtopic" target="_blank">Editing the Logo</a></li>\r\n  </ul>\r\n</div>\r\n\r\n<div class="clear"></div>\r\n\r\n<h3>Demo Content</h3>\r\n\r\n<p>We have a forum based tutorial outlining the syntax used in constructing the Frontpage elements of the Crystalline demo, mainly (if not all), using the RocketTheme RokCandy extension.</p>\r\n<p><a class="readon" href="http://www.rockettheme.com/forum/index.php?f=336&amp;t=91959&amp;rb_v=viewtopic" target="_blank"><span>Visit Tutorial</span></a></p>\r\n\r\n<h3>Template Configuration</h3>\r\n\r\n<p>To configure the template, go to <strong>Extensions &rarr; Template Manager &rarr; rt_crystalline_j15</strong>. There you will find a list of all the template parameters. You can control many aspects of the template here. If you mouseover the labels/names of each parameter, a description will appear via tooltip to outline what each parameter does.</p>\r\n\r\n\r\n<h3>IE6 PNG Fix</h3>\r\n\r\n<p>The template has an integrated PNG fix for IE6 that allows transparent PNG32 images to show, as intended, in the IE6 browser. All you need to do is add <span class="highlight-bold">class=&quot;png&quot;</span> to the element such as the change in the following example:</p>\r\n\r\n<pre>\r\n&lt;img src=&quot;images/sample1.png&quot; alt=&quot;sample&quot; /&gt;\r\n\r\n</pre>\r\n\r\n<p>Change to</p>\r\n\r\n<pre>\r\n&lt;img src=&quot;images/sample1.png&quot; alt=&quot;sample&quot; <em class="bold">class="png"</em> /&gt;\r\n\r\n</pre>\r\n<br />', '', 1, 0, 0, 49, '2010-02-21 14:08:31', 775, '', '2012-06-12 13:49:25', 62, 0, '0000-00-00 00:00:00', '2010-02-21 14:08:31', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 0, 10, '', '', 1, 85, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(56, 105, 'Installation Instructions', 'installation-instructions', '', '<p>This guide covers the basics of installing a template.</p>\r\n\r\n<div class="media"><div class="typo-icon">\r\n  Video Tutorial Currently Available!\r\n  <a href="http://www.rockettheme.com/video/joomla15/template-installation-joomla15.mov" title="Video Tutorial :: Joomla Template Installation Video Tutorial" rel="rokbox[800 620]">Launch the Joomla Template Installation Video Tutorial now!</a>\r\n  </div></div>\r\n\r\n<h3>Downloading the necessary files</h3>\r\n\r\n<p>To install the template, you will need one of the following files:</p>\r\n\r\n<ul class="bullet-9">\r\n  <li><strong>Crystalline Template (Standalone)</strong> <em>rt_crystalline_j15.tgz</em> - This is the standalone template file that you use to install into Joomla.</li>\r\n  <li><strong>Crystalline Template (Bundle)</strong> <em>rt_crystalline_j15-bundle.tar.gz</em> - This is the bundle package, containing the template and Gantry library files, that you use to install into Joomla.</li>\r\n</ul>\r\n\r\n<div class="notice"><div class="typo-icon">Only use the Bundle package on a clean install, or on an install that does <strong>NOT</strong> have the Gantry library already installed - <em>/components/com_gantry</em>. Use the standalone package if the Gantry library is already present.</div></div>\r\n\r\n<p>There are other files that you may wish to download that accompany the release, but are not required for the template to work.</p>\r\n\r\n<ul class="bullet-9">\r\n  <li><strong>Crystalline Source PNG(s)</strong> <em>rt_crystalline_j15-sources.zip</em> - This contains all the Adobe Fireworks PNG source files for the template, and if applicable, the logo font.</li>\r\n  <li><strong>Crystalline Extensions</strong> <em>rt_crystalline_j15-extensions.zip</em> - This package contains all the extensions that accompany the template release.</li>\r\n  <li><strong>Crystalline RocketLauncher</strong> <em>rt_crystalline_j15-rocketlauncher.zip</em> - The RocketLauncher pack is a full Joomla install that contains all the demo content, including extensions and the template.</li>\r\n</ul>\r\n\r\n<div class="doc"><div class="typo-icon">The latest extensions can be downloaded from the Extensions Download area located <a href="http://www.rockettheme.com/extensions-downloads/" target="-blank">here</a></div></div>\r\n\r\n<h3><span>Step 1</span> - Using the Joomla installer</h3>\r\n\r\n<ul class="bullet-9">\r\n  <li>Login into the Joomla administrator (<a href="#">http://yoursite.com/administrator</a>)</li>\r\n  <li>Go to <strong>Extensions &rarr; Install/Uninstall</strong></li>\r\n  <li>Select the browse button and find <strong>rt_crystalline_j15.tgz</strong> or <strong>rt_crystalline_j15-bundle.tar.gz</strong></li>\r\n  <li>Click <strong>Upload &amp; Install</strong></li>\r\n</ul>\r\n\r\n<p>The template is now installed.</p>\r\n\r\n<h3><span>Step 2</span> - Making Crystalline Default</h3>\r\n\r\n<ul class="bullet-9">\r\n  <li>Login into the Joomla administrator (<a href="#">http://yoursite.com/administrator</a>)</li>\r\n  <li>Go to <strong>Extensions &rarr; Template Manager</strong></li>\r\n  <li>Find <strong>rt_crystalline_j15</strong></li>\r\n  <li>Select the radio icon to its left</li>\r\n  <li>Click <strong>Default</strong> in the top right button menu</li>\r\n</ul>\r\n\r\n<p>The template is now default and will appear as your site theme.</p>', '', 1, 0, 0, 49, '2010-02-21 14:08:41', 775, '', '2012-06-12 13:15:57', 62, 0, '0000-00-00 00:00:00', '2010-02-21 14:08:41', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_section":"","link_section":"","show_category":"","link_category":"","show_vote":"","show_author":"","show_create_date":"","show_modify_date":"","show_pdf_icon":"","show_print_icon":"","show_email_icon":"","language":"","keyref":"","readmore":"","show_parent_category":"","link_parent_category":"","link_author":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 0, 11, '', '', 1, 40, '', 0, '*', ''),
(57, 106, 'RocketLauncher Setup', 'rocketlauncher-setup', '', '<div class="alert"><div class="typo-icon">Note: All sample content images will be replaced with blank versions in the RocketLauncher version. Screenshots, such as those for the Logo Editing tutorial will remain however.</div></div>\r\n\r\n<h4>What is RocketLauncher?</h4>\r\n\r\n<p>RocketLauncher is a Joomla installation package that installs Joomla as the demo. The launcher installs the sample data, which has been customised to match the demo, and the template, extensions and images are already built in. The launcher is the best method to replicate the demo with ease.</p>\r\n\r\n<p>Due to the complexity of our demos, it is much easier to <em>see it in action</em> then it is to read in written tutorials and / or viewing screenshots. Therefore, the process of using the template on your Joomla site is much faster, simpler and makes for a better experience.\r\n</p>\r\n\r\n<h4>Version</h4>\r\n\r\n<p>We use the latest Joomla version available at the time for our launchers and when Joomla updates, we proceed to update all the launchers so they are up to date for all new downloads. Please go to the <a href="http://www.rockettheme.com/joomla-downloads/">Joomla Downloads</a> repository to see what version the RocketLauncher is using.</p>\r\n\r\n<p>For information on upgrading Joomla, please see: <a href="http://docs.joomla.org/Upgrading_1.5_from_an_existing_1.5x_version">http://docs.joomla.org</a></p>\r\n\r\n<div class="notice"><div class="typo-icon">RocketLauncher includes a FULL Joomla install, in addition to the template and demo contents. The Joomla installation process is necessary in creating the demo content, therefore RocketLauncher will only work properly as a new Joomla installation. It can not be used on an existing Joomla installation.</div></div>\r\n\r\n<h3>Instructions</h3>\r\n\r\n<h4>Step 1 - Upload the files</h4>\r\n\r\n<ul class="bullet-9">\r\n  <li>Download the Crystalline RocketLauncher Package (rt_crystalline_j15-rocketlauncher.zip) from the Crystalline template downloads section</li>\r\n  <li>Unzip the zip package onto your computer to reveal the <em>rt_crystalline_j15-rocketlauncher</em> folder</li>\r\n  <li>Upload this to your site using your FTP client</li>\r\n  \r\n</ul>\r\n\r\n<p>Note, on some servers, you can upload the zip and extract the package directly onto your server using cPanel or SSH access. For more details on this, please contact your hosting provider.</p>\r\n\r\n<h4>Step 2 - Installation</h4>\r\n\r\n<ul class="bullet-9">\r\n  <li>Direct your browser to the installation such as <a href="#">www.yoursite.com/rt_crystalline_j15-rocketlauncher</a> or to whatever directory you uploaded to</li>\r\n  <li>Choose a Language for your site then click next</li>\r\n  <li>Review the Pre-Installation Check page then click next</li>\r\n  <li>Review the License page then click next</li>\r\n  <li>Insert your Database information: host name, mysql username and mysql password then click next</li>\r\n  <li>Insert your main configuration information: site name, admin password and email address</li>\r\n  <li>Click <span class="highlight-bold">Install Sample Data</span> then click next</li>\r\n  <li>Delete the /installation directory on your server</li>\r\n</ul>\r\n\r\n<div class="alert"><div class="typo-icon">It is very important that you click the <span class="highlight-bold">Install Sample Data</span> button during the installation process, otherwise the launcher will be blank.</div></div>\r\n\r\n<h4>Further Guides</h4>\r\n\r\n<strong>RocketLauncher Installation Video Tutorial</strong><br />\r\n<p>Learn the steps to uploading the RocketLauncher package files to your server and installing the RocketLauncher template package by following along with the steps in this detailed video tutorial. It''s now easier than ever before to deploy a replica of the RocketTheme template demo sites.</p>\r\n<p><a class="readon" href="http://www.rockettheme.com/video/joomla15/installing-rocketlauncher-joomla15.mov" title="Video Tutorial :: Joomla RocketLauncher Installation Video Tutorial" rel="rokbox[503 356]"><span>Launch Video</span></a></p>\r\n\r\n<strong>Uploading RocketLauncher to your Root</strong><br />\r\n<p>An in depth guide that details the steps necessary to properly upload the files from the RocketLauncher template package directly to the root of your site. This will ensure your RocketLauncher installation installs to the root of your site, and not in a subfolder.  </p>\r\n<p><a class="readon" href="http://www.rockettheme.com/forum/index.php?t=20046&amp;rb_v=viewtopic" target="_blank"><span>Learn More</span></a></p>\r\n\r\n<strong>Updating RocketLauncher / Joomla on Mac</strong><br />\r\n<p>If you are a Mac user and develop in a localhost environment, you will want to use Terminal to update your Joomla as it is the fastest and simplest way to update locally on a Mac. </p>\r\n<p><a class="readon" href="http://www.rockettheme.com/forum/index.php?f=106&amp;t=64695&amp;rb_v=viewtopic#p335309" target="_blank"><span>Learn more</span></a></p>', '', 1, 0, 0, 49, '2010-02-21 14:08:53', 775, '', '2012-06-12 13:15:57', 62, 0, '0000-00-00 00:00:00', '2010-02-21 14:08:53', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_section":"","link_section":"","show_category":"","link_category":"","show_vote":"","show_author":"","show_create_date":"","show_modify_date":"","show_pdf_icon":"","show_print_icon":"","show_email_icon":"","language":"","keyref":"","readmore":"","show_parent_category":"","link_parent_category":"","link_author":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 12, '', '', 1, 24, '', 0, '*', ''),
(58, 107, 'Style Control', 'style-control', '', '<div class="alert"><div class="typo-icon">Crystalline has a frontend Color Chooser feature, which is linked to the Gantry administrator options outlined below. For more details on how this operates, please view the <a href="index.php?option=com_content&amp;view=article&amp;id=48&amp;Itemid=155">Color Chooser</a> page.</div></div>\r\n\r\n<p>The system allows you to quickly and effortlessly customise a preset to your liking, editing options to meet your requirements such as Font Settings.</p>\r\n\r\n<p>Control the Preset Settings via the template manager here: <strong>Extensions &rarr; Template Manager &rarr; rt_crystalline_j15 &rarr; Presets</strong></p>\r\n\r\n<p>After adjusting the parameters and on selection of a preset style, the administrator automatically updates the settings to match that particular style.</p>\r\n\r\n[readon2 url="index.php?option=com_content&amp;view=article&amp;id=47&amp;Itemid=154"]Gantry Framework : Learn more[/readon2]\r\n\r\n<h3>Available Settings/Options</h3>\r\n\r\n<p>The options are as follows, and the areas that they control are indicative in their name:</p>\r\n\r\n<ul class="bullet-9">\r\n	<li><strong>Main Background:</strong> <em>Hex input field / Mootools color wheel</em></li>\r\n	<li><strong>Main Shadow:</strong> Light, Dark, None</li>\r\n	<li><strong>Main Overlay:</strong> Bark, Blocks, Burlap, Carbon, Circles, Cracked, Digital, Elegant 1-4, Gatorskin, Grunge 1-6, Isometric, Lines 1-5, Overlapping Targets, Paper, Perforation, Plusses 1-2, Spirals 1-2, Square Waves, Tape Worm, Triangle, Weave, Wood 1-4 &amp; None - <em>39 Options</em></li>\r\n	<li><strong>Main Text:</strong> <em>Hex input field / Mootools color wheel</em></li>\r\n	<li><strong>Main Link:</strong> <em>Hex input field / Mootools color wheel</em><br /><br /></li>\r\n	\r\n	<li><strong>Header Background:</strong> <em>Hex input field / Mootools color wheel</em></li>\r\n	<li><strong>Header Shadow:</strong> Light, Dark, None</li>\r\n	<li><strong>Header Overlay:</strong> Bark, Blocks, Burlap, Carbon, Circles, Cracked, Digital, Elegant 1-4, Gatorskin, Grunge 1-6, Isometric, Lines 1-5, Overlapping Targets, Paper, Perforation, Plusses 1-2, Spirals 1-2, Square Waves, Tape Worm, Triangle, Weave, Wood 1-4 &amp; None - <em>39 Options</em></li>\r\n	<li><strong>Header Graphic:</strong> Header 1-9, None</li>\r\n	<li><strong>Header Text:</strong> <em>Hex input field / Mootools color wheel</em></li>\r\n	<li><strong>Header Link:</strong> <em>Hex input field / Mootools color wheel</em><br /><br /></li>\r\n	\r\n	<li><strong>Feature Background:</strong> <em>Hex input field / Mootools color wheel</em></li>\r\n	<li><strong>Feature Shadow:</strong> Light, Dark, None</li>	\r\n	<li><strong>Feature Overlay:</strong> Bark, Blocks, Burlap, Carbon, Circles, Cracked, Digital, Elegant 1-4, Gatorskin, Grunge 1-6, Isometric, Lines 1-5, Overlapping Targets, Paper, Perforation, Plusses 1-2, Spirals 1-2, Square Waves, Tape Worm, Triangle, Weave, Wood 1-4 &amp; None - <em>39 Options</em></li>\r\n	<li><strong>Feature Text:</strong> <em>Hex input field / Mootools color wheel</em></li>\r\n	<li><strong>Feature Link:</strong> <em>Hex input field / Mootools color wheel</em><br /><br /></li>\r\n	\r\n	<li><strong>Body Background:</strong> <em>Hex input field / Mootools color wheel</em></li>\r\n	<li><strong>Body Shadow:</strong> Light, Dark, None</li>\r\n	<li><strong>Body Overlay:</strong> Bark, Blocks, Burlap, Carbon, Circles, Cracked, Digital, Elegant 1-4, Gatorskin, Grunge 1-6, Isometric, Lines 1-5, Overlapping Targets, Paper, Perforation, Plusses 1-2, Spirals 1-2, Square Waves, Tape Worm, Triangle, Weave, Wood 1-4 &amp; None - <em>39 Options</em></li>\r\n	<li><strong>Body Text:</strong> <em>Hex input field / Mootools color wheel</em></li>\r\n	<li><strong>Body Link:</strong> <em>Hex input field / Mootools color wheel</em><br /><br /></li>	\r\n	\r\n	<li><strong>Bottom Background:</strong> <em>Hex input field / Mootools color wheel</em></li>\r\n	<li><strong>Bottom Shadow:</strong> Light, Dark, None</li>\r\n	<li><strong>Bottom Overlay:</strong> Bark, Blocks, Burlap, Carbon, Circles, Cracked, Digital, Elegant 1-4, Gatorskin, Grunge 1-6, Isometric, Lines 1-5, Overlapping Targets, Paper, Perforation, Plusses 1-2, Spirals 1-2, Square Waves, Tape Worm, Triangle, Weave, Wood 1-4 &amp; None - <em>39 Options</em></li>\r\n	<li><strong>Bottom Text:</strong> <em>Hex input field / Mootools color wheel</em></li>\r\n	<li><strong>Bottom Link:</strong> <em>Hex input field / Mootools color wheel</em><br /><br /></li>	\r\n	\r\n	<li><strong>Font Settings:</strong>\r\n		<ul>\r\n			<li><strong>Font Family:</strong> Geneva, Optima, Helvetica, Trebuchet, Lucida, Georgia, Palatino <em>(dropdown)</em></li>\r\n			<li><strong>Font Size:</strong> Default, Extra Large, Large, Small, Extra Small <em>(dropdown)</em></li>\r\n		</ul>\r\n	</li>\r\n</ul>\r\n\r\n<p><em>Other style option(s) worthy of note</em></p>\r\n\r\n<ul class="bullet-9">\r\n	<li><strong>Sidebar Class SFX:</strong> Insert the name of the suffix you wish for the Splitmenu sidebar to inherit <em>Menu Section - (text field)</em></li>\r\n</ul>\r\n\r\n<div class="note"><div class="typo-icon">Note: <strong>Gantry 2.0</strong> offers the ability to configure almost all of the available parameters, on a <strong>per menu item</strong> basis. For example, you can assign preset2 to one page and preset4 to another, all within the <strong>Gantry</strong> administrator.</div></div>\r\n\r\n<h3><span>Creating</span> your own Preset Styles</h3>\r\n\r\n<p>Gantry 2.0 offers an interface for creating your own custom presets via the template administrator. With Gantry 2.0, you do not need to edit the presets (or add your own) in the gantry.config.php file - although, it is still possible if you wish to do so.</p>\r\n\r\n<p>Simply go to <strong>Extensions &rarr; Template Manager &rarr; rt_crystalline_j15 &rarr; Settings</strong>, configure the options to fit your purposes, then click the <strong>Save Custom Presets as New</strong> button in the <strong>Presets tab</strong>. Follow the naming procedure on the popup then the custom preset will appear in Presets Showcase.</p>\r\n\r\n<p>Quick and Simple!</p>\r\n\r\n<div class="notice"><div class="typo-icon">The Crystalline template has a plethora of configuration options available, many more beyond these Style Controls, simply go to <strong>Extensions &rarr; Template Manager &rarr; rt_crystalline_j15</strong> and hover over the options for tips with descriptions to appear.</div></div>\r\n\r\n<h3>Assigning a Style to a Specific Page</h3>\r\n\r\n<p>With Gantry, the ability to assign a certain style to an individual page has never been easier and/or more efficient. Just follow these simple steps:</p>\r\n\r\n<ul class="bullet-9">\r\n	<li>Go to <strong>Extensions &rarr; Template Manager &rarr; rt_crystalline_j15</strong></li>\r\n	<li>Select the <strong>Menu Items</strong> tab - located in the right column of the page in the orange box</li>\r\n	<li>Choose a menu item you wish to assign a different style to</li>\r\n	<li>Select your preset of choice from the <strong>Presets &rarr; Style Presets</strong> parameter area</li>\r\n	<li>Configure the <strong>Settings</strong> area to your personal preferences</li>\r\n	<li>Save</li>\r\n</ul>', '', 1, 0, 0, 49, '2010-02-21 14:09:06', 775, '', '2012-06-12 13:49:51', 62, 0, '0000-00-00 00:00:00', '2010-02-21 14:09:06', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 10, 0, 13, '', '', 1, 59, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(59, 108, 'Menu Options', 'menu-options', '', '<div class="alert"><div class="typo-icon"><a href="index.php?option=com_content&amp;view=article&amp;id=54&amp;Itemid=161">RokNavMenu</a> is an essential module for the template as the menus only operate when it is installed. The module does not need to be published for the menu to work.<br /><br />Version <strong>1.7.14+</strong> is required.</div></div>\r\n\r\n<p>The template is accompanied by a series of menu systems which are outlined below:</p>\r\n\r\n<div class="media"><div class="typo-icon">\r\n  <strong>Video Tutorial Currently Available!</strong>\r\n  <a title="Video Tutorials :: Menu Configuration" href="http://www.rockettheme.com/video/joomla15/menu-configuration-joomla15.mov" rel="rokbox[504 336]">Launch the Joomla Menu Setup Video Tutorial now!</a>\r\n</div></div>\r\n\r\n<h3><span>Menu</span> Types</h3>\r\n\r\n<p>Please click the links in the list below to load the various menu types.</p>\r\n\r\n<ul class="bullet-9">\r\n  <li><strong><a href="index.php?option=com_content&amp;view=article&amp;id=59&amp;Itemid=166&amp;menu-type=fusionmenu">Fusion Menu</a></strong> - Fusion Menu, an advanced dropdown based CSS menu. It supports both Mootools powered transition and animation enhancements for its dropdown.</li>\r\n  <li><strong><a href="index.php?option=com_content&amp;view=article&amp;id=59&amp;Itemid=166&amp;menu-type=splitmenu">SplitMenu</a></strong> - A static menu system that displays submenu items outside of the main horizontal menu, and the 2nd level in the side column.</li>\r\n  <li><strong><a href="index.php?option=com_content&amp;view=article&amp;id=59&amp;Itemid=166&amp;menu-type=nomenu">No Menu</a></strong> - This option disables the inbuilt menu system in its entirety. As the menu is supplanted into a module position via Gantry, when the menu is disabled, you can continue to use the position as normal.</li>\r\n</ul>\r\n\r\n<div class="notice"><div class="typo-icon">In <strong>Internet Explorer 6</strong>, the Fusion Menu is automatically degraded to Suckerfish, a basic, static, CSS dropdown menu system; without all the javascript enhancements and effects of Fusion.</div></div>\r\n\r\n<p>The menu type used is set via template configuration at <strong>Extensions &rarr; Template Manager &rarr; rt_crystalline_j15 &rarr; Menu Control</strong>. Select your desired menu type from the dropdown and save. Also, the various Mootools effects of Fusion Menu can also be configured in the template manager.</p>\r\n\r\n<div class="attention"><div class="typo-icon">Descriptions of each template parameter can be seen when you mouseover the label of each option.</div></div>\r\n\r\n<h3><span>Fusion</span> Menu</h3>\r\n\r\n<div class="alert"><div class="typo-icon">Fusion requires RokNavMenu to be installed in order for it to work and needs to be at least version <span class="highlight-bold">1.7.14</span></div></div>\r\n\r\n<p>Fusion is javascript-based dropdown menu system, with extensive functionality. The menu itself is built on the rewritten core of the latest revision of RokNavMenu, the core application behind all RocketTheme menus.</p>\r\n\r\n<p>Fusion offers a series of new abilities ranging from Menu Icons, Subtext support and much greater controls over the Multiple Column ability for dropdowns.</p>\r\n\r\n<div class="attention"><div class="typo-icon">For more information on RokNavMenu, please go to <a href="http://www.rockettheme.com/extensions-joomla/roknavmenu">http://www.rockettheme.com/extensions-joomla/roknavmenu</a></div></div>\r\n\r\n<h4>Template Configuration</h4>\r\n\r\n<p>You can configure Fusion Menu at <strong>Extensions &rarr; Template Manager &rarr; rt_crystalline_j15</strong> and you will find all parameters under the <strong>Menu</strong> heading.</p>\r\n\r\n[readon url="index.php?option=com_content&amp;view=article&amp;id=47&amp;Itemid=154"]Gantry Framework : Learn more[/readon]\r\n\r\n<h4>Menu Icons</h4>\r\n\r\n<p>Fusion has support for individual menu icons for its dropdown menu items. These images are loaded from the <strong>/templates/rt_crystalline_j15/images/icons/</strong> directory where you will find 21 images by default.</p>\r\n\r\n<p>To setup a Menu Icon, go to <strong>Menu &rarr; Mainmenu &rarr; Select/Create a Menu Item</strong>. Locate the <strong>Menu Image</strong> field in <strong>Parameters (Template theme - gantry-fusion)</strong> and select an image from the dropdown.</p>\r\n\r\n<h4>Subtext</h4>\r\n\r\n<p>Subtext is the term used to describe the secondary text placed underneath the menu title.</p>\r\n\r\n<p>To add your own Subtext, go to <strong>Menu &rarr; Mainmenu &rarr; Select/Create a Menu Item</strong>. Locate the <strong>Subtext</strong> field in <strong>Parameters (Template theme - gantry-fusion)</strong> and insert your desired text. Also add your Subtext to the <strong>Parameters (Template theme - gantry-suckerfish)</strong> field so it appears in IE6.</p>\r\n\r\n<div class="notice"><div class="typo-icon">If you are using SplitMenu, insert your <strong>Subtext</strong> into the <strong>Parameters (Template theme - gantry-splitmenu) section</strong>.</div></div>\r\n\r\n<h4>Multiple Dropdown Columns</h4>\r\n\r\n<p>Fusion has the facility for dynamic column control for its dropdown. You can choose between single (1) or double (2) column modes for children of every single menu item via configuration.</p>\r\n\r\n<p>To control the number of columns of each menu item, go to <strong>Menu &rarr; Mainmenu &rarr; Select/Create a Menu Item</strong>. Locate the <strong>Columns of Children</strong> field in <strong>Parameters (Template theme - gantry-fusion)</strong> and choose either 1 or 2.</p>\r\n\r\n<h4>Dynamic Child Direction</h4>\r\n\r\n<p>Typically, a dropdown menu column will extend beyond the width of the browser window if you have enough child levels. However, with Fusion, the menu detects the width of the browser and will change the direction of menu pullouts so all menu items are visible without the need to scroll.</p>\r\n\r\n<h3>Splitmenu</h3>\r\n\r\n<p>A static menu system that displays submenu items outside of the main horizontal menu. 2nd level menu items are displayed in the Sidebar.</p>\r\n\r\n<h4>Configuration</h4>\r\n\r\n<p>Simply go to <strong>Extensions &rarr; Template Manager &rarr; rt_crystalline_j15 &rarr; Menu</strong>. All options that pertain to the menu are located here, such as a specific Splitmenu only option: <strong>Sidebar Class Sfx</strong> which determines what module class suffix is used for Splitmenu.</p>\r\n\r\n<h4>Removing / Editing the <em>Menu</em> text</h4>\r\n\r\n<p>If you wish to remove or edit the Menu text that appears in the module title of the Splitmenu side menu, you will need to edit the <strong>/templates/rt_crystalline_j15/html/modules.php</strong> file. Find and edit the following:</p>\r\n\r\n<pre style="width: 650px;">\r\n&lt;div class=&quot;module-title&quot;&gt;&lt;h2 class=&quot;title&quot;&gt;&lt;?php echo $menu_title_item-&gt;name.&#x27; &#x27;.JText::_(&#x27;Menu&#x27;); ?&gt;&lt;/h2&gt;&lt;/div&gt;\r\n\r\n</pre>\r\n\r\n<h3><span>How</span> to create Child / Sublevel menu items in Joomla</h3>\r\n\r\n<p>In order for menu dropdowns in Moomenu and Suckerfish, and the dropline / side column items of Splitmenu to appear, you need to setup parent and child menu items.</p>\r\n\r\n<ul class="bullet-9">\r\n  <li>Login into the Joomla administrator</li>\r\n  <li>Go to <strong>Menu &rarr; <em>Menu Name</em></strong></li>\r\n  <li>Select a menu item that you wish to be in the dropdown</li>\r\n  <li>Locate the <strong>Parent Item</strong> form</li>\r\n  <li>Select the menu item that you wish for your item to appear under</li>\r\n  <li>Save</li>\r\n</ul>\r\n\r\n<p>Perform the same task for all menu items that you wish to be child items.</p>', '', 1, 0, 0, 49, '2010-02-21 14:09:19', 775, '', '2012-06-12 13:50:15', 62, 0, '0000-00-00 00:00:00', '2010-02-21 14:09:19', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 0, 14, '', '', 1, 101, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(60, 109, 'Logo Editing', 'logo-editing', '', '<div class="note"><div class="typo-icon">The template automatically changes the size of the logo based on what image is present. Therefore, there is no need to manually change the dimensions in the CSS.</div></div>\r\n\r\n<p>The following tutorial outlines how to edit the logo with <strong>Adobe Fireworks CS4</strong>. Fireworks is required for logo editing. CS3 can be used for image source editing.</p>\r\n\r\n<div class="media"><div class="typo-icon">\r\n  <a href="video/logo.mov" rel="rokbox[540 360]" title="Video Tutorial :: Logo Editing Video Tutorial">\r\n    <img src="images/stories/demo/general/logo-editing-video.jpg" alt="image" class="demo-tut-video-img"/>\r\n  </a>\r\n  \r\n  <h4>Logo Editing Video Tutorial</h4>\r\n  Learn how to customise your Crystalline logo using Adobe Fireworks with this detailed video tutorial.<br />\r\n  \r\n  <p><a href="video/logo.mov" rel="rokbox[540 360]" title="Video Tutorial :: Logo Editing Video Tutorial"><strong>Watch Now!</strong></a></p>\r\n  <div class="clear"></div>\r\n  </div></div>\r\n\r\n<div class="attention"><div class="typo-icon">You will want to install the provided fonts before proceeding to edit in Fireworks, if you wish to use the same font for your logo editing.</div></div>\r\n\r\n<h2>Editing in Adobe Fireworks CS4</h2>\r\n\r\n<h3><a href="#step1" name="step1">Step 1</a></h3>\r\n\r\n<p>Open the <strong>crystalline-logo-source.png</strong> file in Adobe Fireworks.</p>\r\n<a href="images/stories/demo/logo/logo1.jpg" title="Logo Editing Tutorial - Step 1 - Screenshot 1" rel="rokbox(logo)"><img src="images/stories/demo/logo/logo1-thumb.jpg" alt="Logo" class="rt-image" /></a>\r\n\r\n<p>Focus on the right column, titled <strong>Layers</strong>. Select the <strong>Web layers</strong> directory and click the eye icon to the left of the logo slice (the green object). This will make the slice invisible so you can edit the file.</p>\r\n\r\n<h3><a href="#step2" name="step2">Step 2</a></h3>\r\n\r\n<p>Double click on the logo text. Now you can edit the text of logo to your choosing.</p>\r\n<a href="images/stories/demo/logo/logo2.jpg" title="Logo Editing Tutorial - Step 2 - Screenshot 1" rel="rokbox(logo)"><img src="images/stories/demo/logo/logo2-thumb.jpg" alt="Logo" class="rt-image" /></a>\r\n<span class="demo-sep">&nbsp;</span>\r\n<a href="images/stories/demo/logo/logo3.jpg" title="Logo Editing Tutorial - Step 2 - Screenshot 2" rel="rokbox(logo)"><img src="images/stories/demo/logo/logo3-thumb.jpg" alt="Logo" class="rt-image" /></a>\r\n\r\n<p>Next, double click on the slogan logo text. Now you can edit the text of logo to your choosing.</p>\r\n<a href="images/stories/demo/logo/logo4.jpg" title="Logo Editing Tutorial - Step 2 - Screenshot 3" rel="rokbox(logo)"><img src="images/stories/demo/logo/logo4-thumb.jpg" alt="Logo" class="rt-image" /></a>\r\n<span class="demo-sep">&nbsp;</span>\r\n<a href="images/stories/demo/logo/logo5.jpg" title="Logo Editing Tutorial - Step 2 - Screenshot 4" rel="rokbox(logo)"><img src="images/stories/demo/logo/logo5-thumb.jpg" alt="Logo" class="rt-image" /></a>\r\n\r\n<p>Now, select the icon and disable it, if you so wish.</p>\r\n<a href="images/stories/demo/logo/logo6.jpg" title="Logo Editing Tutorial - Step 2 - Screenshot 5" rel="rokbox(logo)"><img src="images/stories/demo/logo/logo6-thumb.jpg" alt="Logo" class="rt-image" /></a>\r\n<span class="demo-sep">&nbsp;</span>\r\n<a href="images/stories/demo/logo/logo7.jpg" title="Logo Editing Tutorial - Step 2 - Screenshot 6" rel="rokbox(logo)"><img src="images/stories/demo/logo/logo7-thumb.jpg" alt="Logo" class="rt-image" /></a>\r\n\r\n<h3><a href="#step3" name="step3">Step 3</a></h3>\r\n\r\n<p>Reactivate the Slice in the Web Layers column, this will place a green rectangle over the logo image. Change the size of the slice (or move it) to match the new size if applicable.</p>\r\n\r\n<a href="images/stories/demo/logo/logo8.jpg" title="Logo Editing Tutorial - Step 3 - Screenshot 1" rel="rokbox(logo)"><img src="images/stories/demo/logo/logo8-thumb.jpg" alt="Logo" class="rt-image" /></a>\r\n<span class="demo-sep">&nbsp;</span>\r\n<a href="images/stories/demo/logo/logo9.jpg" title="Logo Editing Tutorial - Step 3 - Screenshot 2" rel="rokbox(logo)"><img src="images/stories/demo/logo/logo9-thumb.jpg" alt="Logo" class="rt-image" /></a>\r\n\r\n<h3><a href="#step4" name="step4">Step 4</a></h3>\r\n<p>Now you will want to export the logo. Right click on the image slice and select <strong>Exported Selected Slices...</strong> from the contextual menu. Proceed to export it to your computer for uploading.</p>\r\n<a href="images/stories/demo/logo/logo10.jpg" title="Logo Editing Tutorial - Step 4 - Screenshot 1" rel="rokbox(logo)"><img src="images/stories/demo/logo/logo10-thumb.jpg" alt="Logo" class="rt-image" /></a>\r\n\r\n<h3><a href="#step5" name="step5">Step 5</a></h3>\r\n<p>If you are new to Fireworks, you may be wondering why it appears that there is only one style variation in the source. This is not the case as we take advantage of the Frame features of Fireworks. You need to simply switch frames to see all the other style variation sources.</p>\r\n\r\n<p>There are a few ways to change frames and we will show 2 methods that you can use.</p>\r\n\r\n<p>In the right column where you find the Layers toolbar including the Web Layers area, you should see another tab/toolbar named Frames. Just left click on the title <b>Frames</b> to enter the frames area. Then you can click on either of the frames which are named to show which style variant is on that particular frame.</p>\r\n<img src="images/stories/demo/logo/logo-frame1.jpg" alt="Logo" class="rt-image" />\r\n\r\n<p>The second method is the easiest and simplist. At the bottom of the Fireworks canvas is a row of buttons and arrows. Select the arrows to switch between frames.</p>\r\n<img src="images/stories/demo/logo/logo-frame2.jpg" alt="Logo" class="rt-image" />\r\n\r\n<h2>Uploading the changed files</h2>\r\n\r\n<h3><a href="#step1" name="step1">Step 1</a></h3>\r\n<p>Once you have successfully edited then exported your new logo, you will need to upload it to your server. This process is best done via a FTP client such as <a href="http://filezilla.sourceforge.net/">Filezilla</a></p>\r\n\r\n<ol>\r\n  <li>Open your FTP client on your local computer.</li>\r\n  <li>Login to your web server where <strong>Crystalline</strong> is installed.</li>\r\n  <li>Navigate to the /templates/rt_crystalline_j15/images/logo/ directory.</li>\r\n  <li>Upload <strong>logo.png</strong> (and any other logo related images) to this directory (You may need to browse on the local panel in the FTP client to find where you have exported your logo).</li>\r\n  <li>Clear your browser cache before viewing such as using the keyboard commands on Windows, <strong>Ctrl+F5</strong>.</li>\r\n</ol>\r\n\r\n<div class="attention"><div class="typo-icon">\r\n  Ensure that you are uploading the correct logo to avoid confusion if it does not change. Also take into account hosting permissions. Sometimes, hosts which are not designed for Joomla may have permissions not suited for the setup, thus, the upload will not be complete. In this case, contact your hosting provider.\r\n  </div></div>', '', 1, 0, 0, 49, '2010-02-21 14:09:29', 775, '', '2012-06-12 13:15:57', 62, 0, '0000-00-00 00:00:00', '2010-02-21 14:09:29', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_section":"","link_section":"","show_category":"","link_category":"","show_vote":"","show_author":"","show_create_date":"","show_modify_date":"","show_pdf_icon":"","show_print_icon":"","show_email_icon":"","language":"","keyref":"","readmore":"","show_parent_category":"","link_parent_category":"","link_author":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 0, 15, '', '', 1, 45, '', 0, '*', ''),
(61, 110, 'Using Typography', 'using-typography', '', '<div class="media"><div class="typo-icon">\r\n  <strong>Video Tutorial Currently Available!</strong>\r\n  <a href="http://www.rockettheme.com/video/joomla15/using-typography-joomla15.mov" title="Video Tutorials :: Using Typography" rel="rokbox[540 380]">Launch the Joomla Using Typography Video Tutorial now!</a></div></div>\r\n\r\n<p>Every RocketTheme template is accompanied by custom content styles known as Typography. This guide outlines how to use Typography in your content.</p>\r\n\r\n<h3><span>Typography</span> - RokCandy Mode</h3>\r\n\r\n<p>All the typography in the template is using RokCandy syntax which is outlined at the <a href="index.php?option=com_content&amp;view=article&amp;id=53&amp;Itemid=160">RokCandy Examples</a> page. In this guide, we will use the Attention Span Style, which uses the <strong>&#91;div class="attention" class2="typo-icon"&#93;...&#91;/div&#93;</strong> syntax.</p>\r\n\r\n<ul class="bullet-9">\r\n  <li>Login to the Joomla administrator</li>\r\n  <li>Go to <strong>Content &rarr; Article Manager</strong>; or, if you wish to use the syntax in custom modules, Go to <strong>Extensions &rarr; Module Manager</strong></li>\r\n  <li>Choose the Article, or Custom Module</li>\r\n  <li>Insert <strong>&#91;div class="attention" class2="typo-icon"&#93;</strong> <em>.... some content ....</em> <strong>&#91;/div&#93;</strong></li>\r\n  <li>Save</li>\r\n</ul>\r\n\r\n<p>As RokCandy is not affected by the stripping functions of the WYSIWYG editor, you can insert the RokCandy snippets without any issue. If you are in HTML mode, the snippets will still function.</p>\r\n\r\n<h3><span>Typography</span> - HTML Mode</h3>\r\n\r\n<p>Every RokCandy typographical element can be used in its HTML form as outlined at the <a href="index.php?option=com_content&amp;view=article&amp;id=52&amp;Itemid=159">HTML Examples</a> page. HTML typography allows for more custom control in the article but requires an additional step. In this guide, we will use the Attention Span Style, which uses the <strong>&lt;div class=&quot;attention&quot;&gt;&lt;div class=&quot;typo-icon&quot;&gt;...&lt;/div&gt;&lt;/div&gt;</strong> syntax.</p>\r\n\r\n<h4>Content Editor</h4>\r\n\r\n<ul class="bullet-9">\r\n  <li>Login to the Joomla administrator</li>\r\n  <li>Go to <strong>Content &rarr; Article Manager</strong>; or, if you wish to use the syntax in custom modules, Go to <strong>Extensions &rarr; Module Manager</strong></li>\r\n  <li>Choose the Article, or Custom Module</li>\r\n  <li>Click the <strong>HTML mode</strong> or equivalent in your editor</li>\r\n  <li>Insert <strong>&lt;div class=&quot;attention&quot;&gt;&lt;div class=&quot;typo-icon&quot;&gt; ... some content ... &lt;/div&gt;&lt;/div&gt;</strong></li>\r\n  <li>Save</li>\r\n</ul>\r\n\r\n<div class="notice"><div class="typo-icon">If you are using the TinyMCE editor, go to <strong>Extensions &rarr; Plugin Manager</strong> and select <strong>TinyMCE 2.0</strong>. Locate <strong>Code Clean-up on Save</strong> and select <strong>Never</strong>.<br /><br />This prevents the stripping of HTML code from your content.</div></div>\r\n\r\n<h4>No Editor</h4>\r\n\r\n<ul class="bullet-9">\r\n  <li>Login to the Joomla administrator</li>\r\n  <li>Go to <strong>Content &rarr; Article Manager</strong>; or, if you wish to use the syntax in custom modules, Go to <strong>Extensions &rarr; Module Manager</strong></li>\r\n  <li>Choose the Article, or Custom Module</li>\r\n  <li>Insert <strong>&lt;div class=&quot;attention&quot;&gt;&lt;div class=&quot;typo-icon&quot;&gt; ... some content ... &lt;/div&gt;&lt;/div&gt;</strong></li>\r\n  <li>Save</li>\r\n</ul>\r\n\r\n<p>Note, with the Content Editor (WYSIWYG) enabled, you need to enter HTML mode otherwise the typography will not work. If you are running no editor, this is not the case as you are interacting with the content at a code level.</p>', '', 1, 0, 0, 49, '2010-02-21 14:09:39', 775, '', '2012-06-12 13:50:41', 62, 0, '0000-00-00 00:00:00', '2010-02-21 14:09:39', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, 16, '', '', 1, 36, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(62, 111, 'Other Featured Characteristics', 'other-featured-characteristics', '', '<div class="demo-mb">\r\n	<img src="images/stories/demo/frontpage/mb1.jpg" alt="Mar10 Demo Image" class="demo-fp-img img-left"/>\r\n	<p><em class="bold2">Native Right-To-Left (RTL) Support for both Gantry and independent template elements such as module styling.</em></p>\r\n	<p>The Gantry grid system will automatically invert the placement of module positions inside a given row when RTL mode is detected from Joomla. The template is prebuilt with CSS styles and Images that are peculiar to RTL.</p>\r\n	<p><a href="images/stories/demo/general/rtl-preview-full.jpg" class="readon" rel="rokbox[715 1687]" title="Preview of the Demo Frontpage in RTL mode"><span>Preview RTL</span></a></p>\r\n</div>', '', 1, 0, 0, 49, '2010-02-25 15:02:15', 775, '', '2012-06-12 13:16:55', 62, 0, '0000-00-00 00:00:00', '2010-02-25 15:02:15', '0000-00-00 00:00:00', '', '', '{"show_title":"1","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"0","show_email_icon":"0","show_vote":"0","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 19, 0, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(63, 112, 'Other Featured Stuff Continued', 'other-featured-stuff-continued', '', '<div class="demo-mb">\r\n	<img src="images/stories/demo/frontpage/mb2.jpg" alt="Mar10 Demo Image" class="demo-fp-img img-left"/>\r\n	<p><em class="bold2">Built with the Gantry Framework v2 with the 960 grid system and an intuitive, extensive administrative interface.</em></p>\r\n	<p>Gantry is the framework that rests at the foundation of our latest RocketTheme templates, providing an extensive and powerful core to extend the feature set and functions of our themes exponentially, making them even more flexible.</p>\r\n	[readon2 url="index.php?option=com_content&amp;view=article&amp;id=47&amp;Itemid=154"]Learn More[/readon2]\r\n</div>', '', 1, 0, 0, 49, '2010-02-25 15:08:25', 775, '', '2012-06-12 13:47:15', 62, 0, '0000-00-00 00:00:00', '2010-02-25 15:08:25', '0000-00-00 00:00:00', '', '', '{"show_title":"0","link_titles":"0","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"0","show_email_icon":"0","show_vote":"0","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 0, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(64, 113, 'Other Featured Stuff Continued...', 'other-featured-stuff-continued1', '', '<div class="demo-mb">\r\n	<img src="images/stories/demo/frontpage/mb3.jpg" alt="Mar10 Demo Image" class="demo-fp-img img-left"/>\r\n	<p><em class="bold2">Fourteen Module Variations, ranging from color styles to structural variants, allowing for individual module control.</em></p>\r\n	<p>14 module hilites to provide variations, color and/or structural, in your site for your modular content, these are: <strong>bg1-5</strong>, <strong>title1-5</strong>, <strong>flush</strong>, <strong>flushtop</strong>, <strong>flushbottom</strong> &amp; <strong>basic</strong>. All can be previewed by following the internal link below.</p>\r\n	[readon2 url="index.php?option=com_content&amp;view=article&amp;id=49&amp;Itemid=156"]More Details[/readon2]\r\n</div>', '', 1, 0, 0, 49, '2010-02-25 15:08:25', 775, '', '2012-06-12 13:47:39', 62, 0, '0000-00-00 00:00:00', '2010-02-25 15:08:25', '0000-00-00 00:00:00', '', '', '{"show_title":"0","link_titles":"0","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"0","show_email_icon":"0","show_vote":"0","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 0, 3, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(65, 114, 'Template Extras', 'template-extras', '', '<h4 class="demo-mb-btm-title"><a href="#">Template Extras</a></h4>\r\n<div class="demo-mb-btm demo-mb-btm-first">\r\n	<p><img src="images/stories/demo/frontpage/cb1.jpg" alt="Mar10 Demo Image" class="demo-fp-img"/></p>\r\n	<p><em class="bold">Over 65 Module Positions.</em></p>\r\n	<p>The template has 68 collapsible positions, allowing for a multitude of many different layout options.</p>\r\n	[readon2 url="index.php?option=com_content&amp;view=article&amp;id=50&amp;Itemid=157"]Read More[/readon2]\r\n</div>\r\n<div class="demo-mb-btm">\r\n	<p><img src="images/stories/demo/frontpage/cb2.jpg" alt="Mar10 Demo Image" class="demo-fp-img"/></p>\r\n	<p><em class="bold">Styled Joomla Extensions.</em></p>\r\n	<p>A series of RocketTheme modules have been styled, perfect for using them with the Crystalline theme.</p>\r\n	[readon2 url="index.php?option=com_content&amp;view=article&amp;id=54&amp;Itemid=161"]Read More[/readon2]\r\n</div>\r\n<div class="demo-mb-btm">\r\n	<p><img src="images/stories/demo/frontpage/cb3.jpg" alt="Mar10 Demo Image" class="demo-fp-img"/></p>\r\n	<p><em class="bold">Adobe Fireworks Sources.</em></p>\r\n	<p>We provide Adobe Fireworks PNG image sources with every template, allowing for quick customization.</p>\r\n	[readon2 url="index.php?option=com_content&amp;view=article&amp;id=60&amp;Itemid=167"]Read More[/readon2]\r\n</div>\r\n<div class="clear"></div>', '', 1, 0, 0, 49, '2010-02-25 15:08:25', 775, '', '2012-06-12 13:47:57', 62, 0, '0000-00-00 00:00:00', '2010-02-25 15:08:25', '0000-00-00 00:00:00', '', '', '{"show_title":"0","link_titles":"0","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"0","show_email_icon":"0","show_vote":"0","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 16, 0, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(67, 116, 'Introduction', 'introduction', '', '<div class="demo-overlay"><div class="demo-top-overlay"><div class="demo-bottom-overlay"><img src="images/stories/demo/frontpage/tab1.jpg" alt="Mar10 Demo Image" /></div></div></div>\r\n<p class="rt-desc1"><span class="rt-leftquo">&ldquo;</span>The <a href="#">incredible</a> new <a href="#">Color Chooser</a>, offers<br /> an <a href="#">Infinite</a> number of <a href="#">stylistic</a> possibilities.<span class="rt-rightquo">&rdquo;</span></p>\r\n<p class="rt-desc2">The most noticeable feature of <strong>Crystalline</strong> is its <strong>Color Chooser</strong>, an interactive <em>popup</em> that controls all style elements in the theme, such as the link color or the overlay style. Simply activate the Color Chooser and experiment!</p>\r\n[readon url="index.php?option=com_content&amp;view=article&amp;id=48&amp;Itemid=155"]Color Chooser[/readon]\r\n<span class="demo-sep">&nbsp;</span>\r\n[readon url="index.php?option=com_content&amp;view=article&amp;id=58&amp;Itemid=165"]Admin Controls[/readon]', '', 1, 0, 0, 48, '2010-02-25 18:00:05', 775, '', '2012-06-12 13:52:41', 62, 0, '0000-00-00 00:00:00', '2010-02-25 18:00:05', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 0, 1, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(68, 117, 'Variations', 'variations', '', '<div class="demo-overlay"><div class="demo-top-overlay"><div class="demo-bottom-overlay"><img src="images/stories/demo/frontpage/tab3.jpg" alt="Mar10 Demo Image" /></div></div></div>\r\n<p class="rt-desc1">Style <a href="#">Module Variations</a> tied into the <a href="#">Color Chooser</a>, as well as <a href="#">structural</a> suffixes.</p>\r\n<p class="rt-desc2">Included are 14 module class suffixes / variations which provide independent modular styling, ranging from styled suffixes such as bg1-5 and title1-5, to structural suffixes such as basic and flush.</p>\r\n[readon url="index.php?option=com_content&amp;view=article&amp;id=49&amp;Itemid=156"]Preview Variations[/readon]', '', 1, 0, 0, 48, '2010-02-25 18:00:05', 775, '', '2012-06-12 13:52:13', 62, 0, '0000-00-00 00:00:00', '2010-02-25 18:00:05', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, 6, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(71, 120, 'Extensions', 'extensions2', '', '<div class="demo-overlay"><div class="demo-top-overlay"><div class="demo-bottom-overlay"><img src="images/stories/demo/frontpage/tab2.jpg" alt="Mar10 Demo Image" /></div></div></div>\r\n<p class="rt-desc1">Includes <a href="#">stylistically</a> integrated extensions such as <a href="#">RokTabs</a> and <a href="#">RokAjaxSearch</a></p>\r\n<p class="rt-desc2">The use of extensions with Joomla is as instinctual as using a template, therefore, Crystalline offers prebuilt styling for some of our popular RocketTheme extensions such as RokTabs.</p>\r\n[readon url="index.php?option=com_content&amp;view=article&amp;id=54&amp;Itemid=161"]More Details[/readon]', '', 1, 0, 0, 48, '2010-02-25 18:00:05', 775, '', '2012-06-12 13:52:34', 62, 0, '0000-00-00 00:00:00', '2010-02-25 18:00:05', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(72, 121, 'Framework', 'framework', '', '<div class="demo-overlay"><div class="demo-top-overlay"><div class="demo-bottom-overlay"><img src="images/stories/demo/frontpage/tab1.jpg" alt="Mar10 Demo Image" /></div></div></div>\r\n<p class="rt-desc1">The <a href="#">Gantry Framework v2</a> rests at the <br />theme''s core, adding  <a href="#">versatility</a> and flexibility.</p>\r\n<p class="rt-desc2">An extensive and intuitive administrative interface, as well as the 960 grid layout system, on top of a plethora of other powerful and useful features, make the Gantry Framework a truly flexible foundation for any theme.</p>\r\n[readon url="index.php?option=com_content&amp;view=article&amp;id=47&amp;Itemid=154"]Read More[/readon]', '', 1, 0, 0, 48, '2010-02-25 18:00:05', 775, '', '2012-06-12 13:52:30', 62, 0, '0000-00-00 00:00:00', '2010-02-25 18:00:05', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(73, 122, 'Documentation', 'documentation', '', '<div class="demo-overlay"><div class="demo-top-overlay"><div class="demo-bottom-overlay"><img src="images/stories/demo/frontpage/tab3.jpg" alt="Mar10 Demo Image" /></div></div></div>\r\n<p class="rt-desc1">A series of descriptive <a href="#">tutorials</a> and <a href="#">guides</a> <br />on using and configuring the <a href="#">March</a> template.</p>\r\n<p class="rt-desc2">Learn about various aspects of the theme such as Installation instructions, or guides on how to edit and customize the logo from the <strong>Tutorials</strong> area of the demo. Reading the information is recommended before use.</p>\r\n[readon url="index.php?option=com_content&amp;view=article&amp;id=55&amp;Itemid=162"]Learn More[/readon]', '', 1, 0, 0, 48, '2010-02-25 18:00:05', 775, '', '2012-06-12 13:52:23', 62, 0, '0000-00-00 00:00:00', '2010-02-25 18:00:05', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(74, 123, 'Color Chooser', 'color-chooser3', '', '<div class="demo-overlay"><div class="demo-top-overlay"><div class="demo-bottom-overlay"><img src="images/stories/demo/frontpage/tab2.jpg" alt="Mar10 Demo Image" /></div></div></div>\r\n<p class="rt-desc1">Activate the <a href="#">Color Chooser</a> by selecting the button displayed in the <a href="#">header</a> above.</p>\r\n<p class="rt-desc2">The <strong>Color Chooser</strong> allows you to edit background, text and link colors, as well as overlay/graphic patterns on the fly from a sophisticated popup. These can then be saved and used in the <em>Gantry</em> Administrative Interface.</p>\r\n[readon url="index.php?option=com_content&amp;view=article&amp;id=48&amp;Itemid=155"]More Information[/readon]', '', 1, 0, 0, 48, '2010-02-25 18:00:05', 775, '', '2012-06-12 13:52:20', 62, 0, '0000-00-00 00:00:00', '2010-02-25 18:00:05', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 0, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(75, 124, 'Preset Styles', 'preset-styles', '', '<p>Crystalline, with its Color Chooser, effectively has an infinite number of possible color / style combinations which can easily be setup in seconds. However, the template is still bundled with 12 prebuilt configurations to show off the true potential of the theme before you start configuring yourself.</p>\r\n\r\n<p>You can edit the combinations in the administrator as outlined on the <a href="index.php?option=com_content&amp;view=article&amp;id=58&amp;Itemid=165">Style Control</a> page.</p>\r\n\r\n[readon2 url="index.php?option=com_content&amp;view=article&amp;id=48&amp;Itemid=155"]Color Chooser : Learn more[/readon2]\r\n\r\n<div class="notice"><div class="typo-icon">View all styles live by appending <strong>?presets=preset#</strong> or <strong>&amp;presets=preset#</strong> to the end of your URL such as <strong><a href="#">http://yoursite.com/index.php?presets=woody</a></strong>.</div></div>\r\n\r\n<p>Below is a preview / screenshot of each style variation. Please click on the image to load a live example of each style variation.</p>\r\n\r\n<div class="demo-img">\r\n  <a href="index.php?option=com_content&amp;view=article&amp;id=75&amp;Itemid=233&amp;presets=woody">\r\n    <img alt="Woody" src="images/stories/demo/styles/woody.jpg" class="demo-sv-img rt-image"/>\r\n  </a>\r\n  <a href="index.php?option=com_content&amp;view=article&amp;id=75&amp;Itemid=233&amp;presets=moderna">\r\n    <img alt="Moderna" src="images/stories/demo/styles/moderna.jpg" class="demo-sv-img rt-image"/>\r\n  </a>\r\n  <a href="index.php?option=com_content&amp;view=article&amp;id=75&amp;Itemid=233&amp;presets=elegance">\r\n    <img alt="Elegance" src="images/stories/demo/styles/elegance.jpg" class="demo-sv-img rt-image"/>\r\n  </a>\r\n  <a href="index.php?option=com_content&amp;view=article&amp;id=75&amp;Itemid=233&amp;presets=military">\r\n    <img alt="Military" src="images/stories/demo/styles/military.jpg" class="demo-sv-img rt-image"/>\r\n  </a>\r\n  <a href="index.php?option=com_content&amp;view=article&amp;id=75&amp;Itemid=233&amp;presets=brightday">\r\n    <img alt="Bright Day" src="images/stories/demo/styles/brightday.jpg" class="demo-sv-img rt-image"/>\r\n  </a>\r\n  <a href="index.php?option=com_content&amp;view=article&amp;id=75&amp;Itemid=233&amp;presets=hotpepper">\r\n    <img alt="Hot Pepper" src="images/stories/demo/styles/hotpepper.jpg" class="demo-sv-img rt-image"/>\r\n  </a>\r\n  <a href="index.php?option=com_content&amp;view=article&amp;id=75&amp;Itemid=233&amp;presets=velvetine">\r\n    <img alt="Velvetine" src="images/stories/demo/styles/velvetine.jpg" class="demo-sv-img rt-image"/>\r\n  </a>\r\n  <a href="index.php?option=com_content&amp;view=article&amp;id=75&amp;Itemid=233&amp;presets=mildpepper">\r\n    <img alt="Mild Pepper" src="images/stories/demo/styles/mildpepper.jpg" class="demo-sv-img rt-image"/>\r\n  </a>\r\n  <a href="index.php?option=com_content&amp;view=article&amp;id=75&amp;Itemid=233&amp;presets=crystalline">\r\n    <img alt="Crystalline" src="images/stories/demo/styles/crystalline.jpg" class="demo-sv-img rt-image"/>\r\n  </a>\r\n  <a href="index.php?option=com_content&amp;view=article&amp;id=75&amp;Itemid=233&amp;presets=richvintage">\r\n    <img alt="Rich Vintage" src="images/stories/demo/styles/richvintage.jpg" class="demo-sv-img rt-image"/>\r\n  </a>\r\n  <a href="index.php?option=com_content&amp;view=article&amp;id=75&amp;Itemid=233&amp;presets=butterfly">\r\n    <img alt="Butterfly" src="images/stories/demo/styles/butterfly.jpg" class="demo-sv-img rt-image"/>\r\n  </a>\r\n  <a href="index.php?option=com_content&amp;view=article&amp;id=75&amp;Itemid=233&amp;presets=entrapped">\r\n    <img alt="Entrapped" src="images/stories/demo/styles/entrapped.jpg" class="demo-sv-img rt-image"/>\r\n  </a>\r\n</div>\r\n\r\n<div class="clear"></div>', '', 1, 0, 0, 49, '2010-02-28 13:28:39', 775, '', '2012-06-12 13:51:30', 62, 0, '0000-00-00 00:00:00', '2010-02-28 13:28:39', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 12, 0, 17, '', '', 1, 88, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(76, 133, 'Sample Content 1', 'sample-content-1', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh. Vivamus non arcu. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede. Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum.</p>\r\n\r\n', '\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi. Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>\r\n\r\n<p>Mauris lobortis. Aliquam lacinia purus. Pellentesque magna. Mauris euismod metus nec tortor. Phasellus elementum, quam a euismod imperdiet, ligula felis faucibus enim, eu malesuada nunc felis sed turpis. Morbi convallis luctus tortor. Integer bibendum lacinia velit. Suspendisse mi lorem, porttitor ut, interdum et, lobortis a, lectus. Phasellus vitae est at massa luctus iaculis. In tincidunt.</p>\r\n\r\n<p>Integer fermentum elit in tellus. Integer ligula ipsum, gravida aliquet, fringilla non, interdum eget, ipsum. Praesent id dolor non erat viverra volutpat. Fusce tellus libero, luctus adipiscing, tincidunt vel, egestas vitae, eros. Vestibulum mollis, est id rhoncus volutpat, dolor velit tincidunt neque, vitae pellentesque ante sem eu nisl. Donec facilisis, magna eget elementum pellentesque, augue arcu aliquet eros, eget convallis mauris ante quis magna. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aenean et libero. Nam aliquam. Quisque vitae tortor id neque dignissim laoreet. Duis eu ante. Integer at sapien. Praesent sed nisl tempor est pulvinar tristique. Maecenas non lorem quis mi laoreet adipiscing. Sed ac arcu. Sed tincidunt libero eu dolor. Cras pharetra posuere eros. Donec ac eros id diam tempor faucibus. Fusce feugiat consequat nulla. Vestibulum tincidunt vulputate ipsum.</p>\r\n\r\n<p>Nullam eget neque. Nullam imperdiet venenatis ligula. Integer a leo. Nunc consectetur. Maecenas sem. Proin vulputate, massa vel volutpat laoreet, purus erat pretium ligula, eget varius arcu nibh sed libero. Fusce ante. Nullam interdum aliquet metus. Ut ultrices vestibulum tellus. Praesent quis erat. Nam id turpis sit amet neque cursus luctus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Quisque id tortor. In vitae sapien. Nunc quis tellus.</p>', 1, 0, 0, 50, '2012-06-12 13:30:00', 775, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-06-12 13:30:00', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 7, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(77, 134, 'Sample Content 2', 'sample-content-2', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh. Vivamus non arcu. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede. Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum.</p>\r\n\r\n', '\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi. Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>\r\n\r\n<p>Mauris lobortis. Aliquam lacinia purus. Pellentesque magna. Mauris euismod metus nec tortor. Phasellus elementum, quam a euismod imperdiet, ligula felis faucibus enim, eu malesuada nunc felis sed turpis. Morbi convallis luctus tortor. Integer bibendum lacinia velit. Suspendisse mi lorem, porttitor ut, interdum et, lobortis a, lectus. Phasellus vitae est at massa luctus iaculis. In tincidunt.</p>\r\n\r\n<p>Integer fermentum elit in tellus. Integer ligula ipsum, gravida aliquet, fringilla non, interdum eget, ipsum. Praesent id dolor non erat viverra volutpat. Fusce tellus libero, luctus adipiscing, tincidunt vel, egestas vitae, eros. Vestibulum mollis, est id rhoncus volutpat, dolor velit tincidunt neque, vitae pellentesque ante sem eu nisl. Donec facilisis, magna eget elementum pellentesque, augue arcu aliquet eros, eget convallis mauris ante quis magna. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aenean et libero. Nam aliquam. Quisque vitae tortor id neque dignissim laoreet. Duis eu ante. Integer at sapien. Praesent sed nisl tempor est pulvinar tristique. Maecenas non lorem quis mi laoreet adipiscing. Sed ac arcu. Sed tincidunt libero eu dolor. Cras pharetra posuere eros. Donec ac eros id diam tempor faucibus. Fusce feugiat consequat nulla. Vestibulum tincidunt vulputate ipsum.</p>\r\n\r\n<p>Nullam eget neque. Nullam imperdiet venenatis ligula. Integer a leo. Nunc consectetur. Maecenas sem. Proin vulputate, massa vel volutpat laoreet, purus erat pretium ligula, eget varius arcu nibh sed libero. Fusce ante. Nullam interdum aliquet metus. Ut ultrices vestibulum tellus. Praesent quis erat. Nam id turpis sit amet neque cursus luctus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Quisque id tortor. In vitae sapien. Nunc quis tellus.</p>', 1, 0, 0, 50, '2012-06-12 13:30:05', 775, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-06-12 13:30:05', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 6, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(78, 135, 'Sample Content 3', 'sample-content-3', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh. Vivamus non arcu. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede. Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum.</p>\r\n\r\n', '\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi. Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>\r\n\r\n<p>Mauris lobortis. Aliquam lacinia purus. Pellentesque magna. Mauris euismod metus nec tortor. Phasellus elementum, quam a euismod imperdiet, ligula felis faucibus enim, eu malesuada nunc felis sed turpis. Morbi convallis luctus tortor. Integer bibendum lacinia velit. Suspendisse mi lorem, porttitor ut, interdum et, lobortis a, lectus. Phasellus vitae est at massa luctus iaculis. In tincidunt.</p>\r\n\r\n<p>Integer fermentum elit in tellus. Integer ligula ipsum, gravida aliquet, fringilla non, interdum eget, ipsum. Praesent id dolor non erat viverra volutpat. Fusce tellus libero, luctus adipiscing, tincidunt vel, egestas vitae, eros. Vestibulum mollis, est id rhoncus volutpat, dolor velit tincidunt neque, vitae pellentesque ante sem eu nisl. Donec facilisis, magna eget elementum pellentesque, augue arcu aliquet eros, eget convallis mauris ante quis magna. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aenean et libero. Nam aliquam. Quisque vitae tortor id neque dignissim laoreet. Duis eu ante. Integer at sapien. Praesent sed nisl tempor est pulvinar tristique. Maecenas non lorem quis mi laoreet adipiscing. Sed ac arcu. Sed tincidunt libero eu dolor. Cras pharetra posuere eros. Donec ac eros id diam tempor faucibus. Fusce feugiat consequat nulla. Vestibulum tincidunt vulputate ipsum.</p>\r\n\r\n<p>Nullam eget neque. Nullam imperdiet venenatis ligula. Integer a leo. Nunc consectetur. Maecenas sem. Proin vulputate, massa vel volutpat laoreet, purus erat pretium ligula, eget varius arcu nibh sed libero. Fusce ante. Nullam interdum aliquet metus. Ut ultrices vestibulum tellus. Praesent quis erat. Nam id turpis sit amet neque cursus luctus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Quisque id tortor. In vitae sapien. Nunc quis tellus.</p>', 1, 0, 0, 50, '2012-06-12 13:30:09', 775, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-06-12 13:30:09', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(79, 136, 'Sample Content 4', 'sample-content-4', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh. Vivamus non arcu. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede. Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum.</p>\r\n\r\n', '\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi. Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>\r\n\r\n<p>Mauris lobortis. Aliquam lacinia purus. Pellentesque magna. Mauris euismod metus nec tortor. Phasellus elementum, quam a euismod imperdiet, ligula felis faucibus enim, eu malesuada nunc felis sed turpis. Morbi convallis luctus tortor. Integer bibendum lacinia velit. Suspendisse mi lorem, porttitor ut, interdum et, lobortis a, lectus. Phasellus vitae est at massa luctus iaculis. In tincidunt.</p>\r\n\r\n<p>Integer fermentum elit in tellus. Integer ligula ipsum, gravida aliquet, fringilla non, interdum eget, ipsum. Praesent id dolor non erat viverra volutpat. Fusce tellus libero, luctus adipiscing, tincidunt vel, egestas vitae, eros. Vestibulum mollis, est id rhoncus volutpat, dolor velit tincidunt neque, vitae pellentesque ante sem eu nisl. Donec facilisis, magna eget elementum pellentesque, augue arcu aliquet eros, eget convallis mauris ante quis magna. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aenean et libero. Nam aliquam. Quisque vitae tortor id neque dignissim laoreet. Duis eu ante. Integer at sapien. Praesent sed nisl tempor est pulvinar tristique. Maecenas non lorem quis mi laoreet adipiscing. Sed ac arcu. Sed tincidunt libero eu dolor. Cras pharetra posuere eros. Donec ac eros id diam tempor faucibus. Fusce feugiat consequat nulla. Vestibulum tincidunt vulputate ipsum.</p>\r\n\r\n<p>Nullam eget neque. Nullam imperdiet venenatis ligula. Integer a leo. Nunc consectetur. Maecenas sem. Proin vulputate, massa vel volutpat laoreet, purus erat pretium ligula, eget varius arcu nibh sed libero. Fusce ante. Nullam interdum aliquet metus. Ut ultrices vestibulum tellus. Praesent quis erat. Nam id turpis sit amet neque cursus luctus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Quisque id tortor. In vitae sapien. Nunc quis tellus.</p>', 1, 0, 0, 50, '2012-06-12 13:30:13', 775, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-06-12 13:30:13', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(80, 137, 'Sample Content 5', 'sample-content-5', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh. Vivamus non arcu. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede. Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum.</p>\r\n\r\n', '\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi. Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>\r\n\r\n<p>Mauris lobortis. Aliquam lacinia purus. Pellentesque magna. Mauris euismod metus nec tortor. Phasellus elementum, quam a euismod imperdiet, ligula felis faucibus enim, eu malesuada nunc felis sed turpis. Morbi convallis luctus tortor. Integer bibendum lacinia velit. Suspendisse mi lorem, porttitor ut, interdum et, lobortis a, lectus. Phasellus vitae est at massa luctus iaculis. In tincidunt.</p>\r\n\r\n<p>Integer fermentum elit in tellus. Integer ligula ipsum, gravida aliquet, fringilla non, interdum eget, ipsum. Praesent id dolor non erat viverra volutpat. Fusce tellus libero, luctus adipiscing, tincidunt vel, egestas vitae, eros. Vestibulum mollis, est id rhoncus volutpat, dolor velit tincidunt neque, vitae pellentesque ante sem eu nisl. Donec facilisis, magna eget elementum pellentesque, augue arcu aliquet eros, eget convallis mauris ante quis magna. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aenean et libero. Nam aliquam. Quisque vitae tortor id neque dignissim laoreet. Duis eu ante. Integer at sapien. Praesent sed nisl tempor est pulvinar tristique. Maecenas non lorem quis mi laoreet adipiscing. Sed ac arcu. Sed tincidunt libero eu dolor. Cras pharetra posuere eros. Donec ac eros id diam tempor faucibus. Fusce feugiat consequat nulla. Vestibulum tincidunt vulputate ipsum.</p>\r\n\r\n<p>Nullam eget neque. Nullam imperdiet venenatis ligula. Integer a leo. Nunc consectetur. Maecenas sem. Proin vulputate, massa vel volutpat laoreet, purus erat pretium ligula, eget varius arcu nibh sed libero. Fusce ante. Nullam interdum aliquet metus. Ut ultrices vestibulum tellus. Praesent quis erat. Nam id turpis sit amet neque cursus luctus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Quisque id tortor. In vitae sapien. Nunc quis tellus.</p>', 1, 0, 0, 50, '2012-06-12 13:30:18', 775, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-06-12 13:30:18', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(81, 138, 'Sample Content 6', 'sample-content-6', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh. Vivamus non arcu. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede. Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum.</p>\r\n\r\n', '\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi. Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>\r\n\r\n<p>Mauris lobortis. Aliquam lacinia purus. Pellentesque magna. Mauris euismod metus nec tortor. Phasellus elementum, quam a euismod imperdiet, ligula felis faucibus enim, eu malesuada nunc felis sed turpis. Morbi convallis luctus tortor. Integer bibendum lacinia velit. Suspendisse mi lorem, porttitor ut, interdum et, lobortis a, lectus. Phasellus vitae est at massa luctus iaculis. In tincidunt.</p>\r\n\r\n<p>Integer fermentum elit in tellus. Integer ligula ipsum, gravida aliquet, fringilla non, interdum eget, ipsum. Praesent id dolor non erat viverra volutpat. Fusce tellus libero, luctus adipiscing, tincidunt vel, egestas vitae, eros. Vestibulum mollis, est id rhoncus volutpat, dolor velit tincidunt neque, vitae pellentesque ante sem eu nisl. Donec facilisis, magna eget elementum pellentesque, augue arcu aliquet eros, eget convallis mauris ante quis magna. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aenean et libero. Nam aliquam. Quisque vitae tortor id neque dignissim laoreet. Duis eu ante. Integer at sapien. Praesent sed nisl tempor est pulvinar tristique. Maecenas non lorem quis mi laoreet adipiscing. Sed ac arcu. Sed tincidunt libero eu dolor. Cras pharetra posuere eros. Donec ac eros id diam tempor faucibus. Fusce feugiat consequat nulla. Vestibulum tincidunt vulputate ipsum.</p>\r\n\r\n<p>Nullam eget neque. Nullam imperdiet venenatis ligula. Integer a leo. Nunc consectetur. Maecenas sem. Proin vulputate, massa vel volutpat laoreet, purus erat pretium ligula, eget varius arcu nibh sed libero. Fusce ante. Nullam interdum aliquet metus. Ut ultrices vestibulum tellus. Praesent quis erat. Nam id turpis sit amet neque cursus luctus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Quisque id tortor. In vitae sapien. Nunc quis tellus.</p>', 1, 0, 0, 50, '2012-06-12 13:30:22', 775, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-06-12 13:30:22', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(82, 139, 'Sample Content 7', 'sample-content-7', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh. Vivamus non arcu. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede. Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum.</p>\r\n\r\n', '\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi. Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>\r\n\r\n<p>Mauris lobortis. Aliquam lacinia purus. Pellentesque magna. Mauris euismod metus nec tortor. Phasellus elementum, quam a euismod imperdiet, ligula felis faucibus enim, eu malesuada nunc felis sed turpis. Morbi convallis luctus tortor. Integer bibendum lacinia velit. Suspendisse mi lorem, porttitor ut, interdum et, lobortis a, lectus. Phasellus vitae est at massa luctus iaculis. In tincidunt.</p>\r\n\r\n<p>Integer fermentum elit in tellus. Integer ligula ipsum, gravida aliquet, fringilla non, interdum eget, ipsum. Praesent id dolor non erat viverra volutpat. Fusce tellus libero, luctus adipiscing, tincidunt vel, egestas vitae, eros. Vestibulum mollis, est id rhoncus volutpat, dolor velit tincidunt neque, vitae pellentesque ante sem eu nisl. Donec facilisis, magna eget elementum pellentesque, augue arcu aliquet eros, eget convallis mauris ante quis magna. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aenean et libero. Nam aliquam. Quisque vitae tortor id neque dignissim laoreet. Duis eu ante. Integer at sapien. Praesent sed nisl tempor est pulvinar tristique. Maecenas non lorem quis mi laoreet adipiscing. Sed ac arcu. Sed tincidunt libero eu dolor. Cras pharetra posuere eros. Donec ac eros id diam tempor faucibus. Fusce feugiat consequat nulla. Vestibulum tincidunt vulputate ipsum.</p>\r\n\r\n<p>Nullam eget neque. Nullam imperdiet venenatis ligula. Integer a leo. Nunc consectetur. Maecenas sem. Proin vulputate, massa vel volutpat laoreet, purus erat pretium ligula, eget varius arcu nibh sed libero. Fusce ante. Nullam interdum aliquet metus. Ut ultrices vestibulum tellus. Praesent quis erat. Nam id turpis sit amet neque cursus luctus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Quisque id tortor. In vitae sapien. Nunc quis tellus.</p>', 1, 0, 0, 50, '2012-06-12 13:30:26', 775, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-06-12 13:30:26', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(83, 140, 'Sample Content 8', 'sample-content-8', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh. Vivamus non arcu. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede. Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum.</p>\r\n\r\n', '\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi. Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>\r\n\r\n<p>Mauris lobortis. Aliquam lacinia purus. Pellentesque magna. Mauris euismod metus nec tortor. Phasellus elementum, quam a euismod imperdiet, ligula felis faucibus enim, eu malesuada nunc felis sed turpis. Morbi convallis luctus tortor. Integer bibendum lacinia velit. Suspendisse mi lorem, porttitor ut, interdum et, lobortis a, lectus. Phasellus vitae est at massa luctus iaculis. In tincidunt.</p>\r\n\r\n<p>Integer fermentum elit in tellus. Integer ligula ipsum, gravida aliquet, fringilla non, interdum eget, ipsum. Praesent id dolor non erat viverra volutpat. Fusce tellus libero, luctus adipiscing, tincidunt vel, egestas vitae, eros. Vestibulum mollis, est id rhoncus volutpat, dolor velit tincidunt neque, vitae pellentesque ante sem eu nisl. Donec facilisis, magna eget elementum pellentesque, augue arcu aliquet eros, eget convallis mauris ante quis magna. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aenean et libero. Nam aliquam. Quisque vitae tortor id neque dignissim laoreet. Duis eu ante. Integer at sapien. Praesent sed nisl tempor est pulvinar tristique. Maecenas non lorem quis mi laoreet adipiscing. Sed ac arcu. Sed tincidunt libero eu dolor. Cras pharetra posuere eros. Donec ac eros id diam tempor faucibus. Fusce feugiat consequat nulla. Vestibulum tincidunt vulputate ipsum.</p>\r\n\r\n<p>Nullam eget neque. Nullam imperdiet venenatis ligula. Integer a leo. Nunc consectetur. Maecenas sem. Proin vulputate, massa vel volutpat laoreet, purus erat pretium ligula, eget varius arcu nibh sed libero. Fusce ante. Nullam interdum aliquet metus. Ut ultrices vestibulum tellus. Praesent quis erat. Nam id turpis sit amet neque cursus luctus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Quisque id tortor. In vitae sapien. Nunc quis tellus.</p>', 1, 0, 0, 50, '2012-06-12 13:30:31', 775, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-06-12 13:30:31', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');

-- --------------------------------------------------------

--
-- Table structure for table `#__content_frontpage`
--

DROP TABLE IF EXISTS `#__content_frontpage`;
CREATE TABLE IF NOT EXISTS `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
);

--
-- Dumping data for table `#__content_frontpage`
--

INSERT INTO `#__content_frontpage` (`content_id`, `ordering`) VALUES
(62, 4),
(63, 3),
(64, 2),
(65, 1);

-- --------------------------------------------------------

--
-- Table structure for table `#__content_rating`
--

DROP TABLE IF EXISTS `#__content_rating`;
CREATE TABLE IF NOT EXISTS `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(10) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(10) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
);

--
-- Dumping data for table `#__content_rating`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__core_log_searches`
--

DROP TABLE IF EXISTS `#__core_log_searches`;
CREATE TABLE IF NOT EXISTS `#__core_log_searches` (
  `search_term` varchar(128) NOT NULL DEFAULT '',
  `hits` int(10) unsigned NOT NULL DEFAULT '0'
);

--
-- Dumping data for table `#__core_log_searches`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__extensions`
--

DROP TABLE IF EXISTS `#__extensions`;
CREATE TABLE IF NOT EXISTS `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `access` int(10) unsigned NOT NULL DEFAULT '1',
  `protected` tinyint(3) NOT NULL DEFAULT '0',
  `manifest_cache` text NOT NULL,
  `params` text NOT NULL,
  `custom_data` text NOT NULL,
  `system_data` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT '0',
  `state` int(11) DEFAULT '0',
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
);

--
-- Dumping data for table `#__extensions`
--

INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(1, 'com_mailto', 'component', 'com_mailto', '', 0, 1, 1, 1, '{"legacy":false,"name":"com_mailto","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MAILTO_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(2, 'com_wrapper', 'component', 'com_wrapper', '', 0, 1, 1, 1, '{"legacy":false,"name":"com_wrapper","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_WRAPPER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(3, 'com_admin', 'component', 'com_admin', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_admin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_ADMIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(4, 'com_banners', 'component', 'com_banners', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_banners","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_BANNERS_XML_DESCRIPTION","group":""}', '{"purchase_type":"3","track_impressions":"0","track_clicks":"0","metakey_prefix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(5, 'com_cache', 'component', 'com_cache', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_cache","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CACHE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(6, 'com_categories', 'component', 'com_categories', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_categories","type":"component","creationDate":"December 2007","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CATEGORIES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(7, 'com_checkin', 'component', 'com_checkin', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_checkin","type":"component","creationDate":"Unknown","author":"Joomla! Project","copyright":"(C) 2005 - 2008 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CHECKIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(8, 'com_contact', 'component', 'com_contact', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_contact","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CONTACT_XML_DESCRIPTION","group":""}', '{"show_contact_category":"hide","show_contact_list":"0","presentation_style":"sliders","show_name":"1","show_position":"1","show_email":"0","show_street_address":"1","show_suburb":"1","show_state":"1","show_postcode":"1","show_country":"1","show_telephone":"1","show_mobile":"1","show_fax":"1","show_webpage":"1","show_misc":"1","show_image":"1","image":"","allow_vcard":"0","show_articles":"0","show_profile":"0","show_links":"0","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","contact_icons":"0","icon_address":"","icon_email":"","icon_telephone":"","icon_mobile":"","icon_fax":"","icon_misc":"","show_headings":"1","show_position_headings":"1","show_email_headings":"0","show_telephone_headings":"1","show_mobile_headings":"0","show_fax_headings":"0","allow_vcard_headings":"0","show_suburb_headings":"1","show_state_headings":"1","show_country_headings":"1","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"1","custom_reply":"0","redirect":"","show_category_crumb":"0","metakey":"","metadesc":"","robots":"","author":"","rights":"","xreference":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(9, 'com_cpanel', 'component', 'com_cpanel', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_cpanel","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CPANEL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10, 'com_installer', 'component', 'com_installer', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_installer","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_INSTALLER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(11, 'com_languages', 'component', 'com_languages', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_languages","type":"component","creationDate":"2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_LANGUAGES_XML_DESCRIPTION","group":""}', '{"administrator":"en-GB","site":"en-GB"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(12, 'com_login', 'component', 'com_login', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_login","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(13, 'com_media', 'component', 'com_media', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_media","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MEDIA_XML_DESCRIPTION","group":""}', '{"upload_extensions":"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS","upload_maxsize":"10","file_path":"images","image_path":"images","restrict_uploads":"1","allowed_media_usergroup":"3","check_mime":"1","image_extensions":"bmp,gif,jpg,png","ignore_extensions":"","upload_mime":"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip","upload_mime_illegal":"text\\/html","enable_flash":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(14, 'com_menus', 'component', 'com_menus', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_menus","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MENUS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(15, 'com_messages', 'component', 'com_messages', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_messages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MESSAGES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(16, 'com_modules', 'component', 'com_modules', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_modules","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MODULES_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(17, 'com_newsfeeds', 'component', 'com_newsfeeds', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_newsfeeds","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_NEWSFEEDS_XML_DESCRIPTION","group":""}', '{"show_feed_image":"1","show_feed_description":"1","show_item_description":"1","feed_word_count":"0","show_headings":"1","show_name":"1","show_articles":"0","show_link":"1","show_description":"1","show_description_image":"1","display_num":"","show_pagination_limit":"1","show_pagination":"1","show_pagination_results":"1","show_cat_items":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(18, 'com_plugins', 'component', 'com_plugins', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_plugins","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_PLUGINS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(19, 'com_search', 'component', 'com_search', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_search","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_SEARCH_XML_DESCRIPTION","group":""}', '{"enabled":"0","show_date":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(20, 'com_templates', 'component', 'com_templates', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_templates","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_TEMPLATES_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(21, 'com_weblinks', 'component', 'com_weblinks', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_weblinks","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_WEBLINKS_XML_DESCRIPTION","group":""}', '{"target":"0","count_clicks":"1","icons":2,"link_icons":"","category_layout":"_:default","show_category_title":"1","show_description":"1","show_description_image":"1","maxLevel":"-1","show_empty_categories":"0","show_subcat_desc":"1","show_cat_num_links":"1","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_num_links_cat":"1","show_pagination_limit":"1","show_headings":"0","show_link_description":"1","show_link_hits":"1","show_pagination":"2","show_pagination_results":"1","show_feed_link":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(22, 'com_content', 'component', 'com_content', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_content","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CONTENT_XML_DESCRIPTION","group":""}', '{"article_layout":"_:default","show_title":"1","link_titles":"0","show_intro":"1","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"1","show_author":"1","link_author":"0","show_create_date":"1","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_readmore":"1","show_readmore_title":"1","readmore_limit":"100","show_icons":"1","show_print_icon":"1","show_email_icon":"1","show_hits":"0","show_noauth":"0","urls_position":"0","show_publishing_options":"1","show_article_options":"1","show_urls_images_frontend":"0","show_urls_images_backend":"0","targeta":0,"targetb":0,"targetc":0,"float_intro":"right","float_fulltext":"right","category_layout":"_:blog","show_category_title":"1","show_description":"1","show_description_image":"0","maxLevel":"-1","show_empty_categories":"0","show_no_articles":"1","show_subcat_desc":"1","show_cat_num_articles":"1","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_num_articles_cat":"1","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"0","show_subcategory_content":"0","show_pagination_limit":"1","filter_field":"hide","show_headings":"1","list_show_date":"0","date_format":"","list_show_hits":"1","list_show_author":"1","orderby_pri":"none","orderby_sec":"rdate","order_date":"published","show_pagination":"2","show_pagination_results":"1","show_feed_link":"1","feed_summary":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(23, 'com_config', 'component', 'com_config', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_config","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CONFIG_XML_DESCRIPTION","group":""}', '{"filters":{"1":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"6":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"7":{"filter_type":"NONE","filter_tags":"","filter_attributes":""},"2":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"3":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"4":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"5":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"8":{"filter_type":"NONE","filter_tags":"","filter_attributes":""}}}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(24, 'com_redirect', 'component', 'com_redirect', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_redirect","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_REDIRECT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(25, 'com_users', 'component', 'com_users', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_users","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_USERS_XML_DESCRIPTION","group":""}', '{"allowUserRegistration":"1","new_usertype":"2","useractivation":"1","frontend_userparams":"1","mailSubjectPrefix":"","mailBodySuffix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(27, 'com_finder', 'component', 'com_finder', '', 1, 1, 0, 0, '{"legacy":false,"name":"com_finder","type":"component","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_FINDER_XML_DESCRIPTION","group":""}', '{"show_description":"1","description_length":255,"allow_empty_query":"0","show_url":"1","show_advanced":"1","expand_advanced":"0","show_date_filters":"0","highlight_terms":"1","opensearch_name":"","opensearch_description":"","batch_size":"50","memory_table_limit":30000,"title_multiplier":"1.7","text_multiplier":"0.7","meta_multiplier":"1.2","path_multiplier":"2.0","misc_multiplier":"0.3","stemmer":"snowball"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(28, 'com_joomlaupdate', 'component', 'com_joomlaupdate', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_joomlaupdate","type":"component","creationDate":"February 2012","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_JOOMLAUPDATE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(100, 'PHPMailer', 'library', 'phpmailer', '', 0, 1, 1, 1, '{"legacy":false,"name":"PHPMailer","type":"library","creationDate":"2001","author":"PHPMailer","copyright":"(c) 2001-2003, Brent R. Matzelle, (c) 2004-2009, Andy Prevost. All Rights Reserved., (c) 2010-2011, Jim Jagielski. All Rights Reserved.","authorEmail":"jimjag@gmail.com","authorUrl":"https:\\/\\/code.google.com\\/a\\/apache-extras.org\\/p\\/phpmailer\\/","version":"5.2","description":"LIB_PHPMAILER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(101, 'SimplePie', 'library', 'simplepie', '', 0, 1, 1, 1, '{"legacy":false,"name":"SimplePie","type":"library","creationDate":"2004","author":"SimplePie","copyright":"Copyright (c) 2004-2009, Ryan Parman and Geoffrey Sneddon","authorEmail":"","authorUrl":"http:\\/\\/simplepie.org\\/","version":"1.2","description":"LIB_SIMPLEPIE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(102, 'phputf8', 'library', 'phputf8', '', 0, 1, 1, 1, '{"legacy":false,"name":"phputf8","type":"library","creationDate":"2006","author":"Harry Fuecks","copyright":"Copyright various authors","authorEmail":"hfuecks@gmail.com","authorUrl":"http:\\/\\/sourceforge.net\\/projects\\/phputf8","version":"0.5","description":"LIB_PHPUTF8_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(103, 'Joomla! Platform', 'library', 'joomla', '', 0, 1, 1, 1, '{"legacy":false,"name":"Joomla! Platform","type":"library","creationDate":"2008","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"http:\\/\\/www.joomla.org","version":"11.4","description":"LIB_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(200, 'mod_articles_archive', 'module', 'mod_articles_archive', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_articles_archive","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters.\\n\\t\\tAll rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(201, 'mod_articles_latest', 'module', 'mod_articles_latest', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_articles_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LATEST_NEWS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(202, 'mod_articles_popular', 'module', 'mod_articles_popular', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_articles_popular","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(203, 'mod_banners', 'module', 'mod_banners', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_banners","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_BANNERS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(204, 'mod_breadcrumbs', 'module', 'mod_breadcrumbs', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_breadcrumbs","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_BREADCRUMBS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(205, 'mod_custom', 'module', 'mod_custom', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(206, 'mod_feed', 'module', 'mod_feed', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_FEED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(207, 'mod_footer', 'module', 'mod_footer', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_footer","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_FOOTER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(208, 'mod_login', 'module', 'mod_login', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_login","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(209, 'mod_menu', 'module', 'mod_menu', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_menu","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_MENU_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(210, 'mod_articles_news', 'module', 'mod_articles_news', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_articles_news","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_ARTICLES_NEWS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(211, 'mod_random_image', 'module', 'mod_random_image', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_random_image","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_RANDOM_IMAGE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(212, 'mod_related_items', 'module', 'mod_related_items', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_related_items","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_RELATED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(213, 'mod_search', 'module', 'mod_search', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_search","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_SEARCH_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(214, 'mod_stats', 'module', 'mod_stats', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_stats","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_STATS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(215, 'mod_syndicate', 'module', 'mod_syndicate', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_syndicate","type":"module","creationDate":"May 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_SYNDICATE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(216, 'mod_users_latest', 'module', 'mod_users_latest', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_users_latest","type":"module","creationDate":"December 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_USERS_LATEST_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(217, 'mod_weblinks', 'module', 'mod_weblinks', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_weblinks","type":"module","creationDate":"July 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_WEBLINKS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(218, 'mod_whosonline', 'module', 'mod_whosonline', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_whosonline","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_WHOSONLINE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(219, 'mod_wrapper', 'module', 'mod_wrapper', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_wrapper","type":"module","creationDate":"October 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_WRAPPER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(220, 'mod_articles_category', 'module', 'mod_articles_category', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_articles_category","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(221, 'mod_articles_categories', 'module', 'mod_articles_categories', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_articles_categories","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(222, 'mod_languages', 'module', 'mod_languages', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_languages","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LANGUAGES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(223, 'mod_finder', 'module', 'mod_finder', '', 0, 1, 0, 0, '{"legacy":false,"name":"mod_finder","type":"module","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_FINDER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(300, 'mod_custom', 'module', 'mod_custom', '', 1, 1, 1, 1, '{"legacy":false,"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(301, 'mod_feed', 'module', 'mod_feed', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_FEED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(302, 'mod_latest', 'module', 'mod_latest', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LATEST_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(303, 'mod_logged', 'module', 'mod_logged', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_logged","type":"module","creationDate":"January 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LOGGED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(304, 'mod_login', 'module', 'mod_login', '', 1, 1, 1, 1, '{"legacy":false,"name":"mod_login","type":"module","creationDate":"March 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(305, 'mod_menu', 'module', 'mod_menu', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_menu","type":"module","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_MENU_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(307, 'mod_popular', 'module', 'mod_popular', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_popular","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(308, 'mod_quickicon', 'module', 'mod_quickicon', '', 1, 1, 1, 1, '{"legacy":false,"name":"mod_quickicon","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_QUICKICON_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(309, 'mod_status', 'module', 'mod_status', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_status","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_STATUS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(310, 'mod_submenu', 'module', 'mod_submenu', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_submenu","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_SUBMENU_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(311, 'mod_title', 'module', 'mod_title', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_title","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_TITLE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(312, 'mod_toolbar', 'module', 'mod_toolbar', '', 1, 1, 1, 1, '{"legacy":false,"name":"mod_toolbar","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_TOOLBAR_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(313, 'mod_multilangstatus', 'module', 'mod_multilangstatus', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_multilangstatus","type":"module","creationDate":"September 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_MULTILANGSTATUS_XML_DESCRIPTION","group":""}', '{"cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(314, 'mod_version', 'module', 'mod_version', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_version","type":"module","creationDate":"January 2012","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_VERSION_XML_DESCRIPTION","group":""}', '{"format":"short","product":"1","cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(400, 'plg_authentication_gmail', 'plugin', 'gmail', 'authentication', 0, 0, 1, 0, '{"legacy":false,"name":"plg_authentication_gmail","type":"plugin","creationDate":"February 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_GMAIL_XML_DESCRIPTION","group":""}', '{"applysuffix":"0","suffix":"","verifypeer":"1","user_blacklist":""}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(401, 'plg_authentication_joomla', 'plugin', 'joomla', 'authentication', 0, 1, 1, 1, '{"legacy":false,"name":"plg_authentication_joomla","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_AUTH_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(402, 'plg_authentication_ldap', 'plugin', 'ldap', 'authentication', 0, 0, 1, 0, '{"legacy":false,"name":"plg_authentication_ldap","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_LDAP_XML_DESCRIPTION","group":""}', '{"host":"","port":"389","use_ldapV3":"0","negotiate_tls":"0","no_referrals":"0","auth_method":"bind","base_dn":"","search_string":"","users_dn":"","username":"admin","password":"bobby7","ldap_fullname":"fullName","ldap_email":"mail","ldap_uid":"uid"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(404, 'plg_content_emailcloak', 'plugin', 'emailcloak', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"plg_content_emailcloak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION","group":""}', '{"mode":"1"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(405, 'plg_content_geshi', 'plugin', 'geshi', 'content', 0, 0, 1, 0, '{"legacy":false,"name":"plg_content_geshi","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"","authorUrl":"qbnz.com\\/highlighter","version":"2.5.0","description":"PLG_CONTENT_GESHI_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(406, 'plg_content_loadmodule', 'plugin', 'loadmodule', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"plg_content_loadmodule","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_LOADMODULE_XML_DESCRIPTION","group":""}', '{"style":"xhtml"}', '', '', 0, '2011-09-18 15:22:50', 0, 0),
(407, 'plg_content_pagebreak', 'plugin', 'pagebreak', 'content', 0, 1, 1, 1, '{"legacy":false,"name":"plg_content_pagebreak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION","group":""}', '{"title":"1","multipage_toc":"1","showall":"1"}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(408, 'plg_content_pagenavigation', 'plugin', 'pagenavigation', 'content', 0, 1, 1, 1, '{"legacy":false,"name":"plg_content_pagenavigation","type":"plugin","creationDate":"January 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_PAGENAVIGATION_XML_DESCRIPTION","group":""}', '{"position":"1"}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(409, 'plg_content_vote', 'plugin', 'vote', 'content', 0, 1, 1, 1, '{"legacy":false,"name":"plg_content_vote","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_VOTE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(410, 'plg_editors_codemirror', 'plugin', 'codemirror', 'editors', 0, 1, 1, 1, '{"legacy":false,"name":"plg_editors_codemirror","type":"plugin","creationDate":"28 March 2011","author":"Marijn Haverbeke","copyright":"","authorEmail":"N\\/A","authorUrl":"","version":"1.0","description":"PLG_CODEMIRROR_XML_DESCRIPTION","group":""}', '{"linenumbers":"0","tabmode":"indent"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(411, 'plg_editors_none', 'plugin', 'none', 'editors', 0, 1, 1, 1, '{"legacy":false,"name":"plg_editors_none","type":"plugin","creationDate":"August 2004","author":"Unknown","copyright":"","authorEmail":"N\\/A","authorUrl":"","version":"2.5.0","description":"PLG_NONE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(412, 'plg_editors_tinymce', 'plugin', 'tinymce', 'editors', 0, 1, 1, 1, '{"legacy":false,"name":"plg_editors_tinymce","type":"plugin","creationDate":"2005-2012","author":"Moxiecode Systems AB","copyright":"Moxiecode Systems AB","authorEmail":"N\\/A","authorUrl":"tinymce.moxiecode.com\\/","version":"3.5.2","description":"PLG_TINY_XML_DESCRIPTION","group":""}', '{"mode":"1","skin":"0","entity_encoding":"raw","lang_mode":"0","lang_code":"en","text_direction":"ltr","content_css":"1","content_css_custom":"","relative_urls":"1","newlines":"0","invalid_elements":"script,applet,iframe","extended_elements":"","toolbar":"top","toolbar_align":"left","html_height":"550","html_width":"750","resizing":"true","resize_horizontal":"false","element_path":"1","fonts":"1","paste":"1","searchreplace":"1","insertdate":"1","format_date":"%Y-%m-%d","inserttime":"1","format_time":"%H:%M:%S","colors":"1","table":"1","smilies":"1","media":"1","hr":"1","directionality":"1","fullscreen":"1","style":"1","layer":"1","xhtmlxtras":"1","visualchars":"1","nonbreaking":"1","template":"1","blockquote":"1","wordcount":"1","advimage":"1","advlink":"1","advlist":"1","autosave":"1","contextmenu":"1","inlinepopups":"1","custom_plugin":"","custom_button":""}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(413, 'plg_editors-xtd_article', 'plugin', 'article', 'editors-xtd', 0, 1, 1, 1, '{"legacy":false,"name":"plg_editors-xtd_article","type":"plugin","creationDate":"October 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_ARTICLE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(414, 'plg_editors-xtd_image', 'plugin', 'image', 'editors-xtd', 0, 1, 1, 0, '{"legacy":false,"name":"plg_editors-xtd_image","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_IMAGE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(415, 'plg_editors-xtd_pagebreak', 'plugin', 'pagebreak', 'editors-xtd', 0, 1, 1, 0, '{"legacy":false,"name":"plg_editors-xtd_pagebreak","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(416, 'plg_editors-xtd_readmore', 'plugin', 'readmore', 'editors-xtd', 0, 1, 1, 0, '{"legacy":false,"name":"plg_editors-xtd_readmore","type":"plugin","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_READMORE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(417, 'plg_search_categories', 'plugin', 'categories', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_categories","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(418, 'plg_search_contacts', 'plugin', 'contacts', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_contacts","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_CONTACTS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(419, 'plg_search_content', 'plugin', 'content', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_content","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_CONTENT_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(420, 'plg_search_newsfeeds', 'plugin', 'newsfeeds', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_newsfeeds","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(421, 'plg_search_weblinks', 'plugin', 'weblinks', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_weblinks","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_WEBLINKS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(422, 'plg_system_languagefilter', 'plugin', 'languagefilter', 'system', 0, 0, 1, 1, '{"legacy":false,"name":"plg_system_languagefilter","type":"plugin","creationDate":"July 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(423, 'plg_system_p3p', 'plugin', 'p3p', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_p3p","type":"plugin","creationDate":"September 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_P3P_XML_DESCRIPTION","group":""}', '{"headers":"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(424, 'plg_system_cache', 'plugin', 'cache', 'system', 0, 0, 1, 1, '{"legacy":false,"name":"plg_system_cache","type":"plugin","creationDate":"February 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CACHE_XML_DESCRIPTION","group":""}', '{"browsercache":"0","cachetime":"15"}', '', '', 0, '0000-00-00 00:00:00', 12, 0),
(425, 'plg_system_debug', 'plugin', 'debug', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"plg_system_debug","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_DEBUG_XML_DESCRIPTION","group":""}', '{"profile":"1","queries":"1","memory":"1","language_files":"1","language_strings":"1","strip-first":"1","strip-prefix":"","strip-suffix":""}', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(426, 'plg_system_log', 'plugin', 'log', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_log","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_LOG_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 8, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(427, 'plg_system_redirect', 'plugin', 'redirect', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_redirect","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_REDIRECT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 9, 0),
(428, 'plg_system_remember', 'plugin', 'remember', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_remember","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_REMEMBER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 11, 0),
(429, 'plg_system_sef', 'plugin', 'sef', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"plg_system_sef","type":"plugin","creationDate":"December 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEF_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 16, 0),
(430, 'plg_system_logout', 'plugin', 'logout', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_logout","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(431, 'plg_user_contactcreator', 'plugin', 'contactcreator', 'user', 0, 0, 1, 1, '{"legacy":false,"name":"plg_user_contactcreator","type":"plugin","creationDate":"August 2009","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTACTCREATOR_XML_DESCRIPTION","group":""}', '{"autowebpage":"","category":"34","autopublish":"0"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(432, 'plg_user_joomla', 'plugin', 'joomla', 'user', 0, 1, 1, 0, '{"legacy":false,"name":"plg_user_joomla","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2009 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_USER_JOOMLA_XML_DESCRIPTION","group":""}', '{"autoregister":"1"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(433, 'plg_user_profile', 'plugin', 'profile', 'user', 0, 0, 1, 1, '{"legacy":false,"name":"plg_user_profile","type":"plugin","creationDate":"January 2008","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_USER_PROFILE_XML_DESCRIPTION","group":""}', '{"register-require_address1":"1","register-require_address2":"1","register-require_city":"1","register-require_region":"1","register-require_country":"1","register-require_postal_code":"1","register-require_phone":"1","register-require_website":"1","register-require_favoritebook":"1","register-require_aboutme":"1","register-require_tos":"1","register-require_dob":"1","profile-require_address1":"1","profile-require_address2":"1","profile-require_city":"1","profile-require_region":"1","profile-require_country":"1","profile-require_postal_code":"1","profile-require_phone":"1","profile-require_website":"1","profile-require_favoritebook":"1","profile-require_aboutme":"1","profile-require_tos":"1","profile-require_dob":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(434, 'plg_extension_joomla', 'plugin', 'joomla', 'extension', 0, 1, 1, 1, '{"legacy":false,"name":"plg_extension_joomla","type":"plugin","creationDate":"May 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(435, 'plg_content_joomla', 'plugin', 'joomla', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"plg_content_joomla","type":"plugin","creationDate":"November 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTENT_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(436, 'plg_system_languagecode', 'plugin', 'languagecode', 'system', 0, 0, 1, 0, '{"legacy":false,"name":"plg_system_languagecode","type":"plugin","creationDate":"November 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 13, 0),
(437, 'plg_quickicon_joomlaupdate', 'plugin', 'joomlaupdate', 'quickicon', 0, 1, 1, 1, '{"legacy":false,"name":"plg_quickicon_joomlaupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(438, 'plg_quickicon_extensionupdate', 'plugin', 'extensionupdate', 'quickicon', 0, 1, 1, 1, '{"legacy":false,"name":"plg_quickicon_extensionupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(439, 'plg_captcha_recaptcha', 'plugin', 'recaptcha', 'captcha', 0, 1, 1, 0, '{"legacy":false,"name":"plg_captcha_recaptcha","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION","group":""}', '{"public_key":"","private_key":"","theme":"clean"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(440, 'plg_system_highlight', 'plugin', 'highlight', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"plg_system_highlight","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 10, 0),
(441, 'plg_content_finder', 'plugin', 'finder', 'content', 0, 0, 1, 0, '{"legacy":false,"name":"plg_content_finder","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTENT_FINDER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(442, 'plg_finder_categories', 'plugin', 'categories', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_categories","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_CATEGORIES_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(443, 'plg_finder_contacts', 'plugin', 'contacts', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_contacts","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_CONTACTS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(444, 'plg_finder_content', 'plugin', 'content', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_content","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_CONTENT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(445, 'plg_finder_newsfeeds', 'plugin', 'newsfeeds', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_newsfeeds","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(446, 'plg_finder_weblinks', 'plugin', 'weblinks', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_weblinks","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_WEBLINKS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(500, 'atomic', 'template', 'atomic', '', 0, 1, 1, 0, '{"legacy":false,"name":"atomic","type":"template","creationDate":"10\\/10\\/09","author":"Ron Severdia","copyright":"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.","authorEmail":"contact@kontentdesign.com","authorUrl":"http:\\/\\/www.kontentdesign.com","version":"2.5.0","description":"TPL_ATOMIC_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(502, 'bluestork', 'template', 'bluestork', '', 1, 1, 1, 0, '{"legacy":false,"name":"bluestork","type":"template","creationDate":"07\\/02\\/09","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"TPL_BLUESTORK_XML_DESCRIPTION","group":""}', '{"useRoundedCorners":"1","showSiteName":"0","textBig":"0","highContrast":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(503, 'beez_20', 'template', 'beez_20', '', 0, 1, 1, 0, '{"legacy":false,"name":"beez_20","type":"template","creationDate":"25 November 2009","author":"Angie Radtke","copyright":"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.","authorEmail":"a.radtke@derauftritt.de","authorUrl":"http:\\/\\/www.der-auftritt.de","version":"2.5.0","description":"TPL_BEEZ2_XML_DESCRIPTION","group":""}', '{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","templatecolor":"nature"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(504, 'hathor', 'template', 'hathor', '', 1, 1, 1, 0, '{"legacy":false,"name":"hathor","type":"template","creationDate":"May 2010","author":"Andrea Tarr","copyright":"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.","authorEmail":"hathor@tarrconsulting.com","authorUrl":"http:\\/\\/www.tarrconsulting.com","version":"2.5.0","description":"TPL_HATHOR_XML_DESCRIPTION","group":""}', '{"showSiteName":"0","colourChoice":"0","boldText":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(505, 'beez5', 'template', 'beez5', '', 0, 1, 1, 0, '{"legacy":false,"name":"beez5","type":"template","creationDate":"21 May 2010","author":"Angie Radtke","copyright":"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.","authorEmail":"a.radtke@derauftritt.de","authorUrl":"http:\\/\\/www.der-auftritt.de","version":"2.5.0","description":"TPL_BEEZ5_XML_DESCRIPTION","group":""}', '{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","html5":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(600, 'English (United Kingdom)', 'language', 'en-GB', '', 0, 1, 1, 1, '{"legacy":false,"name":"English (United Kingdom)","type":"language","creationDate":"2008-03-15","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.5","description":"en-GB site language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(601, 'English (United Kingdom)', 'language', 'en-GB', '', 1, 1, 1, 1, '{"legacy":false,"name":"English (United Kingdom)","type":"language","creationDate":"2008-03-15","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.5","description":"en-GB administrator language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(700, 'files_joomla', 'file', 'joomla', '', 0, 1, 1, 1, '{"legacy":false,"name":"files_joomla","type":"file","creationDate":"June 2012","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.5","description":"FILES_JOOMLA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(800, 'PKG_JOOMLA', 'package', 'pkg_joomla', '', 0, 1, 1, 1, '{"legacy":false,"name":"PKG_JOOMLA","type":"package","creationDate":"2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"http:\\/\\/www.joomla.org","version":"2.5.0","description":"PKG_JOOMLA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10001, 'System - RokBooster', 'plugin', 'rokbooster', 'system', 0, 0, 1, 0, '{"legacy":false,"name":"System - RokBooster","type":"plugin","creationDate":"May 2, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.0.0","description":"\\n        \\n        <div class=\\"booster-description\\">\\n        <img src=\\"..\\/plugins\\/system\\/rokbooster\\/assets\\/images\\/rokbooster.jpg\\" class=\\"img-padding\\" \\/><h1>RokBooster<\\/h1>\\n        <p>Increase the speed of your site by enabling the RokBooster plug-in.  This advanced extensions will <strong>compress<\\/strong> and <strong>combine<\\/strong> your <strong>CSS<\\/strong> and <strong>JavaScript<\\/strong> into as few files as possible each.  RokBooster can dramatically reduce the number of HTTP calls a browser has to make, and sending those compressed files GZipped means your pages will load faster with less load on your server.<\\/p>\\n\\n        <h2>Key Features:<\\/h2>\\n        <ul class=\\"features\\">\\n            <li>Combine and compress CSS and JavaScript into as few files as possible<\\/li>\\n            <li>GZip compression used to send CSS and JavaScript files<\\/li>\\n            <li>Compress Inline CSS and JavaScript<\\/li>\\n            <li>Customizable cache timeout<\\/li>\\n            <li>Background rendering, so initial file processing won''t slow your users down<\\/li>\\n            <li>Full page scan allows for non-header JavaScript and CSS to be included<\\/li>\\n            <li>Ability to ignore specific CSS and JavaScript files<\\/li>\\n        <\\/ul>\\n        <p class=\\"note\\"><strong>NOTE:<\\/strong> Clearing the Joomla cache will remove the RokBooster compressed cache files causing them to regenerate on the next page hit<\\/p>\\n        <\\/div>\\n        \\n    ","group":""}', '{"cache_time":"60","minify_css":"1","style_sort":"RokBooster_Compressor_Sort_ExternalOnTop","inline_css":"1","imported_css":"1","minify_js":"1","script_sort":"RokBooster_Compressor_Sort_ExternalOnTop","inline_js":"1","ignored_files":"","scan_method":"header","use_background_processing":"1","disable_for_ie":"1"}', '', '', 0, '0000-00-00 00:00:00', 14, 0),
(10003, 'RokCandy', 'component', 'com_rokcandy', '', 1, 1, 0, 0, '{"legacy":false,"name":"RokCandy","type":"component","creationDate":"February 3, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.3","description":"\\n\\t\\tRokCandy is a simple yet powerful macro system for Joomla 1.6.  It provides the ability to create and categorize macros that can be used throughout your site.\\n\\t","group":""}', '{"forcecache":"0","adminenabled":"0","editenabled":"0","contentPlugin":"0","disabled":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10004, 'Button - RokCandy', 'plugin', 'rokcandy', 'editors-xtd', 0, 1, 1, 0, '{"legacy":false,"name":"Button - RokCandy","type":"plugin","creationDate":"February 3, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.3","description":"This is an Editor Button to allow selection of RokCandy macros","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(10005, 'System - RokCandy', 'plugin', 'rokcandy', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"System - RokCandy","type":"plugin","creationDate":"February 3, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.3","description":"This is the RokCandy system plugin that performs the macro replacement","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 15, 0),
(10008, 'gantry', 'component', 'com_gantry', '', 0, 1, 0, 0, 'false', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10009, 'System - Gantry', 'plugin', 'gantry', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"System - Gantry","type":"plugin","creationDate":"April 2, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"3.2.19","description":"Gantry System Plugin for Joomla","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(10010, 'rt_crystalline', 'template', 'rt_crystalline', '', 0, 1, 1, 0, '{"legacy":false,"name":"rt_crystalline","type":"template","creationDate":" June 19, 2012","author":"RocketTheme, LLC","copyright":"Copyright 2005-2012 - RocketTheme.com","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.2-SNAPSHOT","description":"Crystalline","group":""}', '{"master":"true"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10011, 'System - RokExtender', 'plugin', 'rokextender', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"System - RokExtender","type":"plugin","creationDate":"February 24, 2011","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2011 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.0","description":"System - Gantry","group":""}', '{"registered":"\\/modules\\/mod_roknavmenu\\/lib\\/RokNavMenuEvents.php"}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(10012, 'RokNavMenu', 'module', 'mod_roknavmenu', '', 0, 1, 1, 0, '{"legacy":false,"name":"RokNavMenu","type":"module","creationDate":"June 19, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.12","description":"RocketTheme Customizable Navigation Menu","group":""}', '{"limit_levels":"0","startLevel":"0","endLevel":"0","showAllChildren":"0","window_open":"","filteringspacer2":"","theme":"default","custom_layout":"default.php","custom_formatter":"default.php","cache":"1","cache_time":"900","cachemode":"itemid"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10014, 'Editor - RokPad', 'plugin', 'rokpad', 'editors', 0, 1, 1, 0, '{"legacy":false,"name":"Editor - RokPad","type":"plugin","creationDate":"March 2, 2011","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2011 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.0","description":"This loads an advanced text editor for developers with highlight, search & replace, lines counter, auto indent, multi-language and much more","group":""}', '{"spacer_parser_type":"","rokpad-parser":"xhtmlmixed","rokpad-tidylevel":"XHTML 1.0 Transitional","rokpad-show-formatter":"1","spacer_editor_parameters":"","rokpad-height":"350","rokpad-passdelay":"200","rokpad-passtime":"50","rokpad-linenumberdelay":"200","rokpad-linenumbertime":"50","rokpad-continuous":"500","rokpad-matchparens":"1","rokpad-history":"50","rokpad-history-delay":"800","rokpad-lineHandler":"1","rokpad-textwrapperHandler":"1","rokpad-indentunit":"2","rokpad-tabmode":"indent","rokpad-loadindent":"1"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(10016, 'RokTabs', 'module', 'mod_roktabs', '', 0, 1, 1, 0, '{"legacy":false,"name":"RokTabs","type":"module","creationDate":"March 13, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.8","description":"RokTabs is a news module designed to show section articles in a pleasing format. Brought to you by\\n        RocketTheme\\n    ","group":""}', '{"style":"light","content_type":"joomla","catid":"","show_front":"1","spacer_content_parameters":"","itemsOrdering":"","strip_tags":"a,i,br,img","show_readmore":"1","readmore":"Read more...","spacer_animation":"","width":"500","tabs_count":"3","duration":"600","transition_type":"scrolling","transition_fx":"Quad.easeInOut","linksMargins":"0","navscrolling":"1","spacer_tabs_details":"","tabs_position":"top","tabs_event":"click","tabs_title":"content","tabs_incremental":"Tab ","tabs_hideh6":"1","tabs_prefixed":"0","tabs_showicons":"0","tabs_iconside":"left","tabs_iconpath":"__module__\\/images","tabs_icon":"icon_home.gif, icon_security.gif, icon_comment.gif, icon_world.gif, icon_note.gif","spacer_autoplay":"","autoplay":"0","autoplay_delay":"2000","spacer_spacer":"","moduleclass_sfx":"","cache":"0","module_cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10018, 'RokStories', 'module', 'mod_rokstories', '', 0, 1, 1, 0, '{"legacy":false,"name":"RokStories","type":"module","creationDate":"June 4, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.10","description":"RokStories","group":""}', '{"moduleclass_sfx":"","load_css":"1","layout_type":"layout1","@spacer":"<div id=\\"additional-label\\"   style=\\"font-weight:normal;font-size:12px;color:#fff;padding:4px;margin:0;background:#666;\\">Additional Showcase Layout Type Content Parameters<\\/div>","catid":"","show_front":"1","article_count":"4","itemsOrdering":"","strip_tags":"a,i,br","content_position":"right","show_article_title":"1","show_created_date":"0","show_article":"1","show_article_link":"1","legacy_readmore":"0","thumb_width":"90","start_width":"auto","user_id":"0","start_element":"0","thumbs_opacity":"0.3","fixed_height":"0","mouse_type":"click","autoplay":"0","autoplay_delay":"5000","show_label_article_title":"1","show_arrows":"1","show_circles":"1","arrows_placement":"inside","show_thumbs":"0","fixed_thumb":"1","link_titles":"0","link_labels":"0","link_images":"0","show_mask":"1","mask_desc_dir":"topdown","mask_imgs_dir":"bottomup","scrollerDuration":"1000","scrollerTransition":"Expo.easeInOut","show_controls":"1","spacer":"","left_offset_x":"-40","left_offset_y":"-100","right_offset_x":"-30","right_offset_y":"-100","left_f_offset_x":"-40","left_f_offset_y":"-100","right_f_offset_x":"-30","right_f_offset_y":"-100","cache":"0","module_cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10020, 'RokAjaxSearch', 'module', 'mod_rokajaxsearch', '', 0, 1, 1, 0, '{"legacy":false,"name":"RokAjaxSearch","type":"module","creationDate":"May 2, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.1","description":"RokAjaxSearch is an ajaxian searcher that displays the results immediately and allows to choose the proper one.","group":""}', '{"moduleclass_sfx":"","search_page":"index.php?option=com_search&view=search&tmpl=component","adv_search_page":"index.php?option=com_search&view=search","spacer_style_options":"","include_css":"1","theme":"blue","spacer_advanced_search":"","searchphrase":"any","ordering":"newest","limit":"10","perpage":"3","websearch":"0","blogsearch":"0","imagesearch":"0","videosearch":"0","websearch_api":"","show_pagination":"1","safesearch":"MODERATE","image_size":"MEDIUM","show_estimated":"1","spacer_advanced_settings":"","hide_divs":"","include_link":"1","show_description":"1","include_category":"1","show_readmore":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10022, 'System - RokBox', 'plugin', 'rokbox', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"System - RokBox","type":"plugin","creationDate":"September 1, 2011","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2011 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.2","description":"RokBox System Plugin","group":""}', '{"theme":"light","custom-theme":"sample","custom-legacy":"0","width":"640","height":"460","transition":"Quad.easeOut","duration":"200","chase":"40","effect":"quicksilver","frame-border":"20","content-padding":"0","arrows-height":"35","captions":"1","captionsDelay":"800","scrolling":"0","keyEvents":"1","overlay_background":"#000000","overlay_opacity":"0.85","overlay_duration":"200","overlay_transition":"Quad.easeInOut","autoplay":"true","ytautoplay":"0","ythighquality":"0","controller":"false","bgcolor":"#f3f3f3","vimeoColor":"00adef","vimeoPortrait":"0","vimeoTitle":"0","vimeoFullScreen":"1","vimeoByline":"0"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10023, 'Content - RokBox', 'plugin', 'rokbox', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"Content - RokBox","type":"plugin","creationDate":"September 1, 2011","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2011 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.2","description":"To be used with a RokBox enabled RocketTheme Joomla! template.  Syntax is {rokbox}link{\\/rokbox}.  If you want the image to be part of an ''album'', you can use the syntax {rokbox album=|albumname|}link{\\/rokbox}.  To provide text descriptions, please use the syntax {rokbox title=|your description|}link{\\/rokbox}. To specify a thumbnail, use the syntax {rokbox thumb=|thumbnail_link.jpg|}link{\\/rokbox}. If you want to use a text link, you can specify the text using syntax: {rokbox text=|your link text here|}link{\\/rokbox}. You can also use album, title, thumb and text in the same tag.","group":""}', '{"remote_sizes":"0","thumb_ext":"_thumb","thumb_class":"album","thumb_custom":"0","thumb_dir":"cache","thumb_width":"150","thumb_height":"100","thumb_quality":"90"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(10025, 'Gantry', 'library', 'lib_gantry', '', 0, 1, 1, 0, '{"legacy":false,"name":"Gantry","type":"library","creationDate":"April 2, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"3.2.19","description":"${project.description}","group":""}', '{}', '{"last_update":1339506249}', '', 0, '0000-00-00 00:00:00', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_filters`
--

DROP TABLE IF EXISTS `#__finder_filters`;
CREATE TABLE IF NOT EXISTS `#__finder_filters` (
  `filter_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '1',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL,
  `created_by_alias` varchar(255) NOT NULL,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `map_count` int(10) unsigned NOT NULL DEFAULT '0',
  `data` text NOT NULL,
  `params` mediumtext,
  PRIMARY KEY (`filter_id`)
);

--
-- Dumping data for table `#__finder_filters`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links`
--

DROP TABLE IF EXISTS `#__finder_links`;
CREATE TABLE IF NOT EXISTS `#__finder_links` (
  `link_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(255) NOT NULL,
  `route` varchar(255) NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `indexdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `md5sum` varchar(32) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `state` int(5) DEFAULT '1',
  `access` int(5) DEFAULT '0',
  `language` varchar(8) NOT NULL,
  `publish_start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `list_price` double unsigned NOT NULL DEFAULT '0',
  `sale_price` double unsigned NOT NULL DEFAULT '0',
  `type_id` int(11) NOT NULL,
  `object` mediumblob NOT NULL,
  PRIMARY KEY (`link_id`),
  KEY `idx_type` (`type_id`),
  KEY `idx_title` (`title`),
  KEY `idx_md5` (`md5sum`),
  KEY `idx_url` (`url`(75)),
  KEY `idx_published_list` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`list_price`),
  KEY `idx_published_sale` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`sale_price`)
);

--
-- Dumping data for table `#__finder_links`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms0`
--

DROP TABLE IF EXISTS `#__finder_links_terms0`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms0` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
);

--
-- Dumping data for table `#__finder_links_terms0`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms1`
--

DROP TABLE IF EXISTS `#__finder_links_terms1`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms1` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
);

--
-- Dumping data for table `#__finder_links_terms1`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms2`
--

DROP TABLE IF EXISTS `#__finder_links_terms2`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms2` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
);

--
-- Dumping data for table `#__finder_links_terms2`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms3`
--

DROP TABLE IF EXISTS `#__finder_links_terms3`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms3` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
);

--
-- Dumping data for table `#__finder_links_terms3`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms4`
--

DROP TABLE IF EXISTS `#__finder_links_terms4`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms4` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
);

--
-- Dumping data for table `#__finder_links_terms4`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms5`
--

DROP TABLE IF EXISTS `#__finder_links_terms5`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms5` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
);

--
-- Dumping data for table `#__finder_links_terms5`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms6`
--

DROP TABLE IF EXISTS `#__finder_links_terms6`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms6` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
);

--
-- Dumping data for table `#__finder_links_terms6`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms7`
--

DROP TABLE IF EXISTS `#__finder_links_terms7`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms7` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
);

--
-- Dumping data for table `#__finder_links_terms7`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms8`
--

DROP TABLE IF EXISTS `#__finder_links_terms8`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms8` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
);

--
-- Dumping data for table `#__finder_links_terms8`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms9`
--

DROP TABLE IF EXISTS `#__finder_links_terms9`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms9` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
);

--
-- Dumping data for table `#__finder_links_terms9`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_termsa`
--

DROP TABLE IF EXISTS `#__finder_links_termsa`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsa` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
);

--
-- Dumping data for table `#__finder_links_termsa`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_termsb`
--

DROP TABLE IF EXISTS `#__finder_links_termsb`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsb` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
);

--
-- Dumping data for table `#__finder_links_termsb`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_termsc`
--

DROP TABLE IF EXISTS `#__finder_links_termsc`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsc` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
);

--
-- Dumping data for table `#__finder_links_termsc`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_termsd`
--

DROP TABLE IF EXISTS `#__finder_links_termsd`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsd` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
);

--
-- Dumping data for table `#__finder_links_termsd`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_termse`
--

DROP TABLE IF EXISTS `#__finder_links_termse`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termse` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
);

--
-- Dumping data for table `#__finder_links_termse`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_termsf`
--

DROP TABLE IF EXISTS `#__finder_links_termsf`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsf` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
);

--
-- Dumping data for table `#__finder_links_termsf`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_taxonomy`
--

DROP TABLE IF EXISTS `#__finder_taxonomy`;
CREATE TABLE IF NOT EXISTS `#__finder_taxonomy` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL,
  `state` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `access` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `state` (`state`),
  KEY `ordering` (`ordering`),
  KEY `access` (`access`),
  KEY `idx_parent_published` (`parent_id`,`state`,`access`)
);

--
-- Dumping data for table `#__finder_taxonomy`
--

INSERT INTO `#__finder_taxonomy` (`id`, `parent_id`, `title`, `state`, `access`, `ordering`) VALUES
(1, 0, 'ROOT', 0, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_taxonomy_map`
--

DROP TABLE IF EXISTS `#__finder_taxonomy_map`;
CREATE TABLE IF NOT EXISTS `#__finder_taxonomy_map` (
  `link_id` int(10) unsigned NOT NULL,
  `node_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`node_id`),
  KEY `link_id` (`link_id`),
  KEY `node_id` (`node_id`)
);

--
-- Dumping data for table `#__finder_taxonomy_map`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_terms`
--

DROP TABLE IF EXISTS `#__finder_terms`;
CREATE TABLE IF NOT EXISTS `#__finder_terms` (
  `term_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '0',
  `soundex` varchar(75) NOT NULL,
  `links` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  UNIQUE KEY `idx_term` (`term`),
  KEY `idx_term_phrase` (`term`,`phrase`),
  KEY `idx_stem_phrase` (`stem`,`phrase`),
  KEY `idx_soundex_phrase` (`soundex`,`phrase`)
);

--
-- Dumping data for table `#__finder_terms`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_terms_common`
--

DROP TABLE IF EXISTS `#__finder_terms_common`;
CREATE TABLE IF NOT EXISTS `#__finder_terms_common` (
  `term` varchar(75) NOT NULL,
  `language` varchar(3) NOT NULL,
  KEY `idx_word_lang` (`term`,`language`),
  KEY `idx_lang` (`language`)
);

--
-- Dumping data for table `#__finder_terms_common`
--

INSERT INTO `#__finder_terms_common` (`term`, `language`) VALUES
('a', 'en'),
('about', 'en'),
('after', 'en'),
('ago', 'en'),
('all', 'en'),
('am', 'en'),
('an', 'en'),
('and', 'en'),
('ani', 'en'),
('any', 'en'),
('are', 'en'),
('aren''t', 'en'),
('as', 'en'),
('at', 'en'),
('be', 'en'),
('but', 'en'),
('by', 'en'),
('for', 'en'),
('from', 'en'),
('get', 'en'),
('go', 'en'),
('how', 'en'),
('if', 'en'),
('in', 'en'),
('into', 'en'),
('is', 'en'),
('isn''t', 'en'),
('it', 'en'),
('its', 'en'),
('me', 'en'),
('more', 'en'),
('most', 'en'),
('must', 'en'),
('my', 'en'),
('new', 'en'),
('no', 'en'),
('none', 'en'),
('not', 'en'),
('noth', 'en'),
('nothing', 'en'),
('of', 'en'),
('off', 'en'),
('often', 'en'),
('old', 'en'),
('on', 'en'),
('onc', 'en'),
('once', 'en'),
('onli', 'en'),
('only', 'en'),
('or', 'en'),
('other', 'en'),
('our', 'en'),
('ours', 'en'),
('out', 'en'),
('over', 'en'),
('page', 'en'),
('she', 'en'),
('should', 'en'),
('small', 'en'),
('so', 'en'),
('some', 'en'),
('than', 'en'),
('thank', 'en'),
('that', 'en'),
('the', 'en'),
('their', 'en'),
('theirs', 'en'),
('them', 'en'),
('then', 'en'),
('there', 'en'),
('these', 'en'),
('they', 'en'),
('this', 'en'),
('those', 'en'),
('thus', 'en'),
('time', 'en'),
('times', 'en'),
('to', 'en'),
('too', 'en'),
('true', 'en'),
('under', 'en'),
('until', 'en'),
('up', 'en'),
('upon', 'en'),
('use', 'en'),
('user', 'en'),
('users', 'en'),
('veri', 'en'),
('version', 'en'),
('very', 'en'),
('via', 'en'),
('want', 'en'),
('was', 'en'),
('way', 'en'),
('were', 'en'),
('what', 'en'),
('when', 'en'),
('where', 'en'),
('whi', 'en'),
('which', 'en'),
('who', 'en'),
('whom', 'en'),
('whose', 'en'),
('why', 'en'),
('wide', 'en'),
('will', 'en'),
('with', 'en'),
('within', 'en'),
('without', 'en'),
('would', 'en'),
('yes', 'en'),
('yet', 'en'),
('you', 'en'),
('your', 'en'),
('yours', 'en');

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_tokens`
--

DROP TABLE IF EXISTS `#__finder_tokens`;
CREATE TABLE IF NOT EXISTS `#__finder_tokens` (
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '1',
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  KEY `idx_word` (`term`),
  KEY `idx_context` (`context`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;

--
-- Dumping data for table `#__finder_tokens`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_tokens_aggregate`
--

DROP TABLE IF EXISTS `#__finder_tokens_aggregate`;
CREATE TABLE IF NOT EXISTS `#__finder_tokens_aggregate` (
  `term_id` int(10) unsigned NOT NULL,
  `map_suffix` char(1) NOT NULL,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `term_weight` float unsigned NOT NULL,
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  `context_weight` float unsigned NOT NULL,
  `total_weight` float unsigned NOT NULL,
  KEY `token` (`term`),
  KEY `keyword_id` (`term_id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;

--
-- Dumping data for table `#__finder_tokens_aggregate`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__finder_types`
--

DROP TABLE IF EXISTS `#__finder_types`;
CREATE TABLE IF NOT EXISTS `#__finder_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `mime` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `title` (`title`)
);

--
-- Dumping data for table `#__finder_types`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__languages`
--

DROP TABLE IF EXISTS `#__languages`;
CREATE TABLE IF NOT EXISTS `#__languages` (
  `lang_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `lang_code` char(7) NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `sitename` varchar(1024) NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_image` (`image`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_access` (`access`),
  KEY `idx_ordering` (`ordering`)
);

--
-- Dumping data for table `#__languages`
--

INSERT INTO `#__languages` (`lang_id`, `lang_code`, `title`, `title_native`, `sef`, `image`, `description`, `metakey`, `metadesc`, `sitename`, `published`, `access`, `ordering`) VALUES
(1, 'en-GB', 'English (UK)', 'English (UK)', 'en', 'en', '', '', '', '', 1, 0, 1);

-- --------------------------------------------------------

--
-- Table structure for table `#__menu`
--

DROP TABLE IF EXISTS `#__menu`;
CREATE TABLE IF NOT EXISTS `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__extensions.id',
  `ordering` int(11) NOT NULL DEFAULT '0' COMMENT 'The relative ordering of the menu item in the tree.',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__users.id',
  `checked_out_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The access level required to view the menu item.',
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`,`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_path` (`path`(255)),
  KEY `idx_language` (`language`)
);

--
-- Dumping data for table `#__menu`
--

INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `ordering`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(1, '', 'Menu_Item_Root', 'root', '', '', '', '', 1, 0, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, '', 0, '', 0, 233, 0, '*', 0),
(2, 'menu', 'com_banners', 'Banners', '', 'Banners', 'index.php?option=com_banners', 'component', 0, 1, 1, 4, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 1, 10, 0, '*', 1),
(3, 'menu', 'com_banners', 'Banners', '', 'Banners/Banners', 'index.php?option=com_banners', 'component', 0, 2, 2, 4, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 2, 3, 0, '*', 1),
(4, 'menu', 'com_banners_categories', 'Categories', '', 'Banners/Categories', 'index.php?option=com_categories&extension=com_banners', 'component', 0, 2, 2, 6, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-cat', 0, '', 4, 5, 0, '*', 1),
(5, 'menu', 'com_banners_clients', 'Clients', '', 'Banners/Clients', 'index.php?option=com_banners&view=clients', 'component', 0, 2, 2, 4, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-clients', 0, '', 6, 7, 0, '*', 1),
(6, 'menu', 'com_banners_tracks', 'Tracks', '', 'Banners/Tracks', 'index.php?option=com_banners&view=tracks', 'component', 0, 2, 2, 4, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-tracks', 0, '', 8, 9, 0, '*', 1),
(7, 'menu', 'com_contact', 'Contacts', '', 'Contacts', 'index.php?option=com_contact', 'component', 0, 1, 1, 8, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 11, 16, 0, '*', 1),
(8, 'menu', 'com_contact', 'Contacts', '', 'Contacts/Contacts', 'index.php?option=com_contact', 'component', 0, 7, 2, 8, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 12, 13, 0, '*', 1),
(9, 'menu', 'com_contact_categories', 'Categories', '', 'Contacts/Categories', 'index.php?option=com_categories&extension=com_contact', 'component', 0, 7, 2, 6, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact-cat', 0, '', 14, 15, 0, '*', 1),
(10, 'menu', 'com_messages', 'Messaging', '', 'Messaging', 'index.php?option=com_messages', 'component', 0, 1, 1, 15, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages', 0, '', 17, 22, 0, '*', 1),
(11, 'menu', 'com_messages_add', 'New Private Message', '', 'Messaging/New Private Message', 'index.php?option=com_messages&task=message.add', 'component', 0, 10, 2, 15, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-add', 0, '', 18, 19, 0, '*', 1),
(12, 'menu', 'com_messages_read', 'Read Private Message', '', 'Messaging/Read Private Message', 'index.php?option=com_messages', 'component', 0, 10, 2, 15, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-read', 0, '', 20, 21, 0, '*', 1),
(13, 'menu', 'com_newsfeeds', 'News Feeds', '', 'News Feeds', 'index.php?option=com_newsfeeds', 'component', 0, 1, 1, 17, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 23, 28, 0, '*', 1),
(14, 'menu', 'com_newsfeeds_feeds', 'Feeds', '', 'News Feeds/Feeds', 'index.php?option=com_newsfeeds', 'component', 0, 13, 2, 17, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 24, 25, 0, '*', 1),
(15, 'menu', 'com_newsfeeds_categories', 'Categories', '', 'News Feeds/Categories', 'index.php?option=com_categories&extension=com_newsfeeds', 'component', 0, 13, 2, 6, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds-cat', 0, '', 26, 27, 0, '*', 1),
(16, 'menu', 'com_redirect', 'Redirect', '', 'Redirect', 'index.php?option=com_redirect', 'component', 0, 1, 1, 24, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:redirect', 0, '', 39, 40, 0, '*', 1),
(17, 'menu', 'com_search', 'Basic Search', '', 'Basic Search', 'index.php?option=com_search', 'component', 0, 1, 1, 19, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:search', 0, '', 31, 32, 0, '*', 1),
(18, 'menu', 'com_weblinks', 'Weblinks', '', 'Weblinks', 'index.php?option=com_weblinks', 'component', 0, 1, 1, 21, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks', 0, '', 33, 38, 0, '*', 1),
(19, 'menu', 'com_weblinks_links', 'Links', '', 'Weblinks/Links', 'index.php?option=com_weblinks', 'component', 0, 18, 2, 21, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks', 0, '', 34, 35, 0, '*', 1),
(20, 'menu', 'com_weblinks_categories', 'Categories', '', 'Weblinks/Categories', 'index.php?option=com_categories&extension=com_weblinks', 'component', 0, 18, 2, 6, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks-cat', 0, '', 36, 37, 0, '*', 1),
(21, 'menu', 'com_finder', 'Smart Search', '', 'Smart Search', 'index.php?option=com_finder', 'component', 0, 1, 1, 27, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:finder', 0, '', 29, 30, 0, '*', 1),
(101, 'mainmenu', 'Home', 'home', '', 'home', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 1, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"4","num_intro_articles":"0","num_columns":"1","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"0","show_pagination_results":"0","show_title":"use_article","link_titles":"0","show_intro":"1","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_readmore":"1","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"0","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Crystalline - March 2010 Template Demo","show_page_heading":0,"page_heading":"","pageclass_sfx":"mar10-home","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"114","fusion_module_positions":"","splitmenu_item_subtext":""}', 47, 48, 1, '*', 0),
(127, 'mainmenu', 'J! Stuff', 'j-stuff', '', 'j-stuff', 'index.php?option=com_content&view=article&id=76', 'component', 1, 1, 1, 22, 7, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"0","show_intro":"1","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_author":"1","link_author":"","show_create_date":"1","show_modify_date":"1","show_publish_date":"","show_item_navigation":"0","show_vote":"0","show_icons":"1","show_print_icon":"1","show_email_icon":"1","show_hits":"1","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 223, 232, 0, '*', 0),
(153, 'mainmenu', 'Features', 'features', '', 'features', 'index.php?option=com_content&view=article&id=46', 'component', 1, 1, 1, 22, 2, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"2","splitmenu_item_subtext":""}', 49, 160, 0, '*', 0),
(154, 'mainmenu', 'Gantry Framework', 'gantry-framework', '', 'features/gantry-framework', 'index.php?option=com_content&view=article&id=47', 'component', 1, 153, 2, 22, 1, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 50, 51, 0, '*', 0),
(155, 'mainmenu', 'Color Chooser', 'color-chooser', '', 'features/color-chooser', 'index.php?option=com_content&view=article&id=48', 'component', 1, 153, 2, 22, 2, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 52, 53, 0, '*', 0),
(156, 'mainmenu', 'Module Variations', 'module-variations', '', 'features/module-variations', 'index.php?option=com_content&view=article&id=49', 'component', 1, 153, 2, 22, 3, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 54, 55, 0, '*', 0),
(157, 'mainmenu', 'Module Positions', 'module-positions', '', 'features/module-positions', 'index.php?option=com_content&view=article&id=50', 'component', 1, 153, 2, 22, 4, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 56, 57, 0, '*', 0),
(158, 'mainmenu', 'Typography', 'typography', '', 'typography', 'index.php?option=com_content&view=article&id=51', 'component', 1, 1, 1, 22, 3, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 161, 168, 0, '*', 0),
(159, 'mainmenu', 'HTML Examples', 'html-examples', '', 'typography/html-examples', 'index.php?option=com_content&view=article&id=52', 'component', 1, 158, 2, 22, 1, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 162, 163, 0, '*', 0),
(160, 'mainmenu', 'RokCandy Examples', 'rokcandy-examples', '', 'typography/rokcandy-examples', 'index.php?option=com_content&view=article&id=53', 'component', 1, 158, 2, 22, 2, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 164, 165, 0, '*', 0),
(161, 'mainmenu', 'Extensions', 'extensions', '', 'extensions', 'index.php?option=com_content&view=article&id=54', 'component', 1, 1, 1, 22, 4, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"2","splitmenu_item_subtext":""}', 169, 182, 0, '*', 0),
(162, 'mainmenu', 'Tutorials', 'tutorials', '', 'tutorials', 'index.php?option=com_content&view=article&id=55', 'component', 1, 1, 1, 22, 5, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"2","splitmenu_item_subtext":""}', 183, 196, 0, '*', 0),
(163, 'mainmenu', 'Installation', 'installation', '', 'tutorials/installation', 'index.php?option=com_content&view=article&id=56', 'component', 1, 162, 2, 22, 1, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 184, 185, 0, '*', 0),
(164, 'mainmenu', 'RocketLauncher', 'rocketlauncher', '', 'tutorials/rocketlauncher', 'index.php?option=com_content&view=article&id=57', 'component', 1, 162, 2, 22, 2, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 186, 187, 0, '*', 0),
(165, 'mainmenu', 'Style Control', 'style-control', '', 'tutorials/style-control', 'index.php?option=com_content&view=article&id=58', 'component', 1, 162, 2, 22, 3, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 188, 189, 0, '*', 0),
(166, 'mainmenu', 'Menu Options', 'menu-options', '', 'tutorials/menu-options', 'index.php?option=com_content&view=article&id=59', 'component', 1, 162, 2, 22, 4, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 190, 191, 0, '*', 0),
(167, 'mainmenu', 'Logo Editing', 'logo-editing', '', 'tutorials/logo-editing', 'index.php?option=com_content&view=article&id=60', 'component', 1, 162, 2, 22, 5, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 192, 193, 0, '*', 0),
(168, 'mainmenu', 'Using Typography', 'using-typography28', '', 'tutorials/using-typography28', 'index.php?option=com_content&view=article&id=61', 'component', 1, 162, 2, 22, 6, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 194, 195, 0, '*', 0),
(170, 'mainmenu', 'Menu Icons', 'menu-icons', '', 'features/menu-icons', 'index.php?Itemid=', 'alias', 1, 153, 2, 0, 5, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"166","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"Preview Icons","fusion_customimage":"","fusion_columns":"2","splitmenu_item_subtext":""}', 58, 101, 0, '*', 0),
(172, 'mainmenu', 'Child Items', 'child-items', '', 'features/child-items', 'index.php?Itemid=', 'alias', 1, 153, 2, 0, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"166","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 102, 159, 0, '*', 0),
(173, 'mainmenu', 'Using Typography', 'using-typography', '', 'typography/using-typography', 'index.php?Itemid=', 'alias', 1, 158, 2, 0, 3, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_item":68,"fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":"","aliasoptions":68}', 166, 167, 0, '*', 0),
(178, 'mainmenu', 'Add Icon', 'add-icon', '', 'features/menu-icons/add-icon', '', 'separator', 1, 170, 3, 0, 1, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"icon-add.png","fusion_columns":"1","splitmenu_item_subtext":""}', 59, 60, 0, '*', 0),
(179, 'mainmenu', 'Arrow Icon', 'arrow-icon', '', 'features/menu-icons/arrow-icon', '', 'separator', 1, 170, 3, 0, 2, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-arrow.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 61, 62, 0, '*', 0),
(180, 'mainmenu', 'Briefcase Icon', 'briefcase-icon', '', 'features/menu-icons/briefcase-icon', '', 'separator', 1, 170, 3, 0, 3, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-briefcase.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 63, 64, 0, '*', 0),
(181, 'mainmenu', 'Calendar Icon', 'calendar-icon', '', 'features/menu-icons/calendar-icon', '', 'separator', 1, 170, 3, 0, 4, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-calendar.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 65, 66, 0, '*', 0),
(182, 'mainmenu', 'Check Icon', 'check-icon', '', 'features/menu-icons/check-icon', '', 'separator', 1, 170, 3, 0, 5, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-check.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 67, 68, 0, '*', 0),
(183, 'mainmenu', 'Crank Icon', 'crank-icon', '', 'features/menu-icons/crank-icon', '', 'separator', 1, 170, 3, 0, 6, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-crank.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 69, 70, 0, '*', 0),
(184, 'mainmenu', 'Docs Icon', 'docs-icon', '', 'features/menu-icons/docs-icon', '', 'separator', 1, 170, 3, 0, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-docs.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 73, 74, 0, '*', 0),
(185, 'mainmenu', 'Email Icon', 'email-icon', '', 'features/menu-icons/email-icon', '', 'separator', 1, 170, 3, 0, 9, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-email.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 75, 76, 0, '*', 0),
(186, 'mainmenu', 'Home Icon', 'home-icon', '', 'features/menu-icons/home-icon', '', 'separator', 1, 170, 3, 0, 10, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-home.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 77, 78, 0, '*', 0),
(187, 'mainmenu', 'Lock Icon', 'lock-icon', '', 'features/menu-icons/lock-icon', '', 'separator', 1, 170, 3, 0, 12, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-key1.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 81, 82, 0, '*', 0),
(188, 'mainmenu', 'Minus Icon', 'minus-icon', '', 'features/menu-icons/minus-icon', '', 'separator', 1, 170, 3, 0, 13, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-minus.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 83, 84, 0, '*', 0),
(189, 'mainmenu', 'Monitor Icon', 'monitor-icon', '', 'features/menu-icons/monitor-icon', '', 'separator', 1, 170, 3, 0, 14, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-monitor.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 85, 86, 0, '*', 0),
(190, 'mainmenu', 'Notes Icon', 'notes-icon', '', 'features/menu-icons/notes-icon', '', 'separator', 1, 170, 3, 0, 15, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-notes.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 87, 88, 0, '*', 0),
(191, 'mainmenu', 'Post Icon', 'post-icon', '', 'features/menu-icons/post-icon', '', 'separator', 1, 170, 3, 0, 16, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-post.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 89, 90, 0, '*', 0),
(192, 'mainmenu', 'Printer Icon', 'printer-icon', '', 'features/menu-icons/printer-icon', '', 'separator', 1, 170, 3, 0, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-printer.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 91, 92, 0, '*', 0),
(193, 'mainmenu', 'RSS Icon', 'rss-icon', '', 'features/menu-icons/rss-icon', '', 'separator', 1, 170, 3, 0, 18, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-rss.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 93, 94, 0, '*', 0),
(194, 'mainmenu', 'Warning Icon', 'warning-icon', '', 'features/menu-icons/warning-icon', '', 'separator', 1, 170, 3, 0, 20, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-warning.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 97, 98, 0, '*', 0),
(195, 'mainmenu', 'Write Icon', 'write-icon', '', 'features/menu-icons/write-icon', '', 'separator', 1, 170, 3, 0, 21, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-write.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 99, 100, 0, '*', 0),
(196, 'mainmenu', 'Delete Icon', 'delete-icon', '', 'features/menu-icons/delete-icon', '', 'separator', 1, 170, 3, 0, 7, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-delete.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 71, 72, 0, '*', 0),
(197, 'mainmenu', 'Key Icon', 'key-icon', '', 'features/menu-icons/key-icon', '', 'separator', 1, 170, 3, 0, 11, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-key.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 79, 80, 0, '*', 0),
(198, 'mainmenu', 'Unlock Icon', 'unlock-icon', '', 'features/menu-icons/unlock-icon', '', 'separator', 1, 170, 3, 0, 19, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"icon-key2.png","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 95, 96, 0, '*', 0),
(199, 'mainmenu', 'Child Item', 'child-item27', '', 'features/child-items/child-item27', '', 'separator', 1, 172, 3, 0, 3, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"Single Column Example","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 131, 156, 0, '*', 0),
(200, 'mainmenu', 'Child Item', 'child-item26', '', 'features/child-items/child-item27/child-item26', '', 'separator', 1, 199, 4, 0, 3, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 136, 153, 0, '*', 0),
(201, 'mainmenu', 'Child Item', 'child-item25', '', 'features/child-items/child-item27/child-item26/child-item25', '', 'separator', 1, 200, 5, 0, 1, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 137, 138, 0, '*', 0),
(202, 'mainmenu', 'Child Item', 'child-item24', '', 'features/child-items/child-item27/child-item26/child-item24', '', 'separator', 1, 200, 5, 0, 2, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 139, 140, 0, '*', 0),
(203, 'mainmenu', 'Child Item', 'child-item23', '', 'features/child-items/child-item27/child-item26/child-item23', '', 'separator', 1, 200, 5, 0, 3, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 141, 150, 0, '*', 0),
(204, 'mainmenu', 'Child Item', 'child-item22', '', 'features/child-items/child-item27/child-item26/child-item22', '', 'separator', 1, 200, 5, 0, 4, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 151, 152, 0, '*', 0),
(205, 'mainmenu', 'Child Item', 'child-item21', '', 'features/child-items/child-item27/child-item21', '', 'separator', 1, 199, 4, 0, 1, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 132, 133, 0, '*', 0),
(206, 'mainmenu', 'Child Item', 'child-item20', '', 'features/child-items/child-item27/child-item20', '', 'separator', 1, 199, 4, 0, 2, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 134, 135, 0, '*', 0),
(207, 'mainmenu', 'Child Item', 'child-item19', '', 'features/child-items/child-item27/child-item19', '', 'separator', 1, 199, 4, 0, 4, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 154, 155, 0, '*', 0),
(208, 'mainmenu', 'Child Item', 'child-item18', '', 'features/child-items/child-item18', '', 'separator', 1, 172, 3, 0, 2, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"Multi-Column Example","fusion_columns":2,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 105, 130, 0, '*', 0),
(209, 'mainmenu', 'Child Item', 'child-item17', '', 'features/child-items/child-item17', '', 'separator', 1, 172, 3, 0, 1, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 103, 104, 0, '*', 0),
(210, 'mainmenu', 'Child Item', 'child-item16', '', 'features/child-items/child-item16', '', 'separator', 1, 172, 3, 0, 4, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 157, 158, 0, '*', 0),
(211, 'mainmenu', 'Child Item', 'child-item15', '', 'features/child-items/child-item27/child-item26/child-item23/child-item15', '', 'separator', 1, 203, 6, 0, 1, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 142, 143, 0, '*', 0),
(212, 'mainmenu', 'Child Item', 'child-item14', '', 'features/child-items/child-item27/child-item26/child-item23/child-item14', '', 'separator', 1, 203, 6, 0, 2, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 144, 145, 0, '*', 0),
(213, 'mainmenu', 'Child Item', 'child-item13', '', 'features/child-items/child-item27/child-item26/child-item23/child-item13', '', 'separator', 1, 203, 6, 0, 3, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 146, 147, 0, '*', 0),
(214, 'mainmenu', 'Child Item', 'child-item12', '', 'features/child-items/child-item27/child-item26/child-item23/child-item12', '', 'separator', 1, 203, 6, 0, 4, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 148, 149, 0, '*', 0),
(215, 'mainmenu', 'Child Item', 'child-item11', '', 'features/child-items/child-item18/child-item11', '', 'separator', 1, 208, 4, 0, 1, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 106, 107, 0, '*', 0),
(216, 'mainmenu', 'Child Item', 'child-item10', '', 'features/child-items/child-item18/child-item10', '', 'separator', 1, 208, 4, 0, 2, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 108, 109, 0, '*', 0),
(217, 'mainmenu', 'Child Item', 'child-item9', '', 'features/child-items/child-item18/child-item9', '', 'separator', 1, 208, 4, 0, 3, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 110, 111, 0, '*', 0),
(218, 'mainmenu', 'Child Item', 'child-item8', '', 'features/child-items/child-item18/child-item8', '', 'separator', 1, 208, 4, 0, 4, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 112, 113, 0, '*', 0),
(219, 'mainmenu', 'Child Item', 'child-item7', '', 'features/child-items/child-item18/child-item7', '', 'separator', 1, 208, 4, 0, 5, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 114, 115, 0, '*', 0),
(220, 'mainmenu', 'Child Item', 'child-item6', '', 'features/child-items/child-item18/child-item6', '', 'separator', 1, 208, 4, 0, 6, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"Single Column Example","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 116, 125, 0, '*', 0),
(221, 'mainmenu', 'Child Item', 'child-item5', '', 'features/child-items/child-item18/child-item5', '', 'separator', 1, 208, 4, 0, 7, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 126, 127, 0, '*', 0),
(222, 'mainmenu', 'Child Item', 'child-item4', '', 'features/child-items/child-item18/child-item4', '', 'separator', 1, 208, 4, 0, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 128, 129, 0, '*', 0),
(223, 'mainmenu', 'Child Item', 'child-item3', '', 'features/child-items/child-item18/child-item6/child-item3', '', 'separator', 1, 220, 5, 0, 1, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 117, 118, 0, '*', 0),
(224, 'mainmenu', 'Child Item', 'child-item2', '', 'features/child-items/child-item18/child-item6/child-item2', '', 'separator', 1, 220, 5, 0, 2, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 119, 120, 0, '*', 0),
(225, 'mainmenu', 'Child Item', 'child-item1', '', 'features/child-items/child-item18/child-item6/child-item1', '', 'separator', 1, 220, 5, 0, 3, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 121, 122, 0, '*', 0),
(226, 'mainmenu', 'Child Item', 'child-item', '', 'features/child-items/child-item18/child-item6/child-item', '', 'separator', 1, 220, 5, 0, 4, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 123, 124, 0, '*', 0),
(227, 'mainmenu', 'RokTabs', 'roktabs', '', 'extensions/roktabs', 'index.php?Itemid=', 'alias', 1, 161, 2, 0, 1, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_item":61,"fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":"","aliasoptions":61}', 170, 171, 0, '*', 0),
(228, 'mainmenu', 'RokAjaxSearch', 'rokajaxsearch', '', 'extensions/rokajaxsearch', 'index.php?Itemid=', 'alias', 1, 161, 2, 0, 2, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_item":61,"fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":"","aliasoptions":61}', 172, 173, 0, '*', 0),
(229, 'mainmenu', 'RokNavMenu', 'roknavmenu', '', 'extensions/roknavmenu', 'index.php?Itemid=', 'alias', 1, 161, 2, 0, 3, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_item":61,"fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":"","aliasoptions":61}', 174, 175, 0, '*', 0),
(230, 'mainmenu', 'RokBox', 'rokbox', '', 'extensions/rokbox', 'index.php?Itemid=', 'alias', 1, 161, 2, 0, 4, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_item":61,"fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":"","aliasoptions":61}', 176, 177, 0, '*', 0),
(231, 'mainmenu', 'RokGZipper', 'rokgzipper', '', 'extensions/rokgzipper', 'index.php?Itemid=', 'alias', 1, 161, 2, 0, 5, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_item":61,"fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":"","aliasoptions":61}', 178, 179, 0, '*', 0),
(232, 'mainmenu', 'RokCandy', 'rokcandy', '', 'extensions/rokcandy', 'index.php?Itemid=', 'alias', 1, 161, 2, 0, 6, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_item":61,"fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":"","aliasoptions":61}', 180, 181, 0, '*', 0),
(233, 'mainmenu', 'Preset Styles', 'preset-styles', '', 'preset-styles', 'index.php?option=com_content&view=article&id=75', 'component', 1, 1, 1, 22, 6, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"2","splitmenu_item_subtext":""}', 197, 222, 0, '*', 0),
(234, 'mainmenu', 'Woody', 'woody', '', 'preset-styles/woody', '?presets=woody', 'url', 1, 233, 2, 0, 1, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 198, 199, 0, '*', 0),
(235, 'mainmenu', 'Moderna', 'moderna', '', 'preset-styles/moderna', '?presets=moderna', 'url', 1, 233, 2, 0, 2, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 200, 201, 0, '*', 0),
(236, 'mainmenu', 'Elegance', 'elegance', '', 'preset-styles/elegance', '?presets=elegance', 'url', 1, 233, 2, 0, 3, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 202, 203, 0, '*', 0),
(237, 'mainmenu', 'Military', 'military', '', 'preset-styles/military', '?presets=military', 'url', 1, 233, 2, 0, 4, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 204, 205, 0, '*', 0),
(238, 'mainmenu', 'Bright Day', 'bright-day', '', 'preset-styles/bright-day', '?presets=brightday', 'url', 1, 233, 2, 0, 5, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 206, 207, 0, '*', 0),
(239, 'mainmenu', 'Hot Pepper', 'hot-pepper', '', 'preset-styles/hot-pepper', '?presets=hotpepper', 'url', 1, 233, 2, 0, 6, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 208, 209, 0, '*', 0),
(240, 'mainmenu', 'Velvetine', 'velvetine', '', 'preset-styles/velvetine', '?presets=velvetine', 'url', 1, 233, 2, 0, 7, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 210, 211, 0, '*', 0),
(241, 'mainmenu', 'Mild Pepper', 'mild-pepper', '', 'preset-styles/mild-pepper', '?presets=mildpepper', 'url', 1, 233, 2, 0, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 212, 213, 0, '*', 0),
(242, 'mainmenu', 'Crystalline', 'crystalline', '', 'preset-styles/crystalline', '?presets=crystalline', 'url', 1, 233, 2, 0, 9, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 214, 215, 0, '*', 0),
(243, 'mainmenu', 'Rich Vintage', 'rich-vintage', '', 'preset-styles/rich-vintage', '?presets=richvintage', 'url', 1, 233, 2, 0, 10, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 216, 217, 0, '*', 0),
(244, 'mainmenu', 'Entrapped', 'entrapped', '', 'preset-styles/entrapped', '?presets=entrapped', 'url', 1, 233, 2, 0, 11, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 218, 219, 0, '*', 0),
(245, 'mainmenu', 'Butterfly', 'butterfly', '', 'preset-styles/butterfly', '?presets=butterfly', 'url', 1, 233, 2, 0, 12, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","fusion_item_subtext":"","fusion_columns":1,"fusion_customimage":"","splitmenu_item_subtext":"","suckerfish_item_subtext":""}', 220, 221, 0, '*', 0),
(246, 'main', 'RokCandy', 'rokcandy', '', 'rokcandy', 'index.php?option=com_rokcandy', 'component', 0, 1, 1, 10003, 0, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_rokcandy/assets/rokcandy-icon-16.png', 0, '', 41, 46, 0, '', 1),
(247, 'main', 'Macros', 'macros', '', 'rokcandy/macros', 'index.php?option=com_rokcandy', 'component', 0, 246, 2, 10003, 0, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_rokcandy/assets/rokcandy-icon-16.png', 0, '', 42, 43, 0, '', 1),
(248, 'main', 'Categories', 'categories', '', 'rokcandy/categories', 'index.php?option=com_categories&extension=com_rokcandy', 'component', 0, 246, 2, 10003, 0, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_rokcandy/assets/icon-16-category.png', 0, '', 44, 45, 0, '', 1),
(251, 'mainmenu', 'Category Blog', 'category-blog', '', 'j-stuff/category-blog', 'index.php?option=com_content&view=category&layout=blog&id=50', 'component', 1, 127, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"alpha","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 224, 225, 0, '*', 0),
(252, 'mainmenu', 'Member Access', 'member-access', '', 'j-stuff/member-access', 'index.php?option=com_users&view=login', 'component', 1, 127, 2, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 226, 227, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `ordering`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(253, 'mainmenu', 'Web Links', 'web-links', '', 'j-stuff/web-links', 'index.php?option=com_weblinks&view=category&id=52', 'component', 1, 127, 2, 21, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_num_links":"","show_pagination_limit":"","show_headings":"","show_link_description":"","show_link_hits":"","show_pagination":"","show_pagination_results":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 228, 229, 0, '*', 0),
(254, 'mainmenu', 'Contact Us', 'contact-us', '', 'j-stuff/contact-us', 'index.php?option=com_contact&view=contact&id=1', 'component', 1, 127, 2, 8, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"presentation_style":"","show_contact_category":"","show_contact_list":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_columns":"1","splitmenu_item_subtext":""}', 230, 231, 0, '*', 0);

-- --------------------------------------------------------

--
-- Table structure for table `#__menu_types`
--

DROP TABLE IF EXISTS `#__menu_types`;
CREATE TABLE IF NOT EXISTS `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
);

--
-- Dumping data for table `#__menu_types`
--

INSERT INTO `#__menu_types` (`id`, `menutype`, `title`, `description`) VALUES
(1, 'mainmenu', 'Main Menu', 'The main menu for the site');

-- --------------------------------------------------------

--
-- Table structure for table `#__messages`
--

DROP TABLE IF EXISTS `#__messages`;
CREATE TABLE IF NOT EXISTS `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id_to` int(10) unsigned NOT NULL DEFAULT '0',
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `priority` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
);

--
-- Dumping data for table `#__messages`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__messages_cfg`
--

DROP TABLE IF EXISTS `#__messages_cfg`;
CREATE TABLE IF NOT EXISTS `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
);

--
-- Dumping data for table `#__messages_cfg`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__modules`
--

DROP TABLE IF EXISTS `#__modules`;
CREATE TABLE IF NOT EXISTS `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
);

--
-- Dumping data for table `#__modules`
--

INSERT INTO `#__modules` (`id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(1, 'Site Navigation', '', '', 1, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"mainmenu","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"bg1","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(2, 'Login', '', '', 1, 'login', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '', 1, '*'),
(3, 'Popular Articles', '', '', 3, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_popular', 3, 1, '{"count":"5","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(4, 'Recently Added Articles', '', '', 4, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_latest', 3, 1, '{"count":"5","ordering":"c_dsc","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(8, 'Toolbar', '', '', 1, 'toolbar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_toolbar', 3, 1, '', 1, '*'),
(9, 'Quick Icons', '', '', 1, 'icon', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_quickicon', 3, 1, '', 1, '*'),
(10, 'Logged-in Users', '', '', 2, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_logged', 3, 1, '{"count":"5","name":"1","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(12, 'Admin Menu', '', '', 1, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 3, 1, '{"layout":"","moduleclass_sfx":"","shownew":"1","showhelp":"1","cache":"0"}', 1, '*'),
(13, 'Admin Submenu', '', '', 1, 'submenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_submenu', 3, 1, '', 1, '*'),
(14, 'User Status', '', '', 2, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_status', 3, 1, '', 1, '*'),
(15, 'Title', '', '', 1, 'title', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_title', 3, 1, '', 1, '*'),
(16, 'Login Form', '', '', 7, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_login', 1, 1, '{"greeting":"1","name":"0"}', 0, '*'),
(17, 'Breadcrumbs', '', '', 1, 'position-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_breadcrumbs', 1, 1, '{"moduleclass_sfx":"","showHome":"1","homeText":"Home","showComponent":"1","separator":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(79, 'Multilanguage status', '', '', 1, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_multilangstatus', 3, 1, '{"layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(86, 'Joomla Version', '', '', 1, 'footer', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_version', 3, 1, '{"format":"short","product":"1","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(87, 'Main Menu', '', '', 1, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"mainmenu","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"title1","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(88, 'Login Form', '', '', 11, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '{"pretext":"","posttext":"","login":"","logout":"","greeting":"1","name":"0","usesecure":"0","layout":"_:default","moduleclass_sfx":"title5","cache":"0"}', 0, '*'),
(89, 'Latest News', '', '', 0, 'maintop-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_articles_latest', 1, 1, '{"count":5,"ordering":"c_dsc","user_id":0,"show_front":1,"secid":"","catid":1,"moduleclass_sfx":"","cache":1,"cache_time":900}', 0, '*'),
(90, 'Who''s Online', '', '', 11, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_whosonline', 1, 1, '{"showmode":"0","layout":"_:default","moduleclass_sfx":"title2","cache":"0","filter_groups":"0"}', 0, '*'),
(91, 'Popular', '', '', 0, 'maintop-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_articles_popular', 1, 1, '{"moduleclass_sfx":"","show_front":1,"count":5,"catid":1,"secid":"","cache":1,"cache_time":900}', 0, '*'),
(92, 'Newsflash', '', '', 1, 'content-bottom-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_news', 1, 1, '{"catid":["50"],"image":"0","item_title":"0","link_titles":"","item_heading":"h4","showLastSeparator":"1","readmore":"0","count":"1","ordering":"a.publish_up","layout":"_:default","moduleclass_sfx":"","cache":"0","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(93, 'Breadcrumbs', '', '', 1, 'breadcrumb', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_breadcrumbs', 1, 1, '{"showHere":"0","showHome":"0","homeText":"Home","showLast":"1","separator":"","layout":"_:default","moduleclass_sfx":"","cache":"0","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(94, 'Feature A', '', '<p>This is the <a href="javascript:void(0);">Feature-a</a> module position, using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 1, 'feature-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(95, 'Feature B', '', '<p>This is the <a href="javascript:void(0);">Feature-b</a> module position, using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'feature-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(96, 'Feature D', '', '<p>This is the <a href="javascript:void(0);">Feature-d</a> module position, using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 1, 'feature-d', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(97, 'Feature C', '', '<p>This is the <a href="javascript:void(0);">Feature-c</a> module position, using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 1, 'feature-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(98, 'Feature E', '', '<p>This is the <a href="javascript:void(0);">Feature-e</a> module position, using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 2, 'feature-e', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(99, 'Feature F', '', '<p>This is the <a href="javascript:void(0);">Feature-f</a> module position, using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 2, 'feature-f', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(100, 'Showcase A', '', '<p>This is the <a href="javascript:void(0);">Showcase-a</a> module position, using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 1, 'showcase-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(101, 'Showcase B', '', '<p>This is the <a href="javascript:void(0);">Showcase-b</a> module position, using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 1, 'showcase-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(102, 'Top A', '', '<p>The <a href="javascript:void(0);">Top-a</a> position, using its <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 1, 'top-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(103, 'MainTop A', '', '<p>The <a href="javascript:void(0);">MainTop-a</a> position, using its <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 3, 'maintop-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(104, 'Showcase E', '', '<p>This is the <a href="javascript:void(0);">Showcase-e</a> module position, using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 2, 'showcase-e', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(105, 'Showcase F', '', '<p>This is the <a href="javascript:void(0);">Showcase-f</a> module position, using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 2, 'showcase-f', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(106, 'Top B', '', '<p>The <a href="javascript:void(0);">Top-b</a> position, using its <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'top-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(107, 'Top C', '', '<p>The <a href="javascript:void(0);">Top-c</a> position, using its <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'top-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(108, 'Top D', '', '<p>The <a href="javascript:void(0);">Top-d</a> position, using its <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'top-d', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(109, 'Top E', '', '<p>The <a href="javascript:void(0);">Top-e</a> position, using its <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'top-e', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(110, 'Top F', '', '<p>The <a href="javascript:void(0);">Top-f</a> position, using its <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'top-f', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(111, 'MainTop B', '', '<p>The <a href="javascript:void(0);">MainTop-b</a> position, using the <strong>bg1</strong> module suffix.</p>\r\n[readon url="#"]Read More[/readon]', 3, 'maintop-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"bg1"}', 0, '*'),
(112, 'MainTop E', '', '<p>The <a href="javascript:void(0);">MainTop-e</a> position, using the <strong>bg2</strong> module suffix.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'maintop-e', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"bg2"}', 0, '*'),
(113, 'MainTop F', '', '<p>The <a href="javascript:void(0);">MainTop-f</a> position, using the <strong>bg3</strong> module suffix.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'maintop-f', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"bg3"}', 0, '*'),
(114, 'Bottom A', '', '<p>The <a href="javascript:void(0);">Bottom-a</a> position, its using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 1, 'bottom-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(115, 'Bottom B', '', '<p>The <a href="javascript:void(0);">Bottom-b</a> position, its using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 1, 'bottom-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(116, 'Bottom C', '', '<p>The <a href="javascript:void(0);">Bottom-c</a> position, its using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 1, 'bottom-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(117, 'Bottom D', '', '<p>The <a href="javascript:void(0);">Bottom-d</a> position, its using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 1, 'bottom-d', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(118, 'Bottom E', '', '<p>The <a href="javascript:void(0);">Bottom-e</a> position, its using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 2, 'bottom-e', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(119, 'Bottom F', '', '<p>The <a href="javascript:void(0);">Bottom-f</a> position, its using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 2, 'bottom-f', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(120, 'Footer A', '', '<p>The <a href="javascript:void(0);">Footer-a</a> position, its using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 1, 'footer-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(121, 'Footer B', '', '<p>The <a href="javascript:void(0);">Footer-b</a> position, its using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 1, 'footer-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(122, 'Footer C', '', '<p>The <a href="javascript:void(0);">Footer-c</a> position, its using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 1, 'footer-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(123, 'Footer D', '', '<p>The <a href="javascript:void(0);">Footer-d</a> position, its using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 1, 'footer-d', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(124, 'Footer E', '', '<p>The <a href="javascript:void(0);">Footer-e</a> position, its using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'footer-e', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(125, 'Footer F', '', '<p>The <a href="javascript:void(0);">Footer-f</a> position, its using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 2, 'footer-f', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(126, 'MainBottom A', '', '<p>The <a href="javascript:void(0);">MainBottom-a</a> position, using the <strong>bg3</strong> module class suffix.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'mainbottom-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"bg3"}', 0, '*'),
(127, 'MainBottom B', '', '<p>The <a href="javascript:void(0);">MainBottom-b</a> position, using the <strong>bg2</strong> module class suffix.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'mainbottom-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"bg2"}', 0, '*'),
(128, 'MainBottom E', '', '<p>The <a href="javascript:void(0);">MainBottom-e</a> position, using the <strong>bg1</strong> module class suffix.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'mainbottom-e', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"bg1"}', 0, '*'),
(129, 'MainBottom F', '', '<p>The <a href="javascript:void(0);">MainBottom-f</a> position, its using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 2, 'mainbottom-f', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(130, 'Content Top A', '', '<p>The <a href="javascript:void(0);">Content-Top-a</a> position, using the <strong>bg4</strong> module suffix.</p>\r\n[readon url="#"]Read More[/readon]', 1, 'content-top-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"bg4"}', 0, '*'),
(131, 'Content Top C', '', '<p>The <a href="javascript:void(0);">Content-Top-c</a> position, using the <strong>bg5</strong> module suffix.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'content-top-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"bg5"}', 0, '*'),
(132, 'Content Bottom A', '', '<p>The <a href="javascript:void(0);">Content-Bottom-a</a> position, using the <strong>bg5</strong> module class suffix.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'content-bottom-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"bg5"}', 0, '*'),
(133, 'Content Bottom C', '', '<p>The <a href="javascript:void(0);">Content-Bottom-c</a> position, using the <strong>basic</strong> module class suffix.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'content-bottom-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"basic"}', 0, '*'),
(134, 'Sidebar A', '', '<p>All <strong>Sidebar</strong> positions can be alternated, such as <strong>Side <em>Main</em> Side Side</strong>.</p>\r\n<p>This is done via a sliding configuration option in the template manager.</p>\r\n[readon url="#"]Read More[/readon]', 3, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(135, 'Sidebar B', '', '<p>The <a href="javascript:void(0);">Sidebar-a</a> position, using the <strong>bg1</strong> module class suffix.</p>\r\n<p>Lorem ipsum dolor sit amet, consec tetur adipi scing elit. Donec sit amet nibh sadir.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'sidebar-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"bg1"}', 0, '*'),
(136, 'Sidebar C', '', '<p>The <a href="javascript:void(0);">Sidebar-c</a> position, using the <strong>bg2</strong> module class suffix.</p>\r\n<p>Lorem ipsum dolor sit amet, consec tetur adipi scing elit. Donec sit amet nibh sadir.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'sidebar-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"bg2"}', 0, '*'),
(137, 'Header A', '', '<p>This is the <a href="javascript:void(0);">Header-a</a> module position, using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'header-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(138, 'Header B', '', '<p>This is the <a href="javascript:void(0);">Header-b</a> module position, using <strong>default</strong> module styling. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'header-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(139, 'Header F', '', '<p>This is the <a href="javascript:void(0);">Header-f</a> module position, using <strong>default</strong> module styling.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh. Vivamus non arcu. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n[readon url="#"]Read More[/readon]', 0, 'header-f', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(140, 'Copyright Module Position - Default Styling', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum at sem ut ipsum vestibulum euismod. Mauris et massa porta leo facilisis feugiat. Suspendisse id neque a sem facilisis blandit. Aliquam sem leo, commodo ut, rutrum auctor, iaculis nec, eros. Aenean massa. Mauris tincidunt. Vivamus consectetur, tortor sit amet dictum sagittis, urna lectus dapibus metus, ut congue ligula odio sed nunc. Suspendisse potenti.</p>', 0, 'copyright', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(141, 'Utility A', '', '<p>This is the <a href="javascript:void(0);">Utility-a</a> module position, using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 2, 'utility-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(142, 'Utility C', '', '<p>This is the <a href="javascript:void(0);">Utility-c</a> module position, using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 1, 'utility-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(143, 'Utility D', '', '<p>This is the <a href="javascript:void(0);">Utility-d</a> module position, using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 1, 'utility-d', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(144, 'Utility E', '', '<p>This is the <a href="javascript:void(0);">Utility-e</a> module position, using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 2, 'utility-e', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(145, 'Utility F', '', '<p>This is the <a href="javascript:void(0);">Utility-f</a> module position, using <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 2, 'utility-f', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(146, 'Sidebar A', '', '<p>The <a href="javascript:void(0);">Sidebar-a</a> position, using the <strong>bg3</strong> module class suffix.</p>\r\n[readon url="#"]Read More[/readon]', 4, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"bg3"}', 0, '*'),
(147, 'Sidebar B', '', '<p>The <a href="javascript:void(0);">Sidebar-b</a> position, using the <strong>title4</strong> module class suffix.</p>\r\n[readon url="#"]Read More[/readon]', 4, 'sidebar-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"title4"}', 0, '*'),
(148, 'Sidebar C', '', '<p>The <a href="javascript:void(0);">Sidebar-c</a> position, using the <strong>title5</strong> module class suffix.</p>\r\n[readon url="#"]Read More[/readon]', 4, 'sidebar-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"title5"}', 0, '*'),
(149, 'Sidebar A', '', '<p>The <a href="javascript:void(0);">Sidebar-a</a> position, using its <strong>default</strong> module styling.</p>\r\n[readon url="#"]Read More[/readon]', 5, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(150, 'Sidebar A', '', '<p>The <a href="javascript:void(0);">Sidebar-a</a> position, using the <strong>title3</strong> module class suffix.</p>\r\n[readon url="#"]Read More[/readon]', 6, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"title3"}', 0, '*'),
(151, 'Sidebar B', '', '<p>The <a href="javascript:void(0);">Sidebar-a</a> position, using the <strong>title1</strong> module class suffix.</p>\r\n[readon url="#"]Read More[/readon]', 3, 'sidebar-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"title1"}', 0, '*'),
(152, 'Sidebar B', '', '<p>The <a href="javascript:void(0);">Sidebar-b</a> position, using the <strong>bg4</strong> module class suffix.</p>\r\n[readon url="#"]Read More[/readon]', 2, 'sidebar-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"bg4"}', 0, '*'),
(153, 'Sidebar C', '', '<p>The <a href="javascript:void(0);">Sidebar-c</a> position, using the <strong>title2</strong> module class suffix.</p>\r\n[readon url="#"]Read More[/readon]', 3, 'sidebar-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"title2"}', 0, '*'),
(154, 'Sidebar C', '', '<p>The <a href="javascript:void(0);">Sidebar-c</a> position, using the <strong>bg5</strong> module class suffix.</p>\r\n[readon url="#"]Read More[/readon]', 2, 'sidebar-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"bg5"}', 0, '*'),
(155, 'Latest Features', '', '<p>Below is a list of the top features of Gantry 2.0:</p>\r\n\r\n<p class="dropcap"><span class="dropcap">1</span><a target="_blank" href="http://www.rockettheme.com/blog/coding/543-gantry-framework-part-5-20-features"><strong>RTL Support</strong></a>: automatically flip the entire modular structure of Gantry when RTL languages are detected.</p>\r\n<p class="dropcap"><span class="dropcap">2</span><a target="_blank" href="http://www.rockettheme.com/blog/coding/543-gantry-framework-part-5-20-features"><strong>Custom Presets</strong></a>: an intuitive and simple user interface for creating and saving your own custom presets.</p>\r\n<p class="dropcap"><span class="dropcap">3</span><a target="_blank" href="http://www.rockettheme.com/blog/coding/543-gantry-framework-part-5-20-features"><strong>Menu Item Control</strong></a>: set the template options on a per menu item basis, such as the layout controls.</p>\r\n<p class="dropcap"><span class="dropcap">4</span><a target="_blank" href="http://www.rockettheme.com/blog/coding/543-gantry-framework-part-5-20-features"><strong>Gantry GZipper</strong></a>: RokGZipper functionality built straight into the Gantry core for its CSS/JS items.</p>', 5, 'sidebar-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(156, 'Blog Docs', '', '<p>We advise reading the blog entries below to gain a greater understanding of Gantry. They go into much greater detail than the overview on this page.</p>\r\n\r\n<ul>\r\n  <li><a href="http://www.rockettheme.com/blog/coding/511-gantry-framework-overview" target="_blank">Part 1: Overview</a></li>\r\n  <li><a href="http://www.rockettheme.com/blog/coding/512-gantry-framework-layouts" target="_blank">Part 2: Layouts</a></li>\r\n  <li><a href="http://www.rockettheme.com/blog/coding/520-gantry-framework-body-features" target="_blank">Part 3: Body + Features</a></li>\r\n  <li><a href="http://www.rockettheme.com/blog/coding/534-gantry-framework-going-gpl" target="_blank">Part 4: v2.0 Going GPL</a></li>\r\n  <li><a href="http://www.rockettheme.com/blog/coding/543-gantry-framework-part-5-20-features" target="_blank">Part 5: 2.0 Features</a></li>\r\n</ul>', 6, 'sidebar-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(157, 'RTL Preview', '', '<p>Below is a preview of the demo frontpage in RTL mode, please click on the image for a larger preview via RokBox:</p>\r\n\r\n<p><a rel="rokbox[715 1687]" title="Preview of the Demo Frontpage in RTL mode" href="images/stories/demo/general/rtl-preview-full.jpg"><img class="rt-image" src="images/stories/demo/general/rtl-preview.jpg" alt="RTL Preview" /></a></p>', 7, 'sidebar-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(158, 'Color Chooser', '', '<p><img src="images/stories/demo/frontpage/ft-a.jpg" alt="Mar10 Demo Image" class="demo-fp-img" /></p>\r\n<p>\r\n	<em class="bold">Customize the theme live with the Color Chooser.</em>\r\n	<br />\r\n	Save your custom presets by logging in as a Super Admin.\r\n</p>\r\n[readon2 url="index.php?option=com_content&amp;view=article&amp;id=48&amp;Itemid=155"]Read More[/readon2]', 1, 'feature-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"flushbottom","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(159, 'Updated RokTabs', '', '<p><img src="images/stories/demo/frontpage/ft-b.jpg" alt="Mar10 Demo Image" class="demo-fp-img" /></p>\r\n<p>\r\n	<em class="bold">RokTabs now supports inline icons for each Tab.</em>\r\n	<br />\r\n	Dynamic controls in its settings allow for easy icon assignment.\r\n</p>\r\n[readon2 url="index.php?option=com_content&amp;view=article&amp;id=54&amp;Itemid=161"]Read More[/readon2]', 1, 'feature-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"flushbottom","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(160, 'Built with the Gantry Framework v2', '', '<img src="images/stories/demo/frontpage/ft-c-1.jpg" alt="Mar10 Demo Image" class="demo-fp-img demo-left"/><span class="demo-sep">&nbsp;</span>\r\n<img src="images/stories/demo/frontpage/ft-c-2.jpg" alt="Mar10 Demo Image" class="demo-fp-img demo-left"/><span class="demo-sep">&nbsp;</span>\r\n<img src="images/stories/demo/frontpage/ft-c-3.jpg" alt="Mar10 Demo Image" class="demo-fp-img demo-left"/>\r\n<div class="demo-horiz-sep"></div>\r\n<img src="images/stories/demo/frontpage/ft-c-4.jpg" alt="Mar10 Demo Image" class="demo-fp-img demo-left"/><span class="demo-sep">&nbsp;</span>\r\n<img src="images/stories/demo/frontpage/ft-c-5.jpg" alt="Mar10 Demo Image" class="demo-fp-img demo-left"/><span class="demo-sep">&nbsp;</span>\r\n<img src="images/stories/demo/frontpage/ft-c-6.jpg" alt="Mar10 Demo Image" class="demo-fp-img demo-left"/>\r\n<div class="demo-horiz-sep"></div>\r\n[readon2 url="index.php?option=com_content&amp;view=article&amp;id=47&amp;Itemid=154"]Read More[/readon2]', 1, 'feature-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"flushbottom","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(161, 'Advanced Menu Options', '', '<img src="images/stories/demo/frontpage/ct-a-1.jpg" alt="Mar10 Demo Image" class="demo-fp-img img-left"/>\r\n<span>\r\n	<em class="bold">Fusion Menu, Mootools powered CSS menu.</em>\r\n	<br />\r\n	SEO friendly JS enhanced CSS dropdown system.\r\n</span>\r\n<div class="ct-read">[readon url="index.php?option=com_content&view=article&id=59&Itemid=166"]More[/readon]</div>', 1, 'content-top-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"flushbottom","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(162, 'Cross Browser Compatible', '', '<p><em class="bold">Cross Browser Compatible</em></p>\r\n<p>This theme is compatible with the major and modern browsers, plus limited support for IE6.</p>\r\n[readon url="index.php?option=com_content&amp;view=article&amp;id=46&amp;Itemid=153"]Learn More[/readon]', 11, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(163, 'FP CT A 3', '', '<img src="images/stories/demo/frontpage/ct-a-3.jpg" alt="Mar10 Demo Image" class="demo-fp-img img-left"/>\r\n<span>\r\n	<em class="bold">Splitmenu, a Versatile and Functional menu.</em>\r\n	<br />\r\n	A traditional, separated 1st and 2nd tier menu system.\r\n</span>\r\n<div class="ct-read">[readon2 url="index.php?option=com_content&view=article&id=59&Itemid=166"]More[/readon2]</div>', 1, 'content-top-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"flushtop","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(164, 'Latest Upload', '', '<img src="images/stories/demo/frontpage/ct-b.jpg" alt="Mar10 Demo Image" />', 0, 'content-top-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":"flushbottom"}', 0, '*'),
(165, 'About Us', '', '<p><img src="images/stories/demo/frontpage/rt1.jpg" alt="Mar10 Demo Image" class="demo-fp-img"/></p>\r\n<p><em class="bold">Delivering versatile Joomla themes since Jan 2005.</em></p>\r\n<p>Crystalline is a creation built on the foundations of over 5 years worth of Joomla templating experience.</p>\r\n[readon url="index.php?option=com_content&amp;view=article&amp;id=46&amp;Itemid=153"]Read More[/readon]', 7, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"bg3","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(166, 'Site Information', '', '<p><em class="bold">Example Site Only.</em></p>\r\n<p>All demo content is for demonstration purposes only, intended to show a representative example of a live site.</p>\r\n[readon url="#"]Read More[/readon]', 2, 'bottom-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(167, 'Theme Guides', '', '<p><em class="bold">Crystalline Tutorials.</em></p>\r\n<p>Documentation covering many aspects on how to use the March 2010 template from installation to logo editing instructions.</p>\r\n[readon url="index.php?option=com_content&amp;view=article&amp;id=55&amp;Itemid=162"]More Details[/readon]', 1, 'bottom-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(168, 'Demo Launcher', '', '<p><em class="bold">Installable Demo Copy</em></p>\r\n<p>Download our RocketLauncher package to install an exact copy / replica of the Crystalline demo on your own server or domain.</p>\r\n[readon url="index.php?option=com_content&amp;view=article&amp;id=57&amp;Itemid=164"]Learn More[/readon]', 2, 'bottom-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(169, 'XHTML/CSS3 Valid', '', '<p><em class="bold">Validate Crystalline Live</em></p>\r\n<p>The template is fully compliant with the <strong>XHTML 1.0 Transitional</strong> and <a href="http://jigsaw.w3.org/css-validator/validator?uri=http%3A%2F%2Fdemo.rockettheme.com%2Fmar10&amp;profile=css3&amp;usermedium=all&amp;warning=1&amp;lang=en" target="_blank">CSS3 standards</a>, as set by the World Wide Web Consortium.</p>\r\n[readon url="http://validator.w3.org/check?uri=http://demo.rockettheme.com/mar10/"]Validate (HTML)[/readon]', 0, 'bottom-d', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"moduleclass_sfx":""}', 0, '*'),
(170, 'Who''s Online', '', '', 12, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_whosonline', 1, 1, '{"cache":0,"showmode":0,"moduleclass_sfx":"bg5"}', 0, '*'),
(171, 'Site Login', '', '', 0, 'popup', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '{"cache":0,"moduleclass_sfx":"","pretext":"","posttext":"","login":"","logout":"","greeting":1,"name":0,"usesecure":0}', 0, '*'),
(176, 'RokTabs', '', '', 1, 'showcase-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_roktabs', 1, 0, '{"style":"base","content_type":"joomla","joomla_all":"0","catid":["48"],"featured":"1","k2_all":"0","k2_children":"0","k2_featured":"1","k2_image_size":"L","itemsOrdering":"order","strip_tags":"a,i,br,img,p,strong,span,em,div","show_readmore":"0","readmore":"Read more...","show_thumbnails":"1","thumb_width":"90","thumbnail_link":"1","width":"960","tabs_count":"0","duration":"600","transition_type":"scrolling","transition_fx":"Quad.easeInOut","linksMargins":"0","navscrolling":"1","tabs_position":"bottom","tabs_event":"click","tabs_title":"content","tabs_incremental":"Tab ","tabs_hideh6":"1","tabs_prefixed":"0","tabs_showicons":"1","tabs_iconside":"left","tabs_iconpath":"images\\/stories\\/demo\\/tabs","tabs_icon":"applications.png,color.png,new.png,lock.png,user.png,movies.png","autoplay":"0","autoplay_delay":"2000","moduleclass_sfx":"flush","cache":"0","module_cache":"1","cache_time":"900"}', 0, '*'),
(177, 'RokAjaxSearch', '', '', 1, 'utility-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_rokajaxsearch', 1, 0, '{"moduleclass_sfx":"","search_page":"index.php?option=com_search&view=search&tmpl=component","adv_search_page":"index.php?option=com_search&view=search","include_css":"0","theme":"light","searchphrase":"any","ordering":"newest","limit":"10","perpage":"3","websearch":"0","blogsearch":"0","imagesearch":"0","videosearch":"0","websearch_api":"","show_pagination":"1","safesearch":"MODERATE","image_size":"MEDIUM","show_estimated":"1","hide_divs":"","include_link":"1","show_description":"1","include_category":"1","show_readmore":"1"}', 0, '*');

-- --------------------------------------------------------

--
-- Table structure for table `#__modules_menu`
--

DROP TABLE IF EXISTS `#__modules_menu`;
CREATE TABLE IF NOT EXISTS `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
);

--
-- Dumping data for table `#__modules_menu`
--

INSERT INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES
(1, 101),
(2, 0),
(3, 0),
(4, 0),
(6, 0),
(7, 0),
(8, 0),
(9, 0),
(10, 0),
(12, 0),
(13, 0),
(14, 0),
(15, 0),
(16, 0),
(17, 0),
(79, 0),
(86, 0),
(87, -233),
(87, -156),
(87, -154),
(87, -101),
(88, 153),
(88, 155),
(88, 157),
(88, 159),
(88, 160),
(88, 164),
(88, 165),
(88, 166),
(88, 167),
(88, 233),
(88, 251),
(89, 127),
(90, 127),
(90, 153),
(90, 155),
(90, 157),
(90, 158),
(90, 159),
(90, 160),
(90, 161),
(90, 162),
(90, 163),
(90, 164),
(90, 165),
(90, 166),
(90, 167),
(90, 168),
(90, 233),
(90, 251),
(91, 127),
(92, 127),
(92, 252),
(92, 253),
(92, 254),
(93, 111),
(93, 112),
(93, 113),
(93, 114),
(93, 115),
(93, 116),
(93, 117),
(93, 118),
(93, 120),
(93, 124),
(93, 127),
(93, 128),
(93, 129),
(93, 130),
(93, 138),
(93, 140),
(93, 143),
(93, 144),
(93, 145),
(93, 146),
(93, 147),
(93, 148),
(93, 150),
(93, 151),
(93, 152),
(93, 153),
(93, 154),
(93, 155),
(93, 156),
(93, 157),
(93, 158),
(93, 159),
(93, 160),
(93, 161),
(93, 162),
(93, 163),
(93, 164),
(93, 165),
(93, 166),
(93, 167),
(93, 168),
(93, 170),
(93, 172),
(93, 173),
(93, 175),
(93, 176),
(93, 177),
(93, 178),
(93, 179),
(93, 180),
(93, 181),
(93, 182),
(93, 183),
(93, 184),
(93, 185),
(93, 186),
(93, 187),
(93, 188),
(93, 189),
(93, 190),
(93, 191),
(93, 192),
(93, 193),
(93, 194),
(93, 195),
(93, 196),
(93, 197),
(93, 198),
(93, 199),
(93, 200),
(93, 201),
(93, 202),
(93, 203),
(93, 204),
(93, 205),
(93, 206),
(93, 207),
(93, 208),
(93, 209),
(93, 210),
(93, 211),
(93, 212),
(93, 213),
(93, 214),
(93, 215),
(93, 216),
(93, 217),
(93, 218),
(93, 219),
(93, 220),
(93, 221),
(93, 222),
(93, 223),
(93, 224),
(93, 225),
(93, 226),
(93, 227),
(93, 228),
(93, 229),
(93, 230),
(93, 231),
(93, 232),
(94, 156),
(95, 156),
(96, 156),
(97, 156),
(98, 156),
(99, 156),
(100, 156),
(101, 156),
(102, 156),
(103, 156),
(104, 156),
(105, 156),
(106, 156),
(107, 156),
(108, 156),
(109, 156),
(110, 156),
(111, 156),
(112, 156),
(113, 156),
(114, 156),
(115, 156),
(116, 156),
(117, 156),
(118, 156),
(119, 156),
(120, 156),
(121, 156),
(122, 156),
(123, 156),
(124, 156),
(125, 156),
(126, 156),
(127, 156),
(128, 156),
(129, 156),
(130, 156),
(131, 156),
(132, 156),
(133, 156),
(134, 156),
(135, 156),
(136, 156),
(137, 156),
(138, 156),
(139, 156),
(140, 156),
(141, 156),
(142, 156),
(143, 156),
(144, 156),
(145, 156),
(146, 156),
(147, 156),
(148, 156),
(149, 156),
(150, 156),
(151, 156),
(152, 156),
(153, 156),
(154, 156),
(155, 154),
(156, 154),
(157, 154),
(158, 101),
(159, 101),
(160, 101),
(161, 101),
(162, 101),
(163, 101),
(164, 101),
(165, 101),
(166, 101),
(167, 101),
(168, 101),
(169, 101),
(170, 101),
(171, 0),
(176, 101),
(177, -156);

-- --------------------------------------------------------

--
-- Table structure for table `#__newsfeeds`
--

DROP TABLE IF EXISTS `#__newsfeeds`;
CREATE TABLE IF NOT EXISTS `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `link` varchar(200) NOT NULL DEFAULT '',
  `filename` varchar(200) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(10) unsigned NOT NULL DEFAULT '1',
  `cache_time` int(10) unsigned NOT NULL DEFAULT '3600',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
);

--
-- Dumping data for table `#__newsfeeds`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__overrider`
--

DROP TABLE IF EXISTS `#__overrider`;
CREATE TABLE IF NOT EXISTS `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` text NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
);

--
-- Dumping data for table `#__overrider`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__rokcandy`
--

DROP TABLE IF EXISTS `#__rokcandy`;
CREATE TABLE IF NOT EXISTS `#__rokcandy` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL,
  `macro` text NOT NULL,
  `html` text NOT NULL,
  `published` tinyint(1) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `ordering` int(11) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
);

--
-- Dumping data for table `#__rokcandy`
--

INSERT INTO `#__rokcandy` (`id`, `catid`, `macro`, `html`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`) VALUES
(20, 45, '[h1]{text}[/h1]', '<h1>{text}</h1>', 1, 0, '0000-00-00 00:00:00', 1, ''),
(21, 45, '[h2]{text}[/h2]', '<h2>{text}</h2>', 1, 0, '0000-00-00 00:00:00', 2, ''),
(22, 45, '[h3]{text}[/h3]', '<h3>{text}</h3>', 1, 0, '0000-00-00 00:00:00', 3, ''),
(23, 45, '[h4]{text}[/h4]', '<h4>{text}</h4>', 1, 0, '0000-00-00 00:00:00', 4, ''),
(24, 45, '[h5]{text}[/h5]', '<h5>{text}</h5>', 1, 0, '0000-00-00 00:00:00', 5, ''),
(25, 45, '[b]{text}[/b]', '<strong>{text}</strong>', 1, 0, '0000-00-00 00:00:00', 6, ''),
(26, 45, '[i]{text}[/i]', '<em>{text}</em>', 1, 0, '0000-00-00 00:00:00', 7, ''),
(27, 45, '[code]{text}[/code]', '<code>{text}</code>', 1, 0, '0000-00-00 00:00:00', 8, '');

-- --------------------------------------------------------

--
-- Table structure for table `#__schemas`
--

DROP TABLE IF EXISTS `#__schemas`;
CREATE TABLE IF NOT EXISTS `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
);

--
-- Dumping data for table `#__schemas`
--

INSERT INTO `#__schemas` (`extension_id`, `version_id`) VALUES
(700, '2.5.5');

-- --------------------------------------------------------

--
-- Table structure for table `#__template_styles`
--

DROP TABLE IF EXISTS `#__template_styles`;
CREATE TABLE IF NOT EXISTS `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_home` (`home`)
);

--
-- Dumping data for table `#__template_styles`
--

INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES
(2, 'bluestork', 1, '1', 'Bluestork - Default', '{"useRoundedCorners":"1","showSiteName":"0"}'),
(3, 'atomic', 0, '0', 'Atomic - Default', '{}'),
(4, 'beez_20', 0, '0', 'Beez2 - Default', '{"wrapperSmall":"53","wrapperLarge":"72","logo":"images\\/joomla_black.gif","sitetitle":"Joomla!","sitedescription":"Open Source Content Management","navposition":"left","templatecolor":"personal","html5":"0"}'),
(5, 'hathor', 1, '0', 'Hathor - Default', '{"showSiteName":"0","colourChoice":"","boldText":"0"}'),
(6, 'beez5', 0, '0', 'Beez5 - Default', '{"wrapperSmall":"53","wrapperLarge":"72","logo":"images\\/sampledata\\/fruitshop\\/fruits.gif","sitetitle":"Joomla!","sitedescription":"Open Source Content Management","navposition":"left","html5":"0"}'),
(8, 'rt_crystalline', 0, '1', 'rt_crystalline - Default', '{"master":"true","current_id":"8","template_full_name":"Crystalline","bgcolor":"foo","overlays_list_limit":"50","grid_system":"12","template_prefix":"crystalline-","cookie_time":"31536000","copy_lang_files_if_diff":"1","header":{"background":"#004e63","text":"#ffffff","link":"#ebe5c3","overlay":"lines-4","shadows":"dark","graphic":"header-1","layout":"a:1:{i:12;a:1:{i:2;a:2:{i:0;i:9;i:1;i:3;}}}","showall":"0","showmax":"6"},"main":{"background":"#f1e8d6","text":"#55473e","link":"#000000","overlay":"circles","shadows":"light"},"feature":{"background":"#dedede","text":"#444444","link":"#004e63","overlay":"none","shadows":"light","layout":"a:1:{i:12;a:1:{i:3;a:3:{i:0;i:3;i:1;i:3;i:2;i:6;}}}","showall":"0","showmax":"6"},"body":{"background":"#ffffff","text":"#666666","link":"#004e63","overlay":"none","shadows":"light"},"bottom":{"background":"#a61027","text":"#ffffff","link":"#ebe5c3","overlay":"lines-4","shadows":"dark","layout":"3,3,3,3","showall":"0","showmax":"6"},"webfonts":{"enabled":"0","source":"google"},"font":{"family":"helvetica","size":"default","size-is":"default"},"viewswitcher-priority":"1","logo-priority":"2","branding-priority":"3","copyright-priority":"4","styledeclaration-priority":"5","iphonegradients-priority":"6","date-priority":"7","fontsizer-priority":"8","totop-priority":"9","systemmessages-priority":"10","inactive-priority":"11","iphoneimages-priority":"12","morearticles-priority":"13","smartload-priority":"14","pagesuffix-priority":"15","resetsettings-priority":"16","analytics-priority":"17","belatedpng-priority":"18","fusionmenu-priority":"19","ie6splash-priority":"20","jstools-priority":"21","moduleoverlays-priority":"22","rtl-priority":"23","splitmenu-priority":"24","touchmenu-priority":"25","webfonts-priority":"26","styledeclaration-enabled":"1","logo":{"enabled":"1","position":"header-a","autosize":"0","perstyle":"0","css":"body #rt-logo"},"colorchooser":{"enabled":"1","position":"header-b","text":"Color Chooser"},"styledeclaration":{"overlaycheck":"1","enabled":"1"},"date":{"enabled":"0","position":"top-d","clientside":"0","formats":"%A, %B %d, %Y"},"fontsizer":{"enabled":"0","position":"utility-c"},"login":{"enabled":"1","position":"utility-b","text":"Member Login","logouttext":"Logout"},"branding":{"enabled":"1","position":"copyright"},"copyright":{"enabled":"1","position":"copyright","text":"Designed by RocketTheme"},"smartload":{"enabled":"0","text":"10","ignores":"com_contact","exclusion":"ul.menutop span.image"},"totop":{"enabled":"0","position":"debug","text":"Scroll To Top"},"systemmessages":{"enabled":"1","position":"drawer"},"resetsettings":{"enabled":"0","position":"copyright","text":"Reset Settings"},"ie6warn":{"enabled":"1","delay":"2000"},"analytics":{"enabled":"0","code":"","position":"analytics"},"menu-type-suckerfishmenu-position":"navigation","menu-type-suckerfishmenu-theme":"\\/templates\\/rt_crystalline\\/html\\/mod_roknavmenu\\/themes\\/gantry-suckerfish","menu-type-suckerfishmenu-limit_levels":"0","menu-type-suckerfishmenu-startLevel":"0","menu-type-suckerfishmenu-showAllChildren":"1","menu-type-suckerfishmenu-class_sfx":"top","menu-type-suckerfishmenu-cache":"0","menu-type-suckerfishmenu-module_cache":"1","menu":{"enabled":"1","centering":"0","type":"fusionmenu","fusionmenu":{"menutype":"mainmenu","position":"navigation","enable_js":"1","opacity":"1","effect":"slidefade","hidedelay":"500","menu-animation":"Quad.easeOut","menu-duration":"400","centered-offset":"0","pill":{"enabled":"0","duration":"400","animation":"Back.easeOut"},"tweak-initial-x":"0","tweak-initial-y":"0","tweak-subsequent-x":"0","tweak-subsequent-y":"0","enable-current-id":"0","theme":"gantry-fusion","limit_levels":"0","startLevel":"0","showAllChildren":"1","class_sfx":"top","cache":"0","module_cache":"1"},"splitmenu":{"menutype":"mainmenu","theme":"gantry-splitmenu","cache":"0","module_cache":"1","mainmenu-position":"navigation","mainmenu-limit_levels":"1","mainmenu-startLevel":"0","mainmenu-endLevel":"0","mainmenu-class_sfx":"top","submenu-position":"sidebar-a","submenu-limit_levels":"1","submenu-startLevel":"1","submenu-endLevel":"9","submenu-class_sfx":""}},"top":{"layout":"5,7","showall":"0","showmax":"6"},"showcase":{"layout":"3,3,3,3","showall":"0","showmax":"3"},"utility":{"layout":"a:1:{i:12;a:1:{i:2;a:2:{i:0;i:9;i:1;i:3;}}}","showall":"0","showmax":"6"},"maintop":{"layout":"3,3,3,3","showall":"0","showmax":"3"},"mainbodyPosition":"6,3,3","mainbottom":{"layout":"3,3,3,3","showall":"0","showmax":"3"},"footer":{"layout":"3,3,3,3","showall":"0","showmax":"6"},"iphone-enabled":"1","iphone-scalable":"0","iphone-switcher":{"enabled":"1","position":"mobile-copyright"},"touchmenu":{"menutype":"mainmenu","enabled":"1","position":"mobile-navigation","theme":"touch","animation":"slide","cache":"0","module_cache":"1","startLevel":"0","endLevel":"20","showAllChildren":"1"},"iphoneimages":{"enabled":"1","minWidth":"80","percentage":"25"},"mobile":{"drawer":"drawer","top":"top-a","header":"header-b","navigation":"mobile-navigation","showcase":"header-a","footer":"footer-a","copyright":"copyright"},"cache":{"enabled":"1","time":"900"},"gzipper":{"enabled":"0","time":"600","expirestime":"1440","stripwhitespace":"1"},"inputstyling":{"enabled":"1","exclusions":"''.content_vote''"},"component-enabled":"1","rtl-enabled":"1","buildspans-enabled":"1","moduleoverlays-enabled":"1","pagesuffix-enabled":"1","inactive":{"enabled":"1","menuitem":"101"}}');

-- --------------------------------------------------------

--
-- Table structure for table `#__updates`
--

DROP TABLE IF EXISTS `#__updates`;
CREATE TABLE IF NOT EXISTS `#__updates` (
  `update_id` int(11) NOT NULL AUTO_INCREMENT,
  `update_site_id` int(11) DEFAULT '0',
  `extension_id` int(11) DEFAULT '0',
  `categoryid` int(11) DEFAULT '0',
  `name` varchar(100) DEFAULT '',
  `description` text NOT NULL,
  `element` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `folder` varchar(20) DEFAULT '',
  `client_id` tinyint(3) DEFAULT '0',
  `version` varchar(10) DEFAULT '',
  `data` text NOT NULL,
  `detailsurl` text NOT NULL,
  `infourl` text NOT NULL,
  PRIMARY KEY (`update_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='Available Updates';

--
-- Dumping data for table `#__updates`
--

INSERT INTO `#__updates` (`update_id`, `update_site_id`, `extension_id`, `categoryid`, `name`, `description`, `element`, `type`, `folder`, `client_id`, `version`, `data`, `detailsurl`, `infourl`) VALUES
(2, 3, 0, 0, 'RokSprocket', '', 'mod_roksprocket', 'module', '', 0, '1.5.5', '', 'http://updates.rockettheme.com/joomla/modules/roksprocket.xml', '');

-- --------------------------------------------------------

--
-- Table structure for table `#__update_categories`
--

DROP TABLE IF EXISTS `#__update_categories`;
CREATE TABLE IF NOT EXISTS `#__update_categories` (
  `categoryid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) DEFAULT '',
  `description` text NOT NULL,
  `parent` int(11) DEFAULT '0',
  `updatesite` int(11) DEFAULT '0',
  PRIMARY KEY (`categoryid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Update Categories';

--
-- Dumping data for table `#__update_categories`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__update_sites`
--

DROP TABLE IF EXISTS `#__update_sites`;
CREATE TABLE IF NOT EXISTS `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` text NOT NULL,
  `enabled` int(11) DEFAULT '0',
  `last_check_timestamp` bigint(20) DEFAULT '0',
  PRIMARY KEY (`update_site_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='Update Sites';

--
-- Dumping data for table `#__update_sites`
--

INSERT INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`) VALUES
(1, 'Joomla Core', 'collection', 'http://update.joomla.org/core/list.xml', 1, 1340108333),
(2, 'Joomla Extension Directory', 'collection', 'http://update.joomla.org/jed/list.xml', 1, 1340108333),
(3, 'RocketTheme Update Directory', 'collection', 'http://updates.rockettheme.com/joomla/updates.xml', 1, 1340108333),
(5, 'Gantry Framework Update Site', 'extension', 'http://www.gantry-framework.org/updates/joomla16/gantry.xml', 1, 1340108333);

-- --------------------------------------------------------

--
-- Table structure for table `#__update_sites_extensions`
--

DROP TABLE IF EXISTS `#__update_sites_extensions`;
CREATE TABLE IF NOT EXISTS `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT '0',
  `extension_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`update_site_id`,`extension_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Links extensions to update sites';

--
-- Dumping data for table `#__update_sites_extensions`
--

INSERT INTO `#__update_sites_extensions` (`update_site_id`, `extension_id`) VALUES
(1, 700),
(2, 700),
(3, 10001),
(5, 10025);

-- --------------------------------------------------------

--
-- Table structure for table `#__viewlevels`
--

DROP TABLE IF EXISTS `#__viewlevels`;
CREATE TABLE IF NOT EXISTS `#__viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
);

--
-- Dumping data for table `#__viewlevels`
--

INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`) VALUES
(1, 'Public', 0, '[1]'),
(2, 'Registered', 1, '[6,2,8]'),
(3, 'Special', 2, '[6,3,8]');

-- --------------------------------------------------------

--
-- Table structure for table `#__weblinks`
--

DROP TABLE IF EXISTS `#__weblinks`;
CREATE TABLE IF NOT EXISTS `#__weblinks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `sid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `url` varchar(250) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(11) NOT NULL DEFAULT '0',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `archived` tinyint(1) NOT NULL DEFAULT '0',
  `approved` tinyint(1) NOT NULL DEFAULT '1',
  `access` int(11) NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if link is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
);

--
-- Dumping data for table `#__weblinks`
--

INSERT INTO `#__weblinks` (`id`, `catid`, `sid`, `title`, `alias`, `url`, `description`, `date`, `hits`, `state`, `checked_out`, `checked_out_time`, `ordering`, `archived`, `approved`, `access`, `params`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`) VALUES
(1, 52, 0, 'Joomla Templates', 'joomla-templates', 'http://www.rockettheme.com/joomla', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh. Vivamus non arcu. Lorem ipsum dolor sit amet, consectetur adipiscing elit.', '0000-00-00 00:00:00', 0, 1, 0, '0000-00-00 00:00:00', 1, 0, 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', '*', '2012-06-12 13:34:07', 775, '', '2012-06-12 13:34:49', 62, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(2, 52, 0, 'WordPress Themes', 'wordpress-themes', 'http://www.rockettheme.com/wordpress', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh. Vivamus non arcu. Lorem ipsum dolor sit amet, consectetur adipiscing elit.', '0000-00-00 00:00:00', 0, 1, 0, '0000-00-00 00:00:00', 2, 0, 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', '*', '2012-06-12 13:34:26', 775, '', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(3, 52, 0, 'Magento Templates', 'magento-templates', 'http://www.rockettheme.com/magento', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh. Vivamus non arcu. Lorem ipsum dolor sit amet, consectetur adipiscing elit.', '0000-00-00 00:00:00', 0, 1, 0, '0000-00-00 00:00:00', 3, 0, 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', '*', '2012-06-12 13:34:34', 775, '', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(4, 52, 0, 'phpBB3 Styles', 'phpbb3-styles', 'http://www.rockettheme.com/phpBB3', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh. Vivamus non arcu. Lorem ipsum dolor sit amet, consectetur adipiscing elit.', '0000-00-00 00:00:00', 0, 1, 0, '0000-00-00 00:00:00', 4, 0, 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', '*', '2012-06-12 13:34:43', 775, '', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00');
